
$ SET NOON
$ SET NOVERIFY
$ TYPE SYS$INPUT

     COMMAND FILE TO BUILD THE PROGRAM "QUEUE_CHKR"
     SOURCE DIRECTORY IS: [.MA.Q_CRUPD]

$ IF P1 .NES. "" THEN GOTO GOTP1
$ TYPE SYS$INPUT

 FIND OUT WHAT OPTIONS THE USER WANTED
 	D= DEBUG 
	T= COMPILE FORTRAN D_LINES IN SOURCE CODE
	M= COMPILE MESSAGE FILE
	L= LISTING
	C= COMPILE
	A= ASSEMBLE
	B= LINK AND BUILD
 	P= MOVE TO PRODUCTION ACCOUNT
	R= LINKER MAP
	S= SHORT LIST (NO CROSS REFERENCE)
	*= OPTIONS=MLCABPRS

 ENTER YOUR OPTIONS SUCH AS:  CABP
 
 THERE ARE NO DEFAULT VALUES ALLOWED, IF YOU ENTER CARRIAGE RETURN, 
 COMMAND FILE WILL EXIT
  
$ INQUIRE P1  "Enter options"
$ IF P1 .EQS. "" THEN EXIT
$!
$!
$ GOTP1:
$!
$ D=0
$ T=0
$ N=0
$ M=0
$ L=0
$ C=0 
$ A=0
$ B=0
$ P=0
$ R=0
$ S=0
$!
$! SCAN P1 FOR THE OPTIONS DESIRED
$!
$ IF P1 .EQS. "*" THEN P1="MLCABPRS"
$ P1L=F$LENGTH(P1)
$ I=0
$ SWCHK:
$ IF I .EQ. P1L THEN GOTO GOTSWCH
$ IF F$EXTRACT(I,1,P1) .EQS. "D" THEN D=1
$ IF F$EXTRACT(I,1,P1) .EQS. "T" THEN T=1
$ IF F$EXTRACT(I,1,P1) .EQS. "N" THEN N=1
$ IF F$EXTRACT(I,1,P1) .EQS. "M" THEN M=1
$ IF F$EXTRACT(I,1,P1) .EQS. "L" THEN L=1
$ IF F$EXTRACT(I,1,P1) .EQS. "C" THEN C=1
$ IF F$EXTRACT(I,1,P1) .EQS. "A" THEN A=1
$ IF F$EXTRACT(I,1,P1) .EQS. "B" THEN B=1
$ IF F$EXTRACT(I,1,P1) .EQS. "P" THEN P=1
$ IF F$EXTRACT(I,1,P1) .EQS. "R" THEN R=1
$ IF F$EXTRACT(I,1,P1) .EQS. "S" THEN S=1
$ I=I+1
$ GOTO SWCHK
$!
$! NOW SELECT THE CORRECT TYPE OF OPTIMIZATION AND LISTING SELECTION
$! AS REQUIRED BY THE SWITCH SETTINGS
$!
$ GOTSWCH:
$ LIST=""	! FORTRAN LISTINGS
$ MLIST=""	! MACRO LISTINGS
$ LINKLIST= ""	! LINKER OPTIONS
$!
$ IF L .EQ. 1 THEN LIST=LIST+"/LIST"
$ IF L .EQ. 1 THEN MLIST=MLIST+"/LIST"
$ IF S .EQ. 1 THEN MLIST=MLIST-
	+ "/NOSHOW=(CONDITIONALS,EXPANSION,DEFINITIONS,BINARY)"-
	+ "/NOCROSS_REFERENCE"
$ IF S .EQ. 1 THEN LIST=LIST + "/NOCROSS_REFERENCE"-
	+"/SHOW=(NOINCLUDE,NOMAP,NOPREPROCESSOR,NOSINGLE)"
$ IF D .EQ. 1 THEN LIST=LIST+"/NOOPTMIZE"
$ IF D .EQ. 1 THEN LINKLIST=LINKLIST+"/DEBUG"
$ IF T .EQ. 1 THEN LIST=LIST+"/D_LINES"
$ IF R .EQ. 1 THEN LINKLIST=LINKLIST+"/MAP"
$!
$!
$ SET VERIFY
$!
$! COMPILE
$!
$ IF C .EQ. 0 THEN GOTO ASSEM
$ FOR QUEUE_CHKR'LIST'
$!
$! ASSEMBLE
$!
$ ASSEM:
$ IF A .EQ. 0 THEN GOTO MESG
$!
$ MAC 'MLIST' KNL_SECT_OPEN+SYS$LIBRARY:LIB/LIB
$!
$! MESSAGE ASSEMBLE
$!
$ MESG:
$ IF M .EQ. 0 THEN GOTO LINKIT
$ MESSAGE QUEUE_CHKR_MSG
$!
$! LINK SECTION
$!
$ LINKIT:
$ IF B .EQ. 0 THEN GOTO PROD
$!
$ LINK'LINKLIST' QUEUE_CHKR,SYS$INPUT/OPTION
	KNL_SECT_OPEN,-
	QUEUE_CHKR_MSG,-
	MA_Q:[SUBROUTINES]QUEUE.OLB/LIBRARY,-
	MA_Q:[SUBROUTINES]INLAND.OLB/LIBRARY,-
	SYS$SYSTEM:SYS.STB/SELECTIVE_SEARCH
$!
$! MOVE TO PRODUCTION AND CLEAN UP PRODUCTION ACCOUNT
$!
$ PROD:
$!
$ IF P .EQ. 0 THEN GOTO CLEANUP
$
$ COPY QUEUE_CHKR.EXE MA_Q$PROD:*.*
$ PURGE MA_Q$PROD:QUEUE_CHKR.EXE/KEEP=3
$ SET NOVERIFY
$ SET PROTECTION=(W:RWED,G:RWED,O:RWED) MA_Q$PROD:QUEUE_CHKR.EXE
$!
$! CLEAN UP
$!
$ CLEANUP:
$ PURGE *.*/KEEP=2
