$!
$! COMMAND FILE TO CREATE THE ROUTDB FUNTIONAL DOCUMENT
$!
$ SET NOON
$!
$ TYPE SYS$INPUT

	This command file creates the ROUTDB FUNCTIONAL document.

$!
$!
$! Create main document output ROUTDB_FUNCT.MEM
$!
$RUNOFF/RIGHT=10 ROUTDB_FUNCT.RNO/DEBUG=CONTENTS/NOSIMULATE
$! 
$! Create intermediate binary file for index and table of contents 
$!	ROUTDB_FUNCT.BRN
$!
$RUNOFF/RIGHT=10/INTERMEDIATE ROUTDB_FUNCT.RNO
$!
$! Create table of contents ROUTDB_FUNCT.RNT 
$!	and then ROUTDB_FUNCT.MEC for appending and print
$!
$RUNOFF/CONTENTS ROUTDB_FUNCT.BRN
$RUNOFF ROUTDB_FUNCT.RNT/NOSIMULATE
$!
$! Create index, binary file: ROUTDB_FUNCT.brn, 
$!	then ROUTDB_FUNCT.rnx, and then ROUTDB_FUNCT.mex
$!
$RUNOFF/INDEX ROUTDB_FUNCT.BRN
$RUNOFF ROUTDB_FUNCT.RNX/NOSIMULATE
$!
$! CREATE TITLE PAGE
$!
$ TODAY = F$TIME()
$ TODAY = F$CVTIME(TODAY,"ABSOLUTE","DATE")
$ DELETE R_TITLE.RNO;*
$ OPEN TITLE/WRITE R_TITLE.RNO
$ WRITE TITLE ".PS 60,80"
$ WRITE TITLE ".RM 80"
$ WRITE TITLE ".LITERAL"
$ WRITE TITLE ""
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE ".END LITERAL
$ WRITE TITLE ".CENTER;ROUTING DATA BASE UPDATE/SEARCH
$ WRITE TITLE ".CENTER;FUNCTIONAL DESCRIPTION
$ WRITE TITLE " "
$ WRITE TITLE ".CENTER;Revision: 1.0"
$ WRITE TITLE " "
$ WRITE TITLE ".CENTER;",TODAY
$ WRITE TITLE ".LITERAL"
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE ".END LITERAL"
$ WRITE TITLE ".NOFILL"
$ WRITE TITLE "By: Phil Levin
$ WRITE TITLE "    Contract Programmer"
$ WRITE TITLE " "
$ WRITE TITLE "and Earl Lakia"
$ WRITE TITLE "    Staff Engineer"
$ WRITE TITLE " "
$ WRITE TITLE "    Process Automation Department"
$ WRITE TITLE "    Inland Steel Company"
$ WRITE TITLE "    3210 Watling St.  MS 2-465"
$ WRITE TITLE "    East Chicago, IN  46342"
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE "File: ROUTDB_FUNCT.RNO "
$ WRITE TITLE "Command: @ROUTDB_FUNC.COM "
$ WRITE TITLE ".FILL"
$ WRITE TITLE ".PAGE"
$ CLOSE TITLE
$ RUNOFF R_TITLE.RNO
$!
$! CREATE A FILE THAT IS OF THE SAME FORMAT AS RUNOFF OUTPUTS
$! THAT SIMPLY HAS A PAGE EJECT IN IT.
$!
$ OPEN PAGE/WRITE PAGE.RNO
$ WRITE PAGE ".PAGE"
$ CLOSE PAGE
$ RUNOFF PAGE
$!
$! NOW CREATE THE ACTUAL RUNOFF DOCUMENT
$!
$COPY R_TITLE.MEM,-
	ROUTDB_FUNCT.MEC,-
	PAGE.MEM,-
	ROUTDB_FUNCT.MEM,-
	PAGE.MEM,-
	ROUTDB_FUNCT.MEX -
	ROUTDB_FUNCT.LIS
$!
$! CLEAN UP
$!
$DELETE ROUTDB_FUNCT.MEC;*,-
	ROUTDB_FUNCT.MEM;*,-
	ROUTDB_FUNCT.MEX;*,-
	ROUTDB_FUNCT.BRN;*,-
	ROUTDB_FUNCT.RNX;*,-
	PAGE.*;*
$!
$PURGE ROUTDB_funct.*
$!
$type sys$input
	ROUTDB_FUNCT.LIS IS READY FOR WHAT EVER.
