$!
$! This command file will envoke the message utililty
$! and then link the output of the message utility to
$! get the values for the error code/messages for the
$! system service message codes for the queueing software.
$!
$!
$! We will use the default value of 9 for the facility code
$! here, however,  the vmsinstall kit may choose any value.
$!
$ SET NOVERIFY
$!
$ OPEN/WRITE PPP QUEMSG.PRE
$ WRITE PPP ".TITLE QUESRV Error and warning messages for queueing applications"
$ WRITE PPP "	.IDENT	/2.1/"
$ WRITE PPP ".FACILITY QUESRV,9/PREFIX=QUE_"
$ CLOSE PPP
$!
$MESSAGE QUEMSG.PRE,QUEMSG.MSG
$!
$LINK QUEMSG/MAP/SHAREABLE
$!
$! NOW PARSE THE MAP AND FIND ALL OF THE QUEMSG
$! TYPE SYMBOL DEFINITIONS AND CREATE A FORTRAN INCLUDE
$! FILE THAT CAN BE PLACED IN A TEXT FILE.
$!
$! NOTE:  The image file generated here can be used to supplement the
$!        users message file for DCL, ie:  SET MESSAGE QUEMSG.EXE
$!
$!
$ DELETE QUEMSG.TXT;*
$ DELETE QUEMSGVAL.TXT;*
$ OPEN/WRITE OUTFILE QUEMSGVAL.TXT
$ WRITE OUTFILE "C"
$ WRITE OUTFILE "C QUEMSGVAL MESSAGE AND ERROR STATUS FORTRAN DEFINITION FILE"
$ WRITE OUTFILE "C CREATED ON: ",F$TIME()
$ WRITE OUTFILE "C"
$!
$ OPEN/WRITE OUTFILE2 QUEMSG.TXT
$ WRITE OUTFILE2 "C"
$ WRITE OUTFILE2 "C QUEMSG MESSAGE AND ERROR STATUS FORTRAN DEFINITION FILE"
$ WRITE OUTFILE2 "C CREATED ON: ",F$TIME()
$ WRITE OUTFILE2 "C"
$!
$ OPEN/WRITE OUTFILE3 QUEMSG.PL1
$ WRITE OUTFILE3 "/*"
$ WRITE OUTFILE3 "	QUEMSG.PL1 " 
$ WRITE OUTFILE3 "	CREATED ON: ",F$TIME()
$ WRITE OUTFILE3 "*/"
$!
$! OPEN/WRITE L EARL.LIS
$!
$ OPEN/READ INFILE QUEMSG.MAP
$!
$! JUST LOOP UNTIL WE HIT AN END OF FILE ON THE MAP FILE
$!
$READ_LUP:
$READ/END_OF_FILE=DONE  INFILE MAPRECORD
$ RECSIZE=F$LENGHT(MAPRECORD)
$! WRITE L " RECORD JUST READ: ",RECSIZE
$! WRITE L MAPRECORD
$!
$! SEE IF ANY QUE_ TYPE VARIABLES IN THIS RECORD
$!
$RESTREC:
$IBEG= F$LOCATE("QUE_",MAPRECORD)
$IF IBEG .EQ. RECSIZE THEN GOTO READ_LUP
$! 
$! FOUND ONE, FIND END OF STRING AND THE VALUE
$!
$REST= RECSIZE - IBEG
$MAPRECORD=F$EXTRACT(IBEG,REST,MAPRECORD)
$RECSIZE=F$LENGHT(MAPRECORD)
$IEND= F$LOCATE(" ",MAPRECORD)
$IF IEND .EQ. 0 THEN IEND=RECSIZE
$ILTH=IEND 
$SYM= F$EXTRACT (0,ILTH,MAPRECORD)
$!WRITE L " RECORD: "
$!WRITE L MAPRECORD
$!WRITE L " ILTH: ",ILTH,-
$!	"  IBEG: ",IBEG,-
$!	" IEND: ",IEND,-
$!	" RECSIZE: ",RECSIZE,-
$!	" REST: ",REST
$!WRITE L "FOUND SYMBOL:  ",SYM
$!
$! FIND THE VALUE
$!
$ VP=IEND-1
$BLKLUP:
$ VP=VP+1 
$BLK = F$EXTRACT(VP,1,MAPRECORD)
$IF BLK .EQS. " " THEN GOTO BLKLUP
$ VALUE= F$EXTRACT (VP,8,MAPRECORD)
$!
$! WRITE TO OUT TWO TYPE OF INCLUDE FILES FOR THE FORTRAN PROGRAMMER.
$! FIRST FILE IS FOR THE ONE LIKE FORTRAN INCLUDE FILES, AND
$! THE SECOND IS FOR THOSE WHO WERE THE FIRST USESRS OF OUR
$! SOFTWARE AND USED THE PERCENT LOC VALUES.
$!
$!WRITE L " SYMBOL: ",SYM," HAS VALUE: ",VALUE
$WRITE OUTFILE "	INTEGER*4 ",SYM
$WRITE OUTFILE "	PARAMETER(" ,SYM, "='" ,VALUE, "'X)"
$!
$ WRITE OUTFILE2 "	INTEGER*4 ",SYM
$ WRITE OUTFILE2 "	EXTERNAL ",SYM
$!
$! PL/1
$!
$ WRITE OUTFILE3 " DECLARE ",SYM," FIXED BINARY(31) GLOBALREF VALUE;"
$!
$MAPRECORD=F$EXTRACT(IBEG+1,RECSIZE-1,MAPRECORD)
$RECSIZE=F$LENGHT(MAPRECORD)
$IF RECSIZE .LE. 0 THEN GOTO READ_LUP
$GOTO RESTREC
$DONE:
$ CLOSE OUTFILE
$ CLOSE OUTFILE2
$ CLOSE OUTFILE3
$ CLOSE INFILE
$ EXIT
