$ set default [MA_Q.DOCUMENTATION]
$! 
$! COMMAND FILE FOR DOING COMPLETE DOCUMENTATION 
$! FOR ALL SOURCES ON THE LEVEL III VAX.
$!
$ TYPE SYS$INPUT

 Collecting a directory of all directories currently
 active with programs.  The following directories
 will be scanned for *.for files:
 
	[MA_Q...]

$DELETE SOURCE_DIRECTORY.TMP;*
$!
$DIR /COL:1/OUTPUT=SOURCE_DIRECTORY.TMP/EXCLUDE=[MA_Q.KIT...]*.*;*-
	[MA_Q.ROUTE]*.FOR;
$!	
$DIR /COL:1/OUTPUT=SOURCE_DIRECTORY.TMP/EXCLUDE=[MA_Q.KIT...]*.*;*-
	[MA_Q...]*.MAR;
$!
$COPY SOURCE_DIRECTORY.TMP;* SOURCE_DIRECTORY.DAT
$TYPE SYS$INPUT
 
 	Converting directory so can open all of the
	FORTRAN and MACRO files for scanning.
 
$RUN DIRECTORY_EXTRACT
$TYPE MODULE.DRR
$DEFINE DIRFIL "MODULE.DRR"
$TYPE SYS$INPUT
 
	Extracting documentation out of the source programs
	and subroutines for input into runoff.
 
$RUN EXTRACT
$TYPE SYS$INPUT
 
	Starting runoff to create the printable document.

$!
$! Command file for generating a runoff document
$! from the program documenter
$!
$COPY PREFIX.RNO,DOC.RNO,POST.RNO PAPER.RNO
$!
$!
$! Create main document output paper.mem
$!
$RUNOFF PAPER.RNO/DEBUG=CONTENTS/NOSIMULATE/FORMSIZE=66
$! 
$! Create intermediate binary file for index and table of contents paper.brn
$!
$RUNOFF/INTERMEDIATE/FORMSIZE=66 PAPER.RNO
$!
$! Create table of contents PAPER.RNT and then PAPER.MEC for appending and print
$!
$RUNOFF/CONTENTS PAPER.BRN
$RUNOFF PAPER.RNT/NOSIMULATE/FORMSIZE=66
$!
$! Create index, binary file: paper.brn, then paper.rnx, and then paper.mex
$!
$RUNOFF/INTERMEDIATE PAPER.RNO
$RUNOFF/INDEX PAPER.BRN
$RUNOFF PAPER.RNX/NOSIMULATE/FORMSIZE=66
$!
$! Add the include files from [MA_Q...]
$! to create include.ino
$!
$ DELETE SOURCE_DIRECTORY.TMP;*
$ DELETE SOURCE_DIRECTORY.DAT;*
$ DIR [MA_Q...]*.INC;/COL:1/OUTPUT=SOURCE_DIRECTORY.TMP
$ DIR [MA_Q.DEF]*.MAR;/COL:1/OUTPUT=SOURCE_DIRECTORY.TMP
$ DIR [MA_Q.DEF]*.TXT;/COL:1/OUTPUT=SOURCE_DIRECTORY.TMP
$ DIR [MA_Q...]*.MSG;/COL:1/OUTPUT=SOURCE_DIRECTORY.TMP
$ COPY SOURCE_DIRECTORY.TMP;* SOURCE_DIRECTORY.DAT
$!
$ RUN DIRECTORY_EXTRACT
$ RUN INCLUDE_INO
$!
$! Merge table of contents, body, include files, 
$! and index into one file for print
$!
$!
$!
$! CREATE TITLE PAGE AND EXTRA PAGES
$!
$ TODAY = F$TIME()
$ TODAY = F$CVTIME(TODAY,"ABSOLUTE","DATE")
$ DELETE TITLE.RNO;*
$ OPEN TITLE/WRITE TITLE.RNO
$ WRITE TITLE ".LITERAL"
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE ".END LITERAL"
$ WRITE TITLE ".CENTER;MANUFACTORING AUTOMATION"
$ WRITE TITLE ".CENTER;QUEUEING AND ROUTING"
$ WRITE TITLE ".CENTER;MODULE DOCUMENTATION AND INCLUDE FILES"
$ WRITE TITLE ".CENTER;",TODAY
$ WRITE TITLE ".LITERAL"
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE " "
$ WRITE TITLE ".END LITERAL"
$ WRITE TITLE ".NOFILL"
$ WRITE TITLE "By: Earl Lakia"
$ WRITE TITLE "    Staff Engineer"
$ WRITE TITLE "    Process Automation Department"
$ WRITE TITLE "    Inland Steel Company"
$ WRITE TITLE "    3210 Watling St.  MS 2-465"
$ WRITE TITLE "    East Chicago, IN  46342"
$ WRITE TITLE ".FILL"
$ CLOSE TITLE
$!
$ OPEN PAGE/WRITE PAGE.RNO
$ WRITE PAGE ".PAGE"
$ CLOSE PAGE
$!
$ RUNOFF TITLE
$ RUNOFF PAGE
$COPY title.mem,-
	PAPER.MEC,-
	PAGE.MEM,-
	PAPER.MEM,-
	PAPER.INO,-
	PAGE.MEM,-
	PAPER.MEX -
	PAPER.LIS
$!
$DELETE PAPER.MEC;*,-
	PAPER.MEM;*,-
	PAPER.MEX;*,-
	PAPER.BRN;*,-
	PAPER.RNX;*,-
	PAGE.*;*,-
	TITLE.*;*
$!
$PURGE PAPER.*
$!
$IF P1 .NES. "" THEN COPY PAPER.LIS PA750A::LPA0:
$type sys$input
	Complete
