	program rtout
	IMPLICIT NONE
C.begin.doc ************************** begin.doc
C  
C .c ;MODULE
C .c ;^&RTOUT\&
C .nf
C .x RTOUT>Defined
C Source:RTOUT.MOD
C Designer           :EARL LAKIA
C Author             :
C             Inland Steel
C             Process Automation Department
C             3210 Watling St.  MS 2-465
C             East Chicago, IN  46312
C  
C Date of last update:25-AUG-1986 12:49:19.71
C Revision level     :1.0
C  
C .C ;Formal Parameter List
C Receives:
C  
C Returns:
C  
C Accesses common(s):
C  
C Accesses file(s):
C  
C Other modules referenced:
C .SK
C .fill
C .SK
C Description:
C .sk    
C 	This is a simple program that is used to communicate with the
C MA_ROUTER process.  It basically, defines itself to DECNET as a
C known object and is used to test messages from the MA_ROUTER process
C to us (IE: we are a fake remote MA_ROUTER).
C 	This program will need SYSNAM privelege to define itself
C to DECNET.
C end.doc ****************************** end.doc  
c

	INTEGER*4 LIB$ASN_WTH_MBX
	INTEGER*4 RDESCP(2)
	INTEGER*4 SYS_STATUS
	INTEGER*4 NET_CHAN
	INTEGER*4 IOSTAT(2)
	INTEGER*2 IOSTATW(2)
	EQUIVALENCE (IOSTATW(1),IOSTAT(1))
	INTEGER*4 MBX_CHAN
	INTEGER*4 SYS$QIOW
	INTEGER*4 SYS$QIO
	INTEGER*4 SYS$ASSIGN
	INTEGER*4 SYS$ASCTIM
	CHARACTER*23 VAX_TIME
	INTEGER*4 OBJDESCP(2)	! OBJECT DESCRIPTOR
	INTEGER*4 NAMEDESCP(2)	! NAME DESCRIPTOR
	INTEGER*4 REM_CHAN	! CHANNEL ASSIGNE FOR NEW LOGICAL LINK
	BYTE BUFFER(100)
C
	STRUCTURE /OBJ/
		BYTE TYPE
		INTEGER*4 OBJNUM
	END STRUCTURE
	RECORD/OBJ/OBJ
C
	STRUCTURE /NAME/
	   CHARACTER*10 NM
	END STRUCTURE
	RECORD/NAME/NAME
C
	INTEGER*4 NETBUF(50)
	BYTE NETBUFB(200)
	INTEGER*2 NETBUFW(100)
	EQUIVALENCE (NETBUF,NETBUFB),(NETBUF,NETBUFW)
	INCLUDE '($SSDEF)'
	INCLUDE '($IODEF)'
	INCLUDE 'MA_Q:[DEF]QUEUE.TLB(HDRDEF)/LIST'
	INCLUDE 'MA_Q:[DEF]QUEUE.TLB(MGHDEF)/LIST'
C
	STRUCTURE/BUFFER/
		RECORD/MGHDEF/XB
		CHARACTER*1000 BUFFER
	END STRUCTURE
C
	RECORD/BUFFER/BUF
	INTEGER ISIZE	! SIZE OF RESPONSE BUFFER
	INTEGER IRSIZE	! SIZE OF READ BUFFER
	INTEGER*4 I,J,K,ITYPE

C
C BUILD DESCRIPTORS
C
	ISIZE=%LOC(BUF.XB.HDR.HDR$Q_ONQT)-%LOC(BUF) ! SIZE OF RESPONSE PART
	IRSIZE=1000+ISIZE-2			! READ SIZE
C
	NAMEDESCP(1)=5
	NAMEDESCP(2)=%LOC(NAME.NM)
	NAME.NM='RTOUT'
C
	OBJDESCP(1)=5
	OBJDESCP(2)=%LOC(OBJ)
	OBJ.TYPE=21	! BLOCK TYPE (NBF$C_DECLNAME)
	OBJ.OBJNUM=12	! OBJECT NUMBER
C
C $EQU	NFB$C_DECLNAME	21
C
C
C ASSIGN A CHANNEL TO NET
C
	SYS_STATUS=LIB$ASN_WTH_MBX('_NET:',256,256*20,
	1	NET_CHAN,MBX_CHAN)
C
	IF (.NOT. SYS_STATUS)CALL SYS$EXIT(%VAL(SYS_STATUS))
C
	TYPE *,' NET_CHAN: ',NET_CHAN
	TYPE *,' MBX_CHAN: ',MBX_CHAN
C
C NOW TELL NET OUR OBJECT NAME
C
	SYS_STATUS=SYS$QIOW(,	! EVENT FLAG
	1	%VAL(NET_CHAN),	! CHANNEL
	1	%VAL(IO$_ACPCONTROL),	! FUNCTION CODE
	1	IOSTAT,		! IO STATUS
	1	,,		! AST ROUTINES
	1	OBJDESCP,	! OBJECT DESCRIPTOR
	1	NAMEDESCP,	! NAME DESCRIPTOR
	1	,,,)
C
	IF((.NOT. SYS_STATUS) .OR.
	1	(.NOT. IOSTAT(1)))THEN
		TYPE *,' UNABLE TO DEFINE OBJECT '
		TYPE *,' STATUS: ',IOSTAT
		IF( .NOT. SYS_STATUS)THEN
			CALL SYS$EXIT(%VAL(SYS_STATUS))
		ELSE
			CALL SYS$EXIT(%VAL(IOSTAT(1)))
		ENDIF
	ENDIF
C
	TYPE *,' STATUS: ',IOSTATW
C
C NOW WE WAIT FOR SOMEONE TO ATTEMP TO CONNECT WITH US
C
	TYPE *,' DOING A READ ON OUR NETWORK MAILBOX '
C
	SYS_STATUS= SYS$QIOW(,%VAL(MBX_CHAN),
	1		    %VAL(IO$_READVBLK),
	1		    IOSTAT,
	1		    ,,
	1		    %REF(NETBUF),
	1		    %VAL(256),
	1		    ,,,)

C
C
	TYPE *,' NETWORK MAILBOX READ COMPLETE, STATUS: '
	TYPE *,' STATUS: ',IOSTATW
	TYPE *,' MESSAGE TYPE: ',NETBUFW(1)
	TYPE *,' UNIT: ',NETBUFW(2)
	TYPE *,' BYTE COUNT OF NAME: ',NETBUFB(5)
	J=NETBUFB(5)+5	! byte count of name
	TYPE *,'NAME'
	WRITE (*,300)(NETBUFB(I),I=6,J)
300	FORMAT(1X,100A1)
	J=J+1
	TYPE *,' BYTE COUNT OF INFO: ',NETBUFB(J)
	RDESCP(1)=NETBUFB(6)+1	! RESPONSE DESCRIPTOR EXTRA BYTE FOR "
	RDESCP(2)=%LOC(NETBUFB(J+1)) ! ADDRESS
	K=J+1
	J=J+NETBUFB(J)
	TYPE *,'INFO'
	WRITE(*,300)(NETBUFB(I),I=K,J)
	NETBUFB(J+1)='"'
C
C GOING TO ACCEPT THE CONNECTION
C
	TYPE *,' ACCEPTING THE CONNECTION'
C
	SYS_STATUS=SYS$ASSIGN('_NET:',REM_CHAN,,)
	IF (.NOT. SYS_STATUS) THEN
		TYPE *,' BAD ASSIGN STATUS: ',SYS_STATUS
		CALL SYS$EXIT(%VAL(SYS_STATUS))
	ENDIF
C
	SYS_STATUS=SYS$QIOW(,	! EVENT FLAG
	1	%VAL(REM_CHAN),	! CHANNEL
	1	%VAL(IO$_ACCESS),	! FUNCTION CODE
	1	IOSTAT,		! IO STATUS
	1	,,		! AST ROUTINES
	1	,	! OBJECT DESCRIPTOR
	1	RDESCP, ! NAME DESCRIPTOR
	1	,,,)

	TYPE *,' ACCEPTED THE CONNECTION'
	TYPE *,' I/O STATUS: ',IOSTATW
C
C NOW TRY TO READ SOMETHING
C
1000	CONTINUE
	TYPE *,' TRYING A READ, BYTE COUNT: ',IRSIZE
	SYS_STATUS=SYS$QIOW(,	! EVENT FLAG
	1	%VAL(REM_CHAN),	! CHANNEL
	1	%VAL(IO$_READVBLK),	! FUNCTION CODE
	1	IOSTAT,		! IO STATUS
	1	,,		! AST ROUTINES
	1	BUF,	
	1	%VAL(IRSIZE),,,,)

	TYPE *,' READ COMPLETE', IOSTATW
	IF( .NOT. SYS_STATUS .OR.
	1	.NOT. IOSTATW(1)) THEN
		TYPE *,' BAD READ STATUS: ',IOSTATW
		TYPE *,' SYSTEM SERVICE STATUS: ',SYS_STATUS
		CALL SYS$EXIT(%VAL(SYS_STATUS))
	ELSE

C
C 		FORMAT OUT THE BUFFER
C
		TYPE *,' MGH$W_LSQ:   ',BUF.XB.MGH$W_LSQ
		TYPE *,' MGH$L_IDX:   ',BUF.XB.MGH$L_IDX
		TYPE *,' MGH$C_MID:   ',BUF.XB.MGH$C_MID
		TYPE *,' HDR$C_SNM:   ',BUF.XB.HDR.HDR$C_SNM
		TYPE *,' HDR$C_DNM:   ',BUF.XB.HDR.HDR$C_DNM
		TYPE *,' HDR$W_LEN:   ',BUF.XB.HDR.HDR$W_LEN
		TYPE *,' HDR$W_QSEQ:  ',BUF.XB.HDR.HDR$W_QSEQ
		SYS_STATUS=SYS$ASCTIM(,VAX_TIME,BUF.XB.HDR.HDR$Q_ONQT,)
		TYPE *,' HDR$Q_ONQT:  ',VAX_TIME
		SYS_STATUS=SYS$ASCTIM(,VAX_TIME,BUF.XB.HDR.HDR$Q_OFFQT,)
		TYPE *,' HDR$Q_OFFQT: ',VAX_TIME
		TYPE *,' BUFFER: '
		TYPE *,BUF.BUFFER(1:BUF.XB.HDR.HDR$W_LEN)
C
C		NOW RESPOND BY SENDING A SUCCESS BACK TO SENDER
C	
1900		CONTINUE
		TYPE *,' ENTER DESIRED RESPONSE CODE '
		TYPE *,' 1= ACKNOWLEGE, 2= BUFFER FULL, 3= UNKNWN ID'
		TYPE *,' ENTER [1,2,3]: '
		READ(*,2000,END=9000)ITYPE
2000		FORMAT(I1)
		IF(ITYPE .LT. 1 .OR. ITYPE .GT. 3)THEN
			TYPE *,' TYPE INVALID, ENTER AGAIN '
			GO TO 1900
		ENDIF
C
		BUF.XB.HDR.HDR$W_TYPE=-ITYPE
		BUF.XB.HDR.HDR$C_SNM=BUF.XB.HDR.HDR$C_DNM ! SWITCH SOURCE/DEST
		SYS_STATUS=SYS$QIOW(,	! EVENT FLAG
	1		%VAL(REM_CHAN),	! CHANNEL
	1		%VAL(IO$_WRITEVBLK),	! FUNCTION CODE
	1		IOSTAT,		! IO STATUS
	1		,,		! AST ROUTINES
	1		BUF,	
	1		%VAL(ISIZE),,,,)
	ENDIF
	GO TO 1000	! GO GET ANOTHER MESSAGE
9000	TYPE *,' EXIT REQUESTED'
	CALL SYS$EXIT(%VAL(SYS_STATUS))
	END
