	PROGRAM NETMSG_TWO
	IMPLICIT NONE
C.begin.doc ************************** begin.doc
C  
C .c ;MODULE
C .c ;^&NETMSG_TWO\&
C .nf
C .x NETMSG_TWO>Defined
C Source:NETMSG_TWO.for
C TO BECOME PART OF LIBRARY:PRODUCTION
C Designer           :PHILIP D. LEVIN
C Author             :PHILIP D. LEVIN
C Date of last update:22-FEB-1987
C Revision level     :1.0
C  
C .C ;Formal Parameter List
C Receives:
C  
C Returns:
c                               
C .SK
C .fill
C .SK
C Description:
C .sk    
C end.doc ****************************** end.doc  

	INCLUDE 'MA_Q$DEF:QUEUE.TLB(HDRDEF)/LIST'
	INCLUDE 'MA_Q$DEF:QUEUE.TLB(NETMSG)/LIST'
	INCLUDE 'MA_Q$DEF:QUEUE.TLB(QEXDEF)/LIST'
	INCLUDE 'MA_Q$DEF:QUEUE.TLB(QUECONST)/LIST'
C
	STRUCTURE/MESG/
	  RECORD/HDRDEF/HDR
	  RECORD/NETMSG/NETMSG
	END STRUCTURE
C
	RECORD /MESG/MSG
	RECORD /QEXDEF/QEX
C
	CHARACTER*16 MESGID	! MESSAGE ID TO GET FROM QUEUE
	PARAMETER (MESGID='NET_STATUS')
	INTEGER*4 INDEX		! CONNECTED MESSAGE ID INDEX
	INTEGER*4 MSGLTH	! LENGTH OF THE MESSAGE ID RECORD
	PARAMETER (MSGLTH= NETMSGLTH + HDR$K_SIZ)
	INTEGER*4 SYS_STATUS	! SYSTEM SERVICE STATUS
	INTEGER*4 SYS$ASCTIM	! BINARY TO ASCII TIME CONVERSION
	INTEGER*4 ASCTIM	! CONVERT VAX QUAD TIME TO ASCII TIME
	CHARACTER*23 TIME	! 23 BYTE VAX TIME
	INTEGER*4 RNA		! READ NOT ACKNOWLEGED POINTER
	INTEGER*4 EFN		! EVENT FLAG 
	PARAMETER (EFN=1)

C
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C ATTACH TO THE QUE AND CONECT TO THE MESSAGE ID FOR READING THE QUE
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C
	SYS_STATUS=ATTACH_QE(%REF(QEX))	! ATTACH TO THE QUEUE
	IF (.NOT. SYS_STATUS)THEN	! GOOD ATTACH?
		TYPE *,' BAD ATTACH, STATUS: ', SYS_STATUS
		CALL SYS$EXIT(%VAL(SYS_STATUS))
	ENDIF
C
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C CONNECT FOR READ OF THIS MESSAGE ID
C SET AN EVENT FLAG AND DO A WAIT ON IT
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C
	SYS_STATUS=CONNECT_READ(QEX,%DESCR(MESGID),EFN,INDEX)
	IF(.NOT. SYS_STATUS)THEN
		TYPE *,' UNABLE TO CONNECT TO MESSAGE ID, STATUS:', SYS_STATUS
		CALL SYS$EXIT(%VAL(SYS_STATUS))
	ENDIF

C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C LOOP UNTIL WE GET ALL OF THE MESSAGES FROM THE QUEUE
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C
1000	CONTINUE
C
	SYS_STATUS=READ_QREC(QEX,MESGID,MSG,MSGLTH,RNA,INDEX)
	IF(.NOT. SYS_STATUS) THEN	! ALL DONE OR ELSE ERROR
		TYPE *,' READ  ERROR'
		CALL SYS$EXIT(%VAL(SYS_STATUS))
	ENDIF
C
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C FORMAT THE DATA FROM THE MESSAGE FOR OUTPUT TO TERMINAL OR LOG
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C
	SYS_STATUS=SYS$ASCTIM(,TIME,MSG.HDR.HDR$Q_ONQT,)
	WRITE(*,2000)TIME,
	1	MSG.NETMSG.PRINODE,
	1	MSG.NETMSG.SECNODE,
	1	MSG.NETMSG.NETSTATUS,
	1	MSG.NETMSG.UPDOWN,
	1	MSG.NETMSG.FLAGS
C
2000	FORMAT(	/,1X,A23,/,
	1	' PRIMARY NODE: ',A6,/,
	1	' SECONDARY NODE: ',A6,/,
	1	' DECNET STATUS: ',Z8.8,/,
	1	' UP/DOWN FLAG (0= DOWN, 1= UP): ',I1,/,
	1	' NRB STATUS FLAGS: ',Z8.8)
C
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C ACKNOWLEGE THE MESSAGE JUST READ
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C
	SYS_STATUS=ACK_READ(QEX,MESGID,RNA)
	IF(.NOT. SYS_STATUS)THEN
		TYPE *,' UNABLE TO ACKNOWLEGE MESSAGE FROM QUEUE'
		TYPE *,' STATUS: ',SYS_STATUS
		CALL SYS$EXIT(%VAL(SYS_STATUS))
	ENDIF

C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C DECIDE IF THE NODE IS A NODE THAT WE ARE CONCERNED WITH OR LOOP BACK AND
C GET A NEW MESSAGE.
C
C LOOK FOR LOGICAL NODE "PRODUC"
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C
	IF ((MSG.NETMSG.PRINODE .EQ. 'PRODUC') .OR. 
     1     (MSG.NETMSG.PRINODE  .EQ. 'produc')) THEN
	   GO TO 3000
	ELSE		
	   GO TO 1000	! GO GET REST FROM THE QUEUE
	END IF

C
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C DETURMEN IF THE NODE IS GOING UP OR DOWN TAKE ACTION INDICATED           
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C
3000	IF (MSG.NETMSG.UPDOWN .EQ. 0)THEN
	  TYPE *,'NODE GOING DOWN     NODE NAME IS ',MSG.NETMSG.PRINODE
	ELSE
	  TYPE *,'NODE COMMING UP     NODE NAME IS ',MSG.NETMSG.PRINODE
	END IF
C
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C WRITE A MESSAGE TO THE QUEUE FOR EACH NODE THAT IS CONCEREND WITH THE STATE
C OF LV4 AND ABOVE NODES
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C





C
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C GO BACK AND GET A NEW MESSAGE 
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C
	GO TO 1000 	
	END
