	SUBROUTINE RELOCATE_OFFSET(OFFSET,BASE)
C.begin.doc ************************** begin.doc
C  
C .c ;MODULE
C .c ;^&RELOCATE_OFFSET\&
C .nf
C .x RELOCATE_OFFSET>Defined
C Source:RELOCATE_OFFSET.MOD
C Designer           :EARL LAKIA
C Author             :EARL LAKIA
C             Inland Steel
C             Process Automation Department
C             3210 Watling St.  MS 2-465
C             East Chicago, IN  46312
C  
C Date of last update:10-JUL-1986 07:41:00.45
C Revision level     :1.0
C  
C .C ;Formal Parameter List
C Receives:
C  
C    OFFSET                     INTEGER*4 
C                               OFFSET TO BE RELOCATED 
C  
C    BASE                       INTEGER*4              
C                               RELOCATION BIAS        
C  
C Returns:
C  
C    OFFSET                     INTEGER*4
C                               RETURNED RELOCATED OFFSET 
C  
C Accesses common(s):
C  
C Accesses file(s):
C  
C Other modules referenced:
C .SK
C .fill
C .SK
C Description:
C .sk    
C 	This subroutine allows the caller to pass an offset
C and a base and have offset relocated.  It is particularly 
C useful when one only has the address of the offset and 
C the use of %val is used as shown below:
C .sk
C .nofill
C  
C CALL RELOCATE_OFFSET(%VAL(ADDRESS_OF_OFFSET), BASE)
C end.doc ****************************** end.doc  
	INTEGER*4 OFFSET	! OFFSET TO BE RELOCATED
	INTEGER*4 BASE		! BASE TO ADD TO OFFSET
C
C NOW THE WHOLE OF THIS COMPLICATED SUBROUTINE
C
	WRITE(*,100)OFFSET,BASE
100	FORMAT(' OFFSET: ',Z8,' BASE: ',Z8)
	OFFSET=OFFSET+BASE
	RETURN
	END
