#include descrip

#include "status.h"
extern int (*init[])();
extern int (*format[])();
extern struct node keywords[];

build_sort(jpi, syi, list, vals, index, fmt, susp, max)
  struct itmlst jpi[], syi[];
  int list[];
  char *vals[];
  int *index;
  int (*fmt[])();
  char susp[];
  int max;
{
  static char *listname = "sort";
  char buff[40];
  struct dsc$descriptor str={sizeof(buff), DSC$K_DTYPE_T, DSC$K_CLASS_S, buff};
  int keyword;
  char *ptr;
  int len, i;

  if (!(cli_present(listname) & 1)) return;
  while (cli_next_qual(listname) & 1) {
    str.dsc$w_length = sizeof(buff);
    while (cli_get_value(listname,&str) & 1) {
      if (*index >= max) {
        printf("No memory left for more keywords!\n");
        printf("%.*s will not be used\n", str.dsc$w_length, buff);
        return;
      };

      for (i=0; i<str.dsc$w_length; i++)
        buff[i] = toupper(buff[i]);
      buff[i] = '\0';

      keyword = search_keywords(buff);
      if (keyword < 0)
        printf("%.*s is %s%\n", str.dsc$w_length, buff,
               (keyword == -1)?"unknown":"ambiguous");
      else {
        fmt[*index] = keywords[keyword].fmt_ptr;
        /* initialize this item, i.e. call init$jpi or whatever */
        (*init[keywords[keyword].ini_ptr])(keywords[keyword].ini_data,
                jpi, syi, list, susp, index);
        /* here we need to add logic to build up the sort keys */
        /* perhaps I should add a sort type field into KEYWORDS.DAT
           then, if the sort type is zero, I could call format and sort
           using a type of text, otherwise, I can build up the sort keys */
        
      };
      str.dsc$w_length = sizeof(buff);
    };
  };
}
