/* KEYWORDS.H Created on 15-Apr-88 2:56 pm */

/* initialization routines */
int /* declare all initialization routines */
  init$dummy(),
  init$global_value(),
  init$jpi(),
  init$literal(),
  init$pages(),
  init$syi(),
  init$type();
int (*init[])() = {
  0,
  init$dummy,
  init$global_value,
  init$jpi,
  init$literal,
  init$pages,
  init$syi,
  init$type };

/* format routines */
int /* declare all formatting routines */
  cvt$access_mode(),
  cvt$boolean(),
  cvt$cputim(),
  cvt$creprc_flags(),
  cvt$current_time(),
  cvt$devices(),
  cvt$elapsed_time(),
  cvt$epid_to_ipid(),
  cvt$excvec(),
  cvt$finalexc(),
  cvt$global_word(),
  cvt$hex_12(),
  cvt$hex_6(),
  cvt$hex_8(),
  cvt$idletime(),
  cvt$image(),
  cvt$jobtype(),
  cvt$literal(),
  cvt$mode(),
  cvt$msgmsk(),
  cvt$numeric(),
  cvt$numeric_hex(),
  cvt$numeric_oct(),
  cvt$pages(),
  cvt$phdflags(),
  cvt$physical_terminal(),
  cvt$privilege(),
  cvt$state(),
  cvt$sts(),
  cvt$text(),
  cvt$time(),
  cvt$type(),
  cvt$uaf_flags(),
  cvt$uic(),
  cvt$where(),
  cvt$who();
int (*format[])() = {
  0,
  cvt$access_mode,
  cvt$boolean,
  cvt$cputim,
  cvt$creprc_flags,
  cvt$current_time,
  cvt$devices,
  cvt$elapsed_time,
  cvt$epid_to_ipid,
  cvt$excvec,
  cvt$finalexc,
  cvt$global_word,
  cvt$hex_12,
  cvt$hex_6,
  cvt$hex_8,
  cvt$idletime,
  cvt$image,
  cvt$jobtype,
  cvt$literal,
  cvt$mode,
  cvt$msgmsk,
  cvt$numeric,
  cvt$numeric_hex,
  cvt$numeric_oct,
  cvt$pages,
  cvt$phdflags,
  cvt$physical_terminal,
  cvt$privilege,
  cvt$state,
  cvt$sts,
  cvt$text,
  cvt$time,
  cvt$type,
  cvt$uaf_flags,
  cvt$uic,
  cvt$where,
  cvt$who };

struct node keywords[] = {
    {"ACCOUNT", 3, (JPI$_ACCOUNT<<16)+8, 30},
    {"ACP_BASEPRIO", 6, (SYI$_ACP_BASEPRIO<<16)+4, 21},
    {"ACP_DATACHECK", 6, (SYI$_ACP_DATACHECK<<16)+4, 21},
    {"ACP_DINDXCACHE", 6, (SYI$_ACP_DINDXCACHE<<16)+4, 21},
    {"ACP_DIRCACHE", 6, (SYI$_ACP_DIRCACHE<<16)+4, 21},
    {"ACP_EXTCACHE", 6, (SYI$_ACP_EXTCACHE<<16)+4, 21},
    {"ACP_EXTLIMIT", 6, (SYI$_ACP_EXTLIMIT<<16)+4, 21},
    {"ACP_FIDCACHE", 6, (SYI$_ACP_FIDCACHE<<16)+4, 21},
    {"ACP_HDRCACHE", 6, (SYI$_ACP_HDRCACHE<<16)+4, 21},
    {"ACP_MAPCACHE", 6, (SYI$_ACP_MAPCACHE<<16)+4, 21},
    {"ACP_MAXREAD", 6, (SYI$_ACP_MAXREAD<<16)+4, 21},
    {"ACP_MULTIPLE", 6, (SYI$_ACP_MULTIPLE<<16)+4, 21},
    {"ACP_QUOCACHE", 6, (SYI$_ACP_QUOCACHE<<16)+4, 21},
    {"ACP_REBLDSYSD", 6, (SYI$_ACP_REBLDSYSD<<16)+4, 21},
    {"ACP_SHARE", 6, (SYI$_ACP_SHARE<<16)+4, 21},
    {"ACP_SWAPFLGS", 6, (SYI$_ACP_SWAPFLGS<<16)+4, 21},
    {"ACP_SYSACC", 6, (SYI$_ACP_SYSACC<<16)+4, 21},
    {"ACP_WINDOW", 6, (SYI$_ACP_WINDOW<<16)+4, 21},
    {"ACP_WORKSET", 6, (SYI$_ACP_WORKSET<<16)+4, 21},
    {"ACP_WRITEBACK", 6, (SYI$_ACP_WRITEBACK<<16)+4, 21},
    {"ACP_XQP_RES", 6, (SYI$_ACP_XQP_RES<<16)+4, 21},
    {"ALLOCLASS", 6, (SYI$_ALLOCLASS<<16)+4, 21},
    {"APTCNT", 3, (JPI$_APTCNT<<16)+4, 21},
    {"ARCHFLAG", 6, (SYI$_ARCHFLAG<<16)+4, 21},
    {"ASTACT", 3, (JPI$_ASTACT<<16)+4, 1},
    {"ASTCNT", 3, (JPI$_ASTCNT<<16)+4, 21},
    {"ASTEN", 3, (JPI$_ASTEN<<16)+4, 1},
    {"ASTLM", 3, (JPI$_ASTLM<<16)+4, 21},
    {"AUTHPRI", 3, (JPI$_AUTHPRI<<16)+4, 21},
    {"AUTHPRIV", 3, (JPI$_AUTHPRIV<<16)+8, 27},
    {"AWSMIN", 6, (SYI$_AWSMIN<<16)+4, 21},
    {"AWSTIME", 6, (SYI$_AWSTIME<<16)+4, 21},
    {"BALSETCNT", 6, (SYI$_BALSETCNT<<16)+4, 21},
    {"BIOCNT", 3, (JPI$_BIOCNT<<16)+4, 21},
    {"BIOLM", 3, (JPI$_BIOLM<<16)+4, 21},
    {"BJOBCNT", 2, SYS$GW_BJOBCNT, 11},
    {"BJOBLIM", 6, (SYI$_BJOBLIM<<16)+4, 21},
    {"BOOTTIME", 6, (SYI$_BOOTTIME<<16)+8, 31},
    {"BORROWLIM", 6, (SYI$_BORROWLIM<<16)+4, 21},
    {"BUFIO", 3, (JPI$_BUFIO<<16)+4, 21},
    {"BUGCHECKFATAL", 6, (SYI$_BUGCHECKFATAL<<16)+4, 21},
    {"BUGREBOOT", 6, (SYI$_BUGREBOOT<<16)+4, 21},
    {"BYTCNT", 3, (JPI$_BYTCNT<<16)+4, 21},
    {"BYTLM", 3, (JPI$_BYTLM<<16)+4, 21},
    {"CHANNELCNT", 6, (SYI$_CHANNELCNT<<16)+4, 21},
    {"CHARACTER_EMULATED", 6, (SYI$_CHARACTER_EMULATED<<16)+1, 2},
    {"CJFLOAD", 6, (SYI$_CJFLOAD<<16)+4, 21},
    {"CJFSYSRUJ", 6, (SYI$_CJFSYSRUJ<<16)+4, 21},
    {"CLASS_PROT", 6, (SYI$_CLASS_PROT<<16)+4, 21},
    {"CLINAME", 3, (JPI$_CLINAME<<16)+39, 30},
    {"CLISYMTBL", 6, (SYI$_CLISYMTBL<<16)+4, 21},
    {"CLUSTER_FSYSID", 6, (SYI$_CLUSTER_FSYSID<<16)+6, 13},
    {"CLUSTER_FTIME", 6, (SYI$_CLUSTER_FTIME<<16)+8, 31},
    {"CLUSTER_MEMBER", 6, (SYI$_CLUSTER_MEMBER<<16)+1, 2},
    {"CLUSTER_NODES", 6, (SYI$_CLUSTER_NODES<<16)+2, 21},
    {"CLUSTER_QUORUM", 6, (SYI$_CLUSTER_QUORUM<<16)+2, 21},
    {"CLUSTER_VOTES", 6, (SYI$_CLUSTER_VOTES<<16)+2, 21},
    {"CONCEAL_DEVICES", 6, (SYI$_CONCEAL_DEVICES<<16)+4, 21},
    {"CPU", 6, (SYI$_CPU<<16)+4, 21},
    {"CPULIM", 3, (JPI$_CPULIM<<16)+4, 3},
    {"CPUTIM", 3, (JPI$_CPUTIM<<16)+4, 3},
    {"CRDENABLE", 6, (SYI$_CRDENABLE<<16)+4, 21},
    {"CREPRC_FLAGS", 3, (JPI$_CREPRC_FLAGS<<16)+4, 4},
    {"CTLIMGLIM", 6, (SYI$_CTLIMGLIM<<16)+4, 21},
    {"CTLPAGES", 6, (SYI$_CTLPAGES<<16)+4, 21},
    {"CURPRIV", 3, (JPI$_CURPRIV<<16)+8, 27},
    {"DEADLOCK_WAIT", 6, (SYI$_DEADLOCK_WAIT<<16)+4, 21},
    {"DECIMAL_EMULATED", 6, (SYI$_DECIMAL_EMULATED<<16)+1, 2},
    {"DEFMBXBUFQUO", 6, (SYI$_DEFMBXBUFQUO<<16)+4, 21},
    {"DEFMBXMXMSG", 6, (SYI$_DEFMBXMXMSG<<16)+4, 21},
    {"DEFMBXNUMMSG", 6, (SYI$_DEFMBXNUMMSG<<16)+4, 21},
    {"DEFPRI", 6, (SYI$_DEFPRI<<16)+4, 21},
    {"DEFQUEPRI", 6, (SYI$_DEFQUEPRI<<16)+4, 21},
    {"DEVICES", 3, (JPI$_PID<<16)+4, 6},
    {"DFPFC", 3, (JPI$_DFPFC<<16)+4, 21},
    {"DFWSCNT", 3, (JPI$_DFWSCNT<<16)+4, 21},
    {"DIOCNT", 3, (JPI$_DIOCNT<<16)+4, 21},
    {"DIOLM", 3, (JPI$_DIOLM<<16)+4, 21},
    {"DIRIO", 3, (JPI$_DIRIO<<16)+4, 21},
    {"DISK_QUORUM", 6, (SYI$_DISK_QUORUM<<16)+4, 21},
    {"DISMOUMSG", 6, (SYI$_DISMOUMSG<<16)+4, 21},
    {"DLCKEXTRASTK", 6, (SYI$_DLCKEXTRASTK<<16)+4, 21},
    {"DORMANTWAIT", 6, (SYI$_DORMANTWAIT<<16)+4, 21},
    {"DUMPBUG", 6, (SYI$_DUMPBUG<<16)+4, 21},
    {"D_FLOAT_EMULATED", 6, (SYI$_D_FLOAT_EMULATED<<16)+1, 2},
    {"EFCS", 3, (JPI$_EFCS<<16)+4, 22},
    {"EFCU", 3, (JPI$_EFCU<<16)+4, 22},
    {"EFWM", 3, (JPI$_EFWM<<16)+4, 22},
    {"ELAPSED", 3, (JPI$_LOGINTIM<<16)+8, 7},
    {"ENQCNT", 3, (JPI$_ENQCNT<<16)+4, 21},
    {"ENQLM", 3, (JPI$_ENQLM<<16)+4, 21},
    {"EXCVEC", 3, (JPI$_EXCVEC<<16)+4, 9},
    {"EXTRACPU", 6, (SYI$_EXTRACPU<<16)+4, 21},
    {"EXUSRSTK", 6, (SYI$_EXUSRSTK<<16)+4, 21},
    {"FILCNT", 3, (JPI$_FILCNT<<16)+4, 21},
    {"FILLM", 3, (JPI$_FILLM<<16)+4, 21},
    {"FINALEXC", 3, (JPI$_FINALEXC<<16)+4, 10},
    {"FREEGOAL", 6, (SYI$_FREEGOAL<<16)+4, 21},
    {"FREELIM", 6, (SYI$_FREELIM<<16)+4, 21},
    {"FREP0VA", 3, (JPI$_FREP0VA<<16)+4, 22},
    {"FREP1VA", 3, (JPI$_FREP1VA<<16)+4, 22},
    {"FREPTECNT", 3, (JPI$_FREPTECNT<<16)+4, 21},
    {"F_FLOAT_EMULATED", 6, (SYI$_F_FLOAT_EMULATED<<16)+1, 2},
    {"GBLPAGES", 6, (SYI$_GBLPAGES<<16)+4, 21},
    {"GBLPAGFIL", 6, (SYI$_GBLPAGFIL<<16)+4, 21},
    {"GBLSECTIONS", 6, (SYI$_GBLSECTIONS<<16)+4, 21},
    {"GPGCNT", 3, (JPI$_GPGCNT<<16)+4, 21},
    {"GROWLIM", 6, (SYI$_GROWLIM<<16)+4, 21},
    {"GRP", 3, (JPI$_GRP<<16)+4, 23},
    {"G_FLOAT_EMULATED", 6, (SYI$_G_FLOAT_EMULATED<<16)+1, 2},
    {"H_FLOAT_EMULATED", 6, (SYI$_H_FLOAT_EMULATED<<16)+1, 2},
    {"IDLETIME", 3, (JPI$_TERMINAL<<16)+64, 15},
    {"IJOBCNT", 2, SYS$GW_IJOBCNT, 11},
    {"IJOBLIM", 6, (SYI$_IJOBLIM<<16)+4, 21},
    {"IMAGE", 3, (JPI$_IMAGNAME<<16)+128, 16},
    {"IMAGECOUNT", 3, (JPI$_IMAGECOUNT<<16)+4, 21},
    {"IMAGNAME", 3, (JPI$_IMAGNAME<<16)+128, 30},
    {"IMAGPRIV", 3, (JPI$_IMAGPRIV<<16)+8, 27},
    {"IMGIOCNT", 6, (SYI$_IMGIOCNT<<16)+4, 21},
    {"INTSTKPAGES", 6, (SYI$_INTSTKPAGES<<16)+4, 21},
    {"IOTA", 6, (SYI$_IOTA<<16)+4, 21},
    {"IPID", 3, (JPI$_PID<<16)+4, 8},
    {"IRPCOUNT", 6, (SYI$_IRPCOUNT<<16)+4, 21},
    {"IRPCOUNTV", 6, (SYI$_IRPCOUNTV<<16)+4, 21},
    {"JOBPRCCNT", 3, (JPI$_JOBPRCCNT<<16)+4, 21},
    {"JOBTYPE", 3, (JPI$_JOBTYPE<<16)+4, 17},
    {"KFILSTCNT", 6, (SYI$_KFILSTCNT<<16)+4, 21},
    {"LAMAPREGS", 6, (SYI$_LAMAPREGS<<16)+4, 21},
    {"LGI_BRK_DISUSER", 6, (SYI$_LGI_BRK_DISUSER<<16)+4, 21},
    {"LGI_BRK_LIM", 6, (SYI$_LGI_BRK_LIM<<16)+4, 21},
    {"LGI_BRK_TERM", 6, (SYI$_LGI_BRK_TERM<<16)+4, 21},
    {"LGI_BRK_TMO", 6, (SYI$_LGI_BRK_TMO<<16)+4, 21},
    {"LGI_HID_TIM", 6, (SYI$_LGI_HID_TIM<<16)+4, 21},
    {"LGI_PWD_TMO", 6, (SYI$_LGI_PWD_TMO<<16)+4, 21},
    {"LGI_RETRY_LIM", 6, (SYI$_LGI_RETRY_LIM<<16)+4, 21},
    {"LGI_RETRY_TMO", 6, (SYI$_LGI_RETRY_TMO<<16)+4, 21},
    {"LNMPHASHTBL", 6, (SYI$_LNMPHASHTBL<<16)+4, 21},
    {"LNMSHASHTBL", 6, (SYI$_LNMSHASHTBL<<16)+4, 21},
    {"LOADCHKPRT", 6, (SYI$_LOADCHKPRT<<16)+4, 21},
    {"LOADERAPT", 6, (SYI$_LOADERAPT<<16)+4, 21},
    {"LOADMTACCESS", 6, (SYI$_LOADMTACCESS<<16)+4, 21},
    {"LOCKDIRWT", 6, (SYI$_LOCKDIRWT<<16)+4, 21},
    {"LOCKIDTBL", 6, (SYI$_LOCKIDTBL<<16)+4, 21},
    {"LOCKIDTBL_MAX", 6, (SYI$_LOCKIDTBL_MAX<<16)+4, 21},
    {"LOCKRETRY", 6, (SYI$_LOCKRETRY<<16)+4, 21},
    {"LOGINTIM", 3, (JPI$_LOGINTIM<<16)+8, 31},
    {"LONGWAIT", 6, (SYI$_LONGWAIT<<16)+4, 21},
    {"LRPCOUNT", 6, (SYI$_LRPCOUNT<<16)+4, 21},
    {"LRPCOUNTV", 6, (SYI$_LRPCOUNTV<<16)+4, 21},
    {"LRPMIN", 6, (SYI$_LRPMIN<<16)+4, 21},
    {"LRPSIZE", 6, (SYI$_LRPSIZE<<16)+4, 21},
    {"MASTER_PID", 3, (JPI$_MASTER_PID<<16)+4, 22},
    {"MAXBUF", 6, (SYI$_MAXBUF<<16)+4, 21},
    {"MAXDETACH", 3, (JPI$_MAXDETACH<<16)+4, 21},
    {"MAXJOBS", 3, (JPI$_MAXJOBS<<16)+4, 21},
    {"MAXPROCESSCNT", 6, (SYI$_MAXPROCESSCNT<<16)+4, 21},
    {"MAXQUEPRI", 6, (SYI$_MAXQUEPRI<<16)+4, 21},
    {"MAXSYSGROUP", 6, (SYI$_MAXSYSGROUP<<16)+4, 21},
    {"MEM", 3, (JPI$_MEM<<16)+4, 23},
    {"MINWSCNT", 6, (SYI$_MINWSCNT<<16)+4, 21},
    {"MODE", 3, (JPI$_MODE<<16)+4, 19},
    {"MOUNTMSG", 6, (SYI$_MOUNTMSG<<16)+4, 21},
    {"MPW_HILIMIT", 6, (SYI$_MPW_HILIMIT<<16)+4, 21},
    {"MPW_LOLIMIT", 6, (SYI$_MPW_LOLIMIT<<16)+4, 21},
    {"MPW_PRIO", 6, (SYI$_MPW_PRIO<<16)+4, 21},
    {"MPW_THRESH", 6, (SYI$_MPW_THRESH<<16)+4, 21},
    {"MPW_WAITLIMIT", 6, (SYI$_MPW_WAITLIMIT<<16)+4, 21},
    {"MPW_WRTCLUSTER", 6, (SYI$_MPW_WRTCLUSTER<<16)+4, 21},
    {"MSGMASK", 3, (JPI$_MSGMASK<<16)+4, 20},
    {"MVTIMEOUT", 6, (SYI$_MVTIMEOUT<<16)+4, 21},
    {"NJOBCNT", 2, SYS$GW_NJOBCNT, 11},
    {"NJOBLIM", 6, (SYI$_NJOBLIM<<16)+4, 21},
    {"NOAUTOCONFIG", 6, (SYI$_NOAUTOCONFIG<<16)+4, 21},
    {"NOCLOCK", 6, (SYI$_NOCLOCK<<16)+4, 21},
    {"NOCLUSTER", 6, (SYI$_NOCLUSTER<<16)+4, 21},
    {"NODENAME", 6, (SYI$_NODENAME<<16)+15, 30},
    {"NODE_AREA", 6, (SYI$_NODE_AREA<<16)+4, 21},
    {"NODE_CSID", 6, (SYI$_NODE_CSID<<16)+4, 22},
    {"NODE_HWTYPE", 6, (SYI$_NODE_HWTYPE<<16)+4, 30},
    {"NODE_HWVERS", 6, (SYI$_NODE_HWVERS<<16)+12, 12},
    {"NODE_NUMBER", 6, (SYI$_NODE_NUMBER<<16)+4, 21},
    {"NODE_QUORUM", 6, (SYI$_NODE_QUORUM<<16)+2, 21},
    {"NODE_SWINCARN", 6, (SYI$_NODE_SWINCARN<<16)+8, 14},
    {"NODE_SWTYPE", 6, (SYI$_NODE_SWTYPE<<16)+4, 30},
    {"NODE_SWVERS", 6, (SYI$_NODE_SWVERS<<16)+4, 30},
    {"NODE_SYSTEMID", 6, (SYI$_NODE_SYSTEMID<<16)+6, 13},
    {"NODE_VOTES", 6, (SYI$_NODE_VOTES<<16)+2, 21},
    {"NPAGEDYN", 6, (SYI$_NPAGEDYN<<16)+4, 21},
    {"NPAGEVIR", 6, (SYI$_NPAGEVIR<<16)+4, 21},
    {"OWNER", 3, (JPI$_OWNER<<16)+4, 22},
    {"PAGEDYN", 6, (SYI$_PAGEDYN<<16)+4, 21},
    {"PAGEFILE_FREE", 6, (SYI$_PAGEFILE_FREE<<16)+4, 21},
    {"PAGEFILE_PAGE", 6, (SYI$_PAGEFILE_PAGE<<16)+4, 21},
    {"PAGEFLTS", 3, (JPI$_PAGEFLTS<<16)+4, 21},
    {"PAGES", 5, 0, 24},
    {"PAGFILCNT", 3, (JPI$_PAGFILCNT<<16)+4, 21},
    {"PAGFILLOC", 3, (JPI$_PAGFILLOC<<16)+4, 22},
    {"PAGTBLPFC", 6, (SYI$_PAGTBLPFC<<16)+4, 21},
    {"PAMAXPORT", 6, (SYI$_PAMAXPORT<<16)+4, 21},
    {"PANOPOLL", 6, (SYI$_PANOPOLL<<16)+4, 21},
    {"PANUMPOLL", 6, (SYI$_PANUMPOLL<<16)+4, 21},
    {"PAPOLLINTERVAL", 6, (SYI$_PAPOLLINTERVAL<<16)+4, 21},
    {"PAPOOLINTERVAL", 6, (SYI$_PAPOOLINTERVAL<<16)+4, 21},
    {"PASANITY", 6, (SYI$_PASANITY<<16)+4, 21},
    {"PASTDGBUF", 6, (SYI$_PASTDGBUF<<16)+4, 21},
    {"PASTIMOUT", 6, (SYI$_PASTIMOUT<<16)+4, 21},
    {"PE1", 6, (SYI$_PE1<<16)+4, 21},
    {"PE2", 6, (SYI$_PE2<<16)+4, 21},
    {"PE3", 6, (SYI$_PE3<<16)+4, 21},
    {"PE4", 6, (SYI$_PE4<<16)+4, 21},
    {"PE5", 6, (SYI$_PE5<<16)+4, 21},
    {"PE6", 6, (SYI$_PE6<<16)+4, 21},
    {"PFCDEFAULT", 6, (SYI$_PFCDEFAULT<<16)+4, 21},
    {"PFRATH", 6, (SYI$_PFRATH<<16)+4, 21},
    {"PFRATL", 6, (SYI$_PFRATL<<16)+4, 21},
    {"PFRATS", 6, (SYI$_PFRATS<<16)+4, 21},
    {"PGFILCNT", 6, (SYI$_PAGFILCNT<<16)+4, 21},
    {"PGFLQUOTA", 3, (JPI$_PGFLQUOTA<<16)+4, 21},
    {"PHDFLAGS", 3, (JPI$_PHDFLAGS<<16)+4, 25},
    {"PHYSICAL", 3, (JPI$_TERMINAL<<16)+64, 26},
    {"PHYSICALPAGES", 6, (SYI$_PHYSICALPAGES<<16)+4, 21},
    {"PID", 3, (JPI$_PID<<16)+4, 22},
    {"PIOPAGES", 6, (SYI$_PIOPAGES<<16)+4, 21},
    {"PIXSCAN", 6, (SYI$_PIXSCAN<<16)+4, 21},
    {"POOLPAGING", 6, (SYI$_POOLPAGING<<16)+4, 21},
    {"PPGCNT", 3, (JPI$_PPGCNT<<16)+4, 21},
    {"PQL_DASTLM", 6, (SYI$_PQL_DASTLM<<16)+4, 21},
    {"PQL_DBIOLM", 6, (SYI$_PQL_DBIOLM<<16)+4, 21},
    {"PQL_DBYTLM", 6, (SYI$_PQL_DBYTLM<<16)+4, 21},
    {"PQL_DCPULM", 6, (SYI$_PQL_DCPULM<<16)+4, 21},
    {"PQL_DDIOLM", 6, (SYI$_PQL_DDIOLM<<16)+4, 21},
    {"PQL_DENQLM", 6, (SYI$_PQL_DENQLM<<16)+4, 21},
    {"PQL_DFILLM", 6, (SYI$_PQL_DFILLM<<16)+4, 21},
    {"PQL_DJTQUOTA", 6, (SYI$_PQL_DJTQUOTA<<16)+4, 21},
    {"PQL_DPGFLQUOTA", 6, (SYI$_PQL_DPGFLQUOTA<<16)+4, 21},
    {"PQL_DPRCLM", 6, (SYI$_PQL_DPRCLM<<16)+4, 21},
    {"PQL_DTQELM", 6, (SYI$_PQL_DTQELM<<16)+4, 21},
    {"PQL_DWSDEFAULT", 6, (SYI$_PQL_DWSDEFAULT<<16)+4, 21},
    {"PQL_DWSEXTENT", 6, (SYI$_PQL_DWSEXTENT<<16)+4, 21},
    {"PQL_DWSQUOTA", 6, (SYI$_PQL_DWSQUOTA<<16)+4, 21},
    {"PQL_MASTLM", 6, (SYI$_PQL_MASTLM<<16)+4, 21},
    {"PQL_MBIOLM", 6, (SYI$_PQL_MBIOLM<<16)+4, 21},
    {"PQL_MBYTLM", 6, (SYI$_PQL_MBYTLM<<16)+4, 21},
    {"PQL_MCPULM", 6, (SYI$_PQL_MCPULM<<16)+4, 21},
    {"PQL_MDIOLM", 6, (SYI$_PQL_MDIOLM<<16)+4, 21},
    {"PQL_MENQLM", 6, (SYI$_PQL_MENQLM<<16)+4, 21},
    {"PQL_MFILLM", 6, (SYI$_PQL_MFILLM<<16)+4, 21},
    {"PQL_MJTQUOTA", 6, (SYI$_PQL_MJTQUOTA<<16)+4, 21},
    {"PQL_MPGFLQUOTA", 6, (SYI$_PQL_MPGFLQUOTA<<16)+4, 21},
    {"PQL_MPRCLM", 6, (SYI$_PQL_MPRCLM<<16)+4, 21},
    {"PQL_MTQELM", 6, (SYI$_PQL_MTQELM<<16)+4, 21},
    {"PQL_MWSDEFAULT", 6, (SYI$_PQL_MWSDEFAULT<<16)+4, 21},
    {"PQL_MWSEXTENT", 6, (SYI$_PQL_MWSEXTENT<<16)+4, 21},
    {"PQL_MWSQUOTA", 6, (SYI$_PQL_MWSQUOTA<<16)+4, 21},
    {"PRCCNT", 3, (JPI$_PRCCNT<<16)+4, 21},
    {"PRCLM", 3, (JPI$_PRCLM<<16)+4, 21},
    {"PRCNAM", 3, (JPI$_PRCNAM<<16)+16, 30},
    {"PRCPOLINTERVAL", 6, (SYI$_PRCPOLINTERVAL<<16)+4, 21},
    {"PRI", 3, (JPI$_PRI<<16)+4, 21},
    {"PRIB", 3, (JPI$_PRIB<<16)+4, 21},
    {"PROCCNT", 2, SCH$GW_PROCCNT, 11},
    {"PROCPRIV", 3, (JPI$_PROCPRIV<<16)+8, 27},
    {"PROCSECTCNT", 6, (SYI$_PROCSECTCNT<<16)+4, 21},
    {"PROC_INDEX", 3, (JPI$_PROC_INDEX<<16)+4, 21},
    {"QDSKINTERVAL", 6, (SYI$_QDSKINTERVAL<<16)+4, 21},
    {"QDSKVOTES", 6, (SYI$_QDSKVOTES<<16)+4, 21},
    {"QUANTUM", 6, (SYI$_QUANTUM<<16)+4, 21},
    {"QUORUM", 6, (SYI$_QUORUM<<16)+4, 21},
    {"REALTIME_SPTS", 6, (SYI$_REALTIME_SPTS<<16)+4, 21},
    {"RECNXINTERVAL", 6, (SYI$_RECNXINTERVAL<<16)+4, 21},
    {"RESALLOC", 6, (SYI$_RESALLOC<<16)+4, 21},
    {"RESHASHTBL", 6, (SYI$_RESHASHTBL<<16)+4, 21},
    {"RJOBLIM", 6, (SYI$_RJOBLIM<<16)+4, 21},
    {"RMS_DFMBC", 6, (SYI$_RMS_DFMBC<<16)+4, 21},
    {"RMS_DFMBFHSH", 6, (SYI$_RMS_DFMBFHSH<<16)+4, 21},
    {"RMS_DFMBFIDX", 6, (SYI$_RMS_DFMBFIDX<<16)+4, 21},
    {"RMS_DFMBFREL", 6, (SYI$_RMS_DFMBFREL<<16)+4, 21},
    {"RMS_DFMBFSDK", 6, (SYI$_RMS_DFMBFSDK<<16)+4, 21},
    {"RMS_DFMBFSMT", 6, (SYI$_RMS_DFMBFSMT<<16)+4, 21},
    {"RMS_DFMBFSUR", 6, (SYI$_RMS_DFMBFSUR<<16)+4, 21},
    {"RMS_DFNBC", 6, (SYI$_RMS_DFNBC<<16)+4, 21},
    {"RMS_EXTEND_SIZE", 6, (SYI$_RMS_EXTEND_SIZE<<16)+4, 21},
    {"RMS_FILEPROT", 6, (SYI$_RMS_FILEPROT<<16)+4, 21},
    {"RMS_GBLBUFQUO", 6, (SYI$_RMS_GBLBUFQUO<<16)+4, 21},
    {"RMS_PROLOGUE", 6, (SYI$_RMS_PROLOGUE<<16)+4, 21},
    {"SAVEDUMP", 6, (SYI$_SAVEDUMP<<16)+4, 21},
    {"SBIERRENABLE", 6, (SYI$_SBIERRENABLE<<16)+4, 21},
    {"SCSBUFFCNT", 6, (SYI$_SCSBUFFCNT<<16)+4, 21},
    {"SCSCONNCNT", 6, (SYI$_SCSCONNCNT<<16)+4, 21},
    {"SCSFLOWCUSH", 6, (SYI$_SCSFLOWCUSH<<16)+4, 21},
    {"SCSMAXDG", 6, (SYI$_SCSMAXDG<<16)+4, 21},
    {"SCSMAXMSG", 6, (SYI$_SCSMAXMSG<<16)+4, 21},
    {"SCSNODE", 6, (SYI$_SCSNODE<<16)+4, 21},
    {"SCSRESPCNT", 6, (SYI$_SCSRESPCNT<<16)+4, 21},
    {"SCSSYSTEMID", 6, (SYI$_SCSSYSTEMID<<16)+4, 21},
    {"SCSSYSTEMIDH", 6, (SYI$_SCSSYSTEMIDH<<16)+4, 21},
    {"SCS_EXISTS", 6, (SYI$_SCS_EXISTS<<16)+1, 2},
    {"SETTIME", 6, (SYI$_SETTIME<<16)+4, 21},
    {"SHRFILLM", 3, (JPI$_SHRFILLM<<16)+4, 21},
    {"SID", 6, (SYI$_SID<<16)+4, 22},
    {"SITESPEC", 3, (JPI$_SITESPEC<<16)+4, 22},
    {"SPTREQ", 6, (SYI$_SPTREQ<<16)+4, 21},
    {"SRPCOUNT", 6, (SYI$_SRPCOUNT<<16)+4, 21},
    {"SRPCOUNTV", 6, (SYI$_SRPCOUNTV<<16)+4, 21},
    {"SRPMIN", 6, (SYI$_SRPMIN<<16)+4, 21},
    {"SRPSIZE", 6, (SYI$_SRPSIZE<<16)+4, 21},
    {"SSINHIBIT", 6, (SYI$_SSINHIBIT<<16)+4, 21},
    {"STARTUP_P1", 6, (SYI$_STARTUP_P1<<16)+4, 21},
    {"STARTUP_P2", 6, (SYI$_STARTUP_P2<<16)+4, 21},
    {"STARTUP_P3", 6, (SYI$_STARTUP_P3<<16)+4, 21},
    {"STARTUP_P4", 6, (SYI$_STARTUP_P4<<16)+4, 21},
    {"STARTUP_P5", 6, (SYI$_STARTUP_P5<<16)+4, 21},
    {"STARTUP_P6", 6, (SYI$_STARTUP_P6<<16)+4, 21},
    {"STARTUP_P7", 6, (SYI$_STARTUP_P7<<16)+4, 21},
    {"STARTUP_P8", 6, (SYI$_STARTUP_P8<<16)+4, 21},
    {"STATE", 3, (JPI$_STATE<<16)+4, 28},
    {"STS", 3, (JPI$_STS<<16)+4, 29},
    {"SWAPFILE_FREE", 6, (SYI$_SWAPFILE_FREE<<16)+4, 21},
    {"SWAPFILE_PAGE", 6, (SYI$_SWAPFILE_PAGE<<16)+4, 21},
    {"SWPALLOCINC", 6, (SYI$_SWPALLOCINC<<16)+4, 21},
    {"SWPFAIL", 6, (SYI$_SWPFAIL<<16)+4, 21},
    {"SWPFILCNT", 6, (SYI$_SWPFILCNT<<16)+4, 21},
    {"SWPFILLOC", 3, (JPI$_SWPFILLOC<<16)+4, 22},
    {"SWPOUTPGCNT", 6, (SYI$_SWPOUTPGCNT<<16)+4, 21},
    {"SWPRATE", 6, (SYI$_SWPRATE<<16)+4, 21},
    {"SWP_PRIO", 6, (SYI$_SWP_PRIO<<16)+4, 21},
    {"SYSMWCNT", 6, (SYI$_SYSMWCNT<<16)+4, 21},
    {"SYSPAGING", 6, (SYI$_SYSPAGING<<16)+4, 21},
    {"SYSPFC", 6, (SYI$_SYSPFC<<16)+4, 21},
    {"TABLENAME", 3, (JPI$_TABLENAME<<16)+252, 30},
    {"TAILORED", 6, (SYI$_TAILORED<<16)+4, 21},
    {"TBSKIPWSL", 6, (SYI$_TBSKIPWSL<<16)+4, 21},
    {"TERMINAL", 3, (JPI$_TERMINAL<<16)+8, 30},
    {"TEXT", 4, 0, 18},
    {"TIME", 1, 0, 5},
    {"TIMEPROMPTWAIT", 6, (SYI$_TIMEPROMPTWAIT<<16)+4, 21},
    {"TMBU", 3, (JPI$_TMBU<<16)+4, 21},
    {"TQCNT", 3, (JPI$_TQCNT<<16)+4, 21},
    {"TQLM", 3, (JPI$_TQLM<<16)+4, 21},
    {"TTY_ALTALARM", 6, (SYI$_TTY_ALTALARM<<16)+4, 21},
    {"TTY_ALTYPAHD", 6, (SYI$_TTY_ALTYPAHD<<16)+4, 21},
    {"TTY_AUTOCHAR", 6, (SYI$_TTY_AUTOCHAR<<16)+4, 21},
    {"TTY_BUF", 6, (SYI$_TTY_BUF<<16)+4, 21},
    {"TTY_CLASSNAME", 6, (SYI$_TTY_CLASSNAME<<16)+4, 21},
    {"TTY_DEFCHAR", 6, (SYI$_TTY_DEFCHAR<<16)+4, 21},
    {"TTY_DEFCHAR2", 6, (SYI$_TTY_DEFCHAR2<<16)+4, 21},
    {"TTY_DEFPORT", 6, (SYI$_TTY_DEFPORT<<16)+4, 21},
    {"TTY_DIALTYPE", 6, (SYI$_TTY_DIALTYPE<<16)+4, 21},
    {"TTY_DMASIZE", 6, (SYI$_TTY_DMASIZE<<16)+4, 21},
    {"TTY_OWNER", 6, (SYI$_TTY_OWNER<<16)+4, 21},
    {"TTY_PARITY", 6, (SYI$_TTY_PARITY<<16)+4, 21},
    {"TTY_PROT", 6, (SYI$_TTY_PROT<<16)+4, 21},
    {"TTY_RSPEED", 6, (SYI$_TTY_RSPEED<<16)+4, 21},
    {"TTY_SCANDELTA", 6, (SYI$_TTY_SCANDELTA<<16)+4, 21},
    {"TTY_SILOTIME", 6, (SYI$_TTY_SILOTIME<<16)+4, 21},
    {"TTY_SPEED", 6, (SYI$_TTY_SPEED<<16)+4, 21},
    {"TTY_TIMEOUT", 6, (SYI$_TTY_TIMEOUT<<16)+4, 21},
    {"TTY_TYPAHDSZ", 6, (SYI$_TTY_TYPAHDSZ<<16)+4, 21},
    {"TYPE", 7, 0, 32},
    {"UAFALTERNATE", 6, (SYI$_UAFALTERNATE<<16)+4, 21},
    {"UAF_FLAGS", 3, (JPI$_UAF_FLAGS<<16)+4, 33},
    {"UDABURSTRATE", 6, (SYI$_UDABURSTRATE<<16)+4, 21},
    {"UIC", 3, (JPI$_UIC<<16)+4, 34},
    {"USER3", 6, (SYI$_USER3<<16)+4, 21},
    {"USER4", 6, (SYI$_USER4<<16)+4, 21},
    {"USERD1", 6, (SYI$_USERD1<<16)+4, 21},
    {"USERD2", 6, (SYI$_USERD2<<16)+4, 21},
    {"USERNAME", 3, (JPI$_USERNAME<<16)+12, 30},
    {"VAXCLUSTER", 6, (SYI$_VAXCLUSTER<<16)+4, 21},
    {"VERSION", 6, (SYI$_VERSION<<16)+8, 30},
    {"VIRTPEAK", 3, (JPI$_VIRTPEAK<<16)+4, 21},
    {"VIRTUALPAGECNT", 6, (SYI$_VIRTUALPAGECNT<<16)+4, 21},
    {"VMS5", 6, (SYI$_VMS5<<16)+4, 21},
    {"VMS6", 6, (SYI$_VMS6<<16)+4, 21},
    {"VMS7", 6, (SYI$_VMS7<<16)+4, 21},
    {"VMS8", 6, (SYI$_VMS8<<16)+4, 21},
    {"VMSD1", 6, (SYI$_VMSD1<<16)+4, 21},
    {"VMSD2", 6, (SYI$_VMSD2<<16)+4, 21},
    {"VMSD3", 6, (SYI$_VMSD3<<16)+4, 21},
    {"VMSD4", 6, (SYI$_VMSD4<<16)+4, 21},
    {"VOLUMES", 3, (JPI$_VOLUMES<<16)+4, 21},
    {"VOTES", 6, (SYI$_VOTES<<16)+4, 21},
    {"WHERE", 3, (JPI$_TERMINAL<<16)+64, 35},
    {"WHO", 3, (JPI$_USERNAME<<16)+12, 36},
    {"WRITABLESYS", 6, (SYI$_WRITABLESYS<<16)+4, 21},
    {"WRITESYSPARAMS", 6, (SYI$_WRITESYSPARAMS<<16)+4, 21},
    {"WSAUTH", 3, (JPI$_WSAUTH<<16)+4, 21},
    {"WSAUTHEXT", 3, (JPI$_WSAUTHEXT<<16)+4, 21},
    {"WSDEC", 6, (SYI$_WSDEC<<16)+4, 21},
    {"WSEXTENT", 3, (JPI$_WSEXTENT<<16)+4, 21},
    {"WSINC", 6, (SYI$_WSINC<<16)+4, 21},
    {"WSMAX", 6, (SYI$_WSMAX<<16)+4, 21},
    {"WSPEAK", 3, (JPI$_WSPEAK<<16)+4, 21},
    {"WSQUOTA", 3, (JPI$_WSQUOTA<<16)+4, 21},
    {"WSSIZE", 3, (JPI$_WSSIZE<<16)+4, 21},
    {"WS_OPA0", 6, (SYI$_WS_OPA0<<16)+4, 21},
    {"XFMAXRATE", 6, (SYI$_XFMAXRATE<<16)+4, 21},
  };

