#include descrip
#include iodef
#include "nfbdef.h"

Get_RTPAD_Destination(pid,site,user)
  int pid;
  char *site, *user;
{
  $DESCRIPTOR(Net,"Net:");

  struct {
    unsigned char nfb$b_fct;
    unsigned char nfb$b_flags;
    unsigned char nfb$b_database;
    unsigned char nfb$b_oper;
    long int nfb$l_srch_key;
    long int nfb$l_srch2_key;
    unsigned char nfb$b_oper2;
    unsigned char nfb$b_mbz1;
    short int nfb$w_cell_size;
    long int nfb$l_fldid[3];
  } nfb =
    {
      NFB$C_FC_SHOW, NFB$M_NOCTX, NFB$C_DB_LLI, NFB$C_OP_EQL,
      NFB$C_LLI_PID, NFB$C_WILDCARD,
      0, 0, 0,
      NFB$C_LLI_PNA, NFB$C_LLI_PNN, NFB$C_ENDOFLIST
    };
  /* NFB$C_LLI_USR returns local username, not remote username,
   * NFB$C_LLI_RID returns remote object name - CTERM
   * For now, I don't know how to return the username, so, I won't.
   */

  unsigned char buf[128];
  char *buff = buf;
  unsigned short int len;

  struct {
    long int k1;
    long int k2;
  } key = {0,pid};

  struct dsc$descriptor nfbdesc = {sizeof(nfb), 0, 0, &nfb};
  struct dsc$descriptor keydesc = {sizeof(key), 0, 0, &key};
  struct dsc$descriptor bufdesc = {sizeof(buf), 0, 0, buf};

  int pna;
  int status;
  short int chan, iosb[4];

  site[0] = '\0';
  user[0] = '\0';

  status = sys$assign (&Net, &chan, 0, 0);
  if (!( status & 1))
  {
    lib$signal(status);
    return(status);
  }

  status = sys$qiow (0,chan,IO$_ACPCONTROL,iosb,0,0,
			&nfbdesc,&keydesc,0,&bufdesc,0,0);
  sys$dassgn(chan);
  if ( status & 1)
    status = iosb[0];

  if (!( status & 1))
  {
    lib$signal(status);
    return(status);
  }

  pna = *(int *)buff;
  buff += 4;

  len = *(short int *)buff;
  buff += 2;
  strncpy(site,buff,len);
  buff += len;
  while (len && (site[len - 1] == ' '))
    --len;
  site[len] = '\0';
  if (len == 0)
  {
    sprintf(site,"%d.%d",pna / 1024,pna % 1024);
  }

  return(1);
}
