/* Created by SDL V3.0-2     */
/* Source:  8-AUG-1988 09:44:43 EMULEX$DISK:[MEADOWS.UNSDL.VMS4-7_H]STARDEFAE.S */
#ifndef $CLIDEF_H
#define $CLIDEF_H
 
/*** MODULE $CLIDEF ***/
/*++                                                                          */
/*                                                                            */
/* $CLIDEF --- COMMAND LAGUAGE INTERFACE DEFINITIONS                          */
/*                                                                            */
/* THIS MODULE DEFINES THE OFFSET VALUES FOR THE DATA STRUCTURES              */
/* USED TO COMMUNICATED COMMAND INFORMATION BETWEEN THE CLI AND               */
/* THE UTILITY THAT WAS REQUESTED TO PERFORM THE OPERATION.                   */
/*                                                                            */
/*--                                                                          */
#define CLI$M_DEBUG 0x00000001
#define CLI$M_DBGTRU 0x00000002
#define CLI$M_VERIFY 0x00000004
#define CLI$M_BATCH 0x00000008
#define CLI$M_INDIRECT 0x00000010
#define CLI$M_VFYINP 0x00000020
#define CLI$M_TRMVRBLV 0x00000300
#define CLI$M_DBGEXCP 0x00010000
struct clidef {
    unsigned long int cli$l_iniargcnt;  /* INITIAL ARG COUNT                  */
    int *cli$a_progxfer;        /* PROGRAM TRANSFER VECTOR ADDRESS            */
    int *cli$a_utilserv;        /* ADDRESS OF CLI UTILITY SERVICE             */
    int *cli$a_imghdadr;        /* ADDRESS OF IMAGE HEADER                    */
    int *cli$a_imgfiled;        /* ADDRESS OF IMAGE FILE DATA                 */
    unsigned long int cli$l_linkflag;   /* LINK FLAG LONGWORD                 */
    union {
        unsigned long int cli$l_cliflag;        /* CLI FLAG LONGWORD          */
        struct {
            unsigned cli$v_debug : 1;   /* DEBUG QUALIFIER SEEN               */
            unsigned cli$v_dbgtru : 1;  /* DEBUG WAS TRUE                     */
            unsigned cli$v_verify : 1;  /* VERIFY IS ON                       */
            unsigned cli$v_batch : 1;   /* THIS PROCESS IS A BATCH JOB        */
            unsigned cli$v_indirect : 1;        /* INDIRECT LEVEL NOT EQUAL TO ZERO   */
            unsigned cli$v_vfyinp : 1;  /* UTILITY SHOULD VERFIY INPUT        */
            unsigned clidef$$_fill_1 : 2;       /* ROUND UP TO NEXT BYTE      */
            unsigned cli$v_trmvrblv : 2;        /* TERMINAL VERBOSITY LEVEL   */
            unsigned clidef$$_fill_2 : 6;       /* ROUND UP TO NEXT BYTE      */
            unsigned cli$v_dbgexcp : 1; /* DEBUGGER CALLED VIA "DEBUG" EXCEPTION      */
            unsigned cli$v_fill_12 : 7;
            } cli$r_cliflag_bits;
/*        THE FOLLOWING ARGUMENTS ARE OPTIONAL DEPENDING ON INIARGCNT         */
        } cli$r_cliflag_overlay;
    unsigned long int cli$l_arglist;    /* ADDRESS OF APPLICATION ARGUMENT LIST       */
/* (USED FOR MERGED IMAGE ARG. PASSING)                                       */
/*                                                                            */
/*        DEFINE CLI COMMAND INTERFACE REQUEST BLOCK                          */
/*                                                                            */
} ;
#define CLI$M_PARMREQ 0x00000001
#define CLI$M_ABSADR 0x00000002
#define CLI$M_EXPNAM 0x00000004
#define CLI$M_LASTVAL 0x00000001
#define CLI$M_DUMMY 0x00000002
#define CLI$M_PARMPRS 0x00000001
#define CLI$M_CONCATINP 0x00000002
#define CLI$M_MOREINP 0x00000004
#define CLI$M_PARMDEF 0x00000008
#define CLI$M_MOREVALS 0x00000001
#define CLI$M_KEYVALU 0x00000002
#define CLI$K_REQDESC 28        /* SIZE OF THE STRUCTURE                      */
#define CLI$C_REQDESC 28        /* SIZE OF THE STRUCTURE                      */
/*                                                                            */
struct clidef1 {
    union {
        long int clidef$$_fill_3;       /* DUMMY ARG                          */
        struct {
            union {
                unsigned char cli$b_rqtype;     /* TYPE OF REQUEST BEING MADE */
                struct {
                    unsigned cli$v_subtyp : 4;  /* SUB TYPE VIELD             */
                    unsigned cli$v_prityp : 4;  /* PRIMARY TYPYE              */
                    } cli$r_rqtype_bits;
                } cli$r_rqtype_overlay;
            union {
                unsigned short int cli$w_servcod;       /* CLI SERVICE CODE   */
                struct {
                    union {
                        unsigned char cli$b_rqindx;     /* OFFSET FOR VALUE KEYWORD INDEX     */
                        unsigned char cli$b_bitnum;     /* BIT TO SET IF REQUEST IS SUCESSFUL */
                        } cli$r_rqindx_overlay;
                    union {
                        unsigned char cli$b_rqflgs;     /* INPUT FLAGS CONCERNING REQUEST     */
                        struct {
                            unsigned cli$v_parmreq : 1; /* PARAMATER IS REQUIRED      */
                            unsigned cli$v_absadr : 1;  /* ALL ADDRESS ARE ABSOLUTE   */
                            unsigned cli$v_expnam : 1;  /* RETURN EXPLICIT NAMES ONLY */
                            unsigned cli$v_fill_13 : 5;
                            } cli$r_rqflgs_bits0;
                        struct {
                            unsigned cli$v_lastval : 1; /* LAST VALUE ALLOWED */
                            unsigned cli$v_dummy : 1;   /* *** SAVE PLACE FOR ABS ADR ***     */
                            unsigned cli$v_fill_14 : 6;
                            } cli$r_rqflgs_bits1;
                        } cli$r_rqflgs_overlay;
                    } cli$r_servcod_fields;
                } cli$r_servcod_overlay;
            union {
                unsigned char cli$b_rqstat;     /* OUTPUT STATUS FLAGS        */
                struct {
                    unsigned cli$v_parmprs : 1; /* PARAMETER IS PRESENT       */
                    unsigned cli$v_concatinp : 1;       /* INPUT CONCATONATION EXISTS */
                    unsigned cli$v_moreinp : 1; /* ANOTHER SET OF INPUT PARAMETERS    */
                    unsigned cli$v_parmdef : 1; /* PARAMETER WAS DEFAULTED PRESENT    */
                    unsigned cli$v_fill_15 : 4;
                    } cli$r_rqstat_bits0;
                struct {
                    unsigned cli$v_morevals : 1;        /* UNPROCESSED VALUES REMAIN  */
                    unsigned cli$v_keyvalu : 1; /* SUBSEQUENT TOKEN IS VALUE FOR KEY  */
                    unsigned cli$v_fill_16 : 6;
                    } cli$r_rqstat_bits1;
                } cli$r_rqstat_overlay;
            } cli$r_fill_3_fields;
        } cli$r_fill_3_overlay;
    int *cli$a_erract;  /* ADDRESS OF ERROR ACTION ROUTINE                    */
    union {
        unsigned int cli$q_rqdesc [2];  /* QUADWORD REQUEST DESCRIPTOR        */
        struct {
            unsigned short int cli$w_rqsize;    /* RESULTANT SIZE OF PARAMETER        */
            short int clidef$$_fill_4;  /* SPARE WORD IN DESCRIPTOR           */
            union {
                unsigned long int cli$l_rqvalu; /* ACTUAL VALUE IN VALUE CONVERSTION  */
                int *cli$a_rqaddr;      /* ADDRESS OF RESULTANT PARAMETER     */
                } cli$r_rqvalu_overlay;
            } cli$r_rqdesc_fields;
        } cli$r_rqdesc_overlay;
    int *cli$a_prsact;  /* PARAMETER PRESENT ACTION ROUTINE                   */
    int *cli$a_absact;  /* PARAMETER ABSENT ACTION ROUTINE                    */
    int *cli$a_qualst;  /* ADDRESS OF QUALIFIERS                              */
/* Define the Descriptor Used by Symbol and Logical-name Callbacks            */
/*                                                                            */
} ;
struct clidef2 {
    char clidef$$_fill_8 [4];
    unsigned int cli$q_namdesc [2];     /* Logical name or symbol name        */
    unsigned int cli$q_valdesc [2];     /* Equivalence name or symbol value   */
    unsigned int cli$q_tabdesc [2];     /* Name of logical name table         */
    unsigned long int cli$l_itmlst;     /* Address of item list               */
    unsigned long int cli$l_attr;       /* Address of attribute longword      */
/*                                                                            */
/* Define the Descriptor Locations Used for the Old/New                       */
/* Out-of-Band Character(s) Masks                                             */
/*                                                                            */
} ;
struct clidef3 {
    char clidef$$_fill_9 [4];
    unsigned long int cli$l_new_mask;   /* Enable/disable mask                */
    unsigned long int cli$l_old_mask;   /* Previous enabled values mask       */
/*                                                                            */
/* Define the descriptor used for ATTACH callback                             */
/*                                                                            */
} ;
struct clidef4 {
    char clidef$$_fill_10 [4];
    unsigned long int cli$l_pid;        /* PID of "destination" process       */
/*                                                                            */
/* Define the descriptor used for SPAWN callback                              */
/*                                                                            */
} ;
#define CLI$M_NOWAIT 0x00000001
#define CLI$M_NOCLISYM 0x00000002
#define CLI$M_NOLOGNAM 0x00000004
#define CLI$M_NOKEYPAD 0x00000008
#define CLI$M_NOTIFY 0x00000010
#define CLI$M_NOCONTROL 0x00000020
#define CLI$K_SPAWN_VERSION 1   /* Latest version                             */
#define CLI$C_SPAWN_VERSION 1   /* Latest version                             */
#define CLI$K_SRVDESC 84        /* Length of longest "service" callback       */
#define CLI$C_SRVDESC 84        /* Length of longest "service" callback       */
/*                                                                            */
struct clidef5 {
    char clidef$$_fill_11 [4];
    union {
        unsigned char cli$b_flags;      /* Flags byte                         */
        struct {
            unsigned cli$v_nowait : 1;  /* Do not wait for subprocess completion      */
            unsigned cli$v_noclisym : 1;        /* Do not copy CLI symbols to subprocess      */
            unsigned cli$v_nolognam : 1;        /* Do not copy logical names to subprocess    */
            unsigned cli$v_nokeypad : 1;        /* Do not copy keypad state to subprocess     */
            unsigned cli$v_notify : 1;  /* Output notification message        */
            unsigned cli$v_nocontrol : 1;       /* Do not put CR/LF in front of prompt string */
            unsigned cli$v_fill_17 : 2;
            } cli$r_flags_bits;
        } cli$r_flags_overlay;
    char clidef$$_fill_5 [3];   /* Unused                                     */
    unsigned long int cli$l_outpid;     /* PID of subprocess on return        */
    unsigned long int cli$l_lststatus;  /* Address to store final subprocess status   */
    unsigned int cli$q_cmdstr [2];      /* Descriptor of command string       */
    unsigned int cli$q_input [2];       /* Descriptor of input filespec       */
    unsigned int cli$q_output [2];      /* Descriptor of output filespec      */
    unsigned int cli$q_prcnam [2];      /* Descriptor of name for subprocess  */
    unsigned long int cli$l_astadr;     /* Address of termination AST routine */
    unsigned long int cli$l_astprm;     /* Address of AST routine parameter   */
    unsigned char cli$b_efn;    /* Event flag to set on termination           */
    unsigned char cli$b_version;        /* Data structure version             */
    char clidef$$_fill_6 [2];   /* Unused                                     */
    unsigned int cli$q_prompt [2];      /* Descriptor of prompt string        */
    unsigned int cli$q_cli [2]; /* Descriptor of cli name                     */
    unsigned int cli$q_table [2];       /* Descriptor of cli table name       */
/*                                                                            */
/* Define the length of the longest "supervisor-mode service" request block,  */
/* so that programs can allocate a fixed amount of space for the block.       */
/*                                                                            */
/* DEFINE THE PARAMETER QUALIFIER DESCRIPTOR                                  */
/*                                                                            */
} ;
#define CLI$M_ALLOCCUR 0x00000001
#define CLI$M_QDUSRV 0x00000002
#define CLI$M_QDEXPA 0x00000004
#define CLI$M_QUALTRU 0x00000001
#define CLI$M_QUALEXP 0x00000002
#define CLI$K_QUALDEF 20        /* SIZE OF FIXED PART OF STRUCTURE            */
#define CLI$C_QUALDEF 20        /* SIZE OF FIXED PART OF STRUCTURE            */
#define CLI$K_QDBITS 20 /* START OF BIT LISTS(VARIALBLE LENGTH)               */
#define CLI$C_QDBITS 20 /* START OF BIT LISTS(VARIALBLE LENGTH)               */
struct clidef6 {
    unsigned char cli$b_qdblksiz;       /* SIZE OF THE FINAL BLOCK            */
    unsigned char cli$b_qdcode; /* ID CODE FOR THE QUALIFIER                  */
    union {
        unsigned char cli$b_qdflgs;     /* FLAGS BYTE                         */
        struct {
            unsigned cli$v_alloccur : 1;        /* TAKE ACTION ON ALL OCCURANCES      */
            unsigned cli$v_qdusrv : 1;  /* USER CONTEX VALUE IS PRESENT       */
            unsigned cli$v_qdexpa : 1;  /* TAKE ACTION ON EXPLICIT OCCURANCES */
            unsigned cli$v_fill_18 : 5;
            } cli$r_qdflgs_bits;
        } cli$r_qdflgs_overlay;
    union {
        unsigned char cli$b_qdstat;     /* QUALIFIER STATUS                   */
        struct {
            unsigned cli$v_qualtru : 1; /* QUALIFIER IS TRUE                  */
            unsigned cli$v_qualexp : 1; /* QUALIFIER EXPLICITLY STATED        */
            unsigned cli$v_fill_19 : 6;
            } cli$r_qdstat_bits;
        } cli$r_qdstat_overlay;
    union {
        unsigned int cli$q_qdvaldesc [2];       /* QUALIFIER VALUE DESCRIPTOR */
        struct {
            unsigned short int cli$w_qdvalsiz;  /* SIZE OF VALUE              */
            short int clidef$$_fill_7;  /* SPARE WORD                         */
            int *cli$a_qdvaladr;        /* ADDRESS OF VALUE STRING            */
            } cli$r_qdvaldesc_fields;
        } cli$r_qdvaldesc_overlay;
    int *cli$a_truact;  /* QUALIFIER TRUE ACTION ROUTINE                      */
    int *cli$a_flsact;  /* QUALIFIER FALSE ACTION ROUTINE                     */
    unsigned long int cli$l_usrval;     /* OPTION USER VALUE IF PRESENT       */
/*                                                                            */
/* DEFINE SPACE FOR THE RESULT PARSE WORK AREA                                */
/*                                                                            */
} ;
#define CLI$K_WORKAREA 128      /* SIZE OF HEADER                             */
#define CLI$C_WORKAREA 128      /* SIZE OF HEADER                             */
/*                                                                            */
#define CLI$K_UTILOPR 0 /* UTILITY OPERATIONS                                 */
#define CLI$K_INPSPEC 1 /* REQUEST FOR AN INPUT SPECIFICATION                 */
#define CLI$K_OUTSPEC 2 /* AN OUTPUT FILE SPECIFICATION                       */
#define CLI$K_PARDONE 3 /* PARAMETER DONE REQUEST                             */
#define CLI$K_VALCONV 4 /* REQUEST A VALUE CONVERSION                         */
#define CLI$K_CLINT 5   /* CLINT OPERATIONS                                   */
/*                                                                            */
#define CLI$K_INITPRS 0 /* REQUEST INITIALIZATION OF PARSE                    */
#define CLI$K_GETCMD 1  /* GET COMMAND BUFFER LIMITS                          */
#define CLI$K_GETQUAL 2 /* OPTAIN STATE OF QUALIFIERS                         */
#define CLI$K_GETOPT 3  /* DECODE COMMAND OPTION                              */
#define CLI$K_GETLINE 4 /* GET COMMAND LINE                                   */
/*                                                                            */
/* THE CLISERV REQUEST TYPE APPEARS HERE, INSTEAD OF WITH THE OTHER REQUEST   */
/* TYPES, BECAUSE IT HAS NO SUBFUNCTIONS ASSOCIATED WITH IT, AND BECAUSE A    */
/* DAY 1 CODING ERROR CAUSES DCL TO EXPECT THAT THIS REQUEST NUMBER WILL      */
/* APPEAR IN THE SUBFUNCTION BITS.  THIS MEANS THAT NO UTILITY OPERATION      */
/* CAN BE DEFINED WITH THE SUBFUNCTION NUMBER 5.                              */
/*                                                                            */
#define CLI$K_CLISERV 5 /* REQUEST A SERVICE FROM THE CLI                     */
/*                                                                            */
#define CLI$K_INPUT1 16 /* PRIMARY INPUT                                      */
#define CLI$K_INPUT2 17 /* SECONDARY INPUT                                    */
#define CLI$K_INPUT3 18 /* THIRD,                                             */
#define CLI$K_INPUT4 19 /* ETC,ETC,ETC                                        */
/*                                                                            */
#define CLI$K_OUTPUT1 32        /* FIRST OUTPUT                               */
#define CLI$K_OUTPUT2 33        /* SECOND OUTPUT                              */
#define CLI$K_OUTPUT3 34        /* THIRD,-                                    */
#define CLI$K_OUTPUT4 35        /* ETC,ETC,ETC                                */
/*                                                                            */
#define CLI$K_ENDPRM1 48        /* COMPLETED PARAMETER SET 1                  */
#define CLI$K_ENDPRM2 49        /* COMPLETED PARAMETER SET 2                  */
#define CLI$K_ENDPRM3 50        /* COMPLETED PARAMETER SET 3                  */
#define CLI$K_ENDPRM4 51        /* COMPLETED PARAMETER SET 4                  */
/*                                                                            */
#define CLI$K_NUMERVAL 64       /* NUMBERIC VALUE                             */
#define CLI$K_ASCIIVAL 65       /* ASCII VALUE                                */
#define CLI$K_KEYWORD 66        /* KEYWORD VALUE                              */
#define CLI$K_KEYVAL 67 /* KEYWORD WITH VALUE                                 */
#define CLI$K_FILSPEC 68        /* VALUE IS A FILESPEC                        */
/*                                                                            */
#define CLI$K_PRESENT 80        /* DETERMINE IF ENTITY IS PRESENT             */
#define CLI$K_GETVALUE 81       /* GET VALUE OF ENTITY                        */
#define CLI$K_ENDPARSE 82       /* CLEAN UP AFTER PARSING COMMAND             */
#define CLI$K_DCLPARSE 83       /* PARSE USER COMMAND LINE                    */
#define CLI$K_DISPATCH 84       /* DISPATCH TO ACTION ROUTINE                 */
#define CLI$K_NEXTQUAL 85       /* PROCESS NEXT QUALIFIER                     */
union clidef7 {
    unsigned long int cli$l_workarea [32];      /* ALLOCATE 32 LONG WORDS     */
/* DEFINE CLI UTILITY REQUEST CODES                                           */
/*                                                                            */
/*        CODES ARE 8 BITS, CONSISTING OF 2 4 BIT FIELDS                      */
/*        THE LEAST 4 BITS ARE SUBFUCTION DEFINITONS                          */
/*        AND THE MOST SIGNIFICANT 4 BITS ARE REQUEST TYPE                    */
/*                                                                            */
/* DEFINE REQUEST TYPE CODES                                                  */
/* DEFINE COMPLETE CODES FOR UTILITY OPERATIONS                               */
/*                                                                            */
/* DEFINE COMPLETE CODES FOR INPUT SPECIFICATIONS                             */
/*                                                                            */
/* DEFINE COMPLETE CODES FOR OUTPUT SPECIFICATIONS                            */
/*                                                                            */
/* DEFINE CODES FOR RESULT PARSE PARAMETER COMPLETION                         */
/*                                                                            */
/* DEFINE CODES FOR VALUE CONVERSION REQUESTS                                 */
/*                                                                            */
/* DEFINE COMPLETE CODES FOR UTILITY OPERATIONS                               */
/*                                                                            */
} ;
#endif
