/* Created by SDL V3.0-2     */
/* Source:  8-AUG-1988 09:47:35 EMULEX$DISK:[MEADOWS.UNSDL.VMS4-7_H]STARDEFQZ.S */
#ifndef $QUIDEF_H
#define $QUIDEF_H
 
/*** MODULE $QUIDEF ***/
/* Get Queue Information Service                                              */
/*                                                                            */
/* NOTE: New items must always be added at the end so users will not have to  */
/*       relink.                                                              */
/* Function codes                                                             */
#define QUI$_CANCEL_OPERATION 1 /* Cancel a wildcard operation                */
#define QUI$_DISPLAY_CHARACTERISTIC 2   /* Return characteristic attributes   */
#define QUI$_DISPLAY_FILE 3     /* Return file attributes                     */
#define QUI$_DISPLAY_FORM 4     /* Return form attributes                     */
#define QUI$_DISPLAY_JOB 5      /* Return job attributes                      */
#define QUI$_DISPLAY_QUEUE 6    /* Return queue attributes                    */
#define QUI$_TRANSLATE_QUEUE 7  /* Validate and translate queue name          */
#define QUI$_RESERVED_FUNC_1 8  /* Reserved for Digital use (name may change) */
#define QUI$_RESERVED_FUNC_2 9  /* Reserved for Digital use (name may change) */
/* Item codes                                                                 */
#define QUI$_ACCOUNT_NAME 1     /* Job: Submitter's account name              */
#define QUI$_AFTER_TIME 2       /* Job: /AFTER=time                           */
#define QUI$_ASSIGNED_QUEUE_NAME 3      /* Queue: ASSIGN/QUEUE target         */
#define QUI$_BASE_PRIORITY 4    /* Queue: /BASE_PRIORITY=n                    */
#define QUI$_CHARACTERISTIC_NAME 5      /* Characteristic: Name               */
#define QUI$_CHARACTERISTIC_NUMBER 6    /* Characteristic: Number             */
#define QUI$_CHARACTERISTICS 7  /* Job, queue: /CHARACTERISTICS=(c,...)       */
#define QUI$_CHECKPOINT_DATA 8  /* Job: Checkpoint data                       */
#define QUI$_CLI 9      /* Job: /CLI=filename                                 */
#define QUI$_COMPLETED_BLOCKS 10        /* Job: Completed blocks including checkpoint */
#define QUI$_CONDITION_VECTOR 11        /* Job: Completion status             */
#define QUI$_CPU_DEFAULT 12     /* Queue: /CPUDEFAULT=t                       */
#define QUI$_CPU_LIMIT 13       /* Job, queue: /CPUMAXIMUM=t                  */
#define QUI$_DEVICE_NAME 14     /* Queue: /ON=device                          */
#define QUI$_ENTRY_NUMBER 15    /* Job: Entry number                          */
#define QUI$_FILE_COPIES 16     /* File: /COPIES=n                            */
#define QUI$_FILE_COPIES_CHKPT 17       /* File: File copies checkpoint       */
#define QUI$_FILE_COPIES_DONE 18        /* File: File copies completed        */
#define QUI$_FILE_FLAGS 19      /* File: Boolean information                  */
#define QUI$_FILE_SETUP_MODULES 20      /* File: /SETUP=(module,...)          */
#define QUI$_FILE_SPECIFICATION 21      /* File: Full file specification      */
#define QUI$_FILE_STATUS 22     /* File: Status information                   */
#define QUI$_FIRST_PAGE 23      /* File: /PAGES=(n,"")                        */
#define QUI$_FORM_DESCRIPTION 24        /* Form: /DESCRIPTION=string          */
#define QUI$_FORM_FLAGS 25      /* Form: Boolean information                  */
#define QUI$_FORM_LENGTH 26     /* Form: /LENGTH=n                            */
#define QUI$_FORM_MARGIN_BOTTOM 27      /* Form: /MARGIN=BOTTOM=n             */
#define QUI$_FORM_MARGIN_LEFT 28        /* Form: /MARGIN=LEFT=n               */
#define QUI$_FORM_MARGIN_RIGHT 29       /* Form: /MARGIN=RIGHT=n              */
#define QUI$_FORM_MARGIN_TOP 30 /* Form: /MARGIN=TOP=n                        */
#define QUI$_FORM_NAME 31       /* Form, job, queue: Form name                */
#define QUI$_FORM_NUMBER 32     /* Form: Number                               */
#define QUI$_FORM_SETUP_MODULES 33      /* Form: /SETUP=(module,...)          */
#define QUI$_FORM_STOCK 34      /* Form: /STOCK=stock-name                    */
#define QUI$_FORM_WIDTH 35      /* Form: /WIDTH=n                             */
#define QUI$_GENERIC_TARGET 36  /* Queue: /GENERIC=(queue-name,...)           */
#define QUI$_INTERVENING_BLOCKS 37      /* Job: Intervening pending blocks    */
#define QUI$_INTERVENING_JOBS 38        /* Job: Intervening pending jobs      */
#define QUI$_JOB_COPIES 39      /* Job: /JOB_COUNT=n                          */
#define QUI$_JOB_COPIES_CHKPT 40        /* Job: Job copies checkpoint         */
#define QUI$_JOB_COPIES_DONE 41 /* Job: Job copies completed                  */
#define QUI$_JOB_FLAGS 42       /* Job: Boolean information                   */
#define QUI$_JOB_LIMIT 43       /* Queue: /JOB_LIMIT=n                        */
#define QUI$_JOB_NAME 44        /* Job: Name                                  */
#define QUI$_JOB_RESET_MODULES 45       /* Queue: /SEPARATE=RESET=(module,...)*/
#define QUI$_JOB_SIZE 46        /* Job: Total blocks in job                   */
#define QUI$_JOB_SIZE_MAXIMUM 47        /* Queue: /BLOCK_LIMIT=n              */
#define QUI$_JOB_SIZE_MINIMUM 48        /* Queue: /BLOCK_LIMIT=(n,"")         */
#define QUI$_JOB_STATUS 49      /* Job: Status information                    */
#define QUI$_LAST_PAGE 50       /* File: /PAGES=n                             */
#define QUI$_LIBRARY_SPECIFICATION 51   /* Queue: /LIBRARY=file-specification */
#define QUI$_LOG_QUEUE 52       /* Job: /PRINTER=queue-name                   */
#define QUI$_LOG_SPECIFICATION 53       /* Job: /LOG_FILE=file-specification  */
#define QUI$_NOTE 54    /* Job: /NOTE=string                                  */
#define QUI$_OPERATOR_REQUEST 55        /* Job: /OPERATOR=string              */
#define QUI$_OWNER_UIC 56       /* Queue: /OWNER=uic                          */
#define QUI$_PAGE_SETUP_MODULES 57      /* Form: /PAGE_SETUP=(module,...)     */
#define QUI$_PARAMETER_1 58     /* Job: /PARAMETER=string                     */
#define QUI$_PARAMETER_2 59
#define QUI$_PARAMETER_3 60
#define QUI$_PARAMETER_4 61
#define QUI$_PARAMETER_5 62
#define QUI$_PARAMETER_6 63
#define QUI$_PARAMETER_7 64
#define QUI$_PARAMETER_8 65
#define QUI$_PRIORITY 66        /* Job: /PRIORITY=n                           */
#define QUI$_PROCESSOR 67       /* Queue: /PROCESSOR=filename                 */
#define QUI$_PROTECTION 68      /* Queue: /PROTECTION=mask                    */
#define QUI$_QUEUE_FLAGS 69     /* Queue: Boolean information                 */
#define QUI$_QUEUE_NAME 70      /* Job, queue: Queue name                     */
#define QUI$_QUEUE_STATUS 71    /* Queue: Status information                  */
#define QUI$_REFUSAL_REASON 72  /* Job: Reason symbiont refused job           */
#define QUI$_REQUEUE_PRIORITY 73        /* Job: Priority after requeue        */
#define QUI$_REQUEUE_QUEUE_NAME 74      /* Job: Queue after requeue           */
#define QUI$_SCSNODE_NAME 75    /* Queue: /ON=node::                          */
#define QUI$_SEARCH_FLAGS 76    /* Flags to control search                    */
#define QUI$_SEARCH_NAME 77     /* Object name to search for                  */
#define QUI$_SEARCH_NUMBER 78   /* Object number to search for                */
#define QUI$_SUBMISSION_TIME 79 /* Job: Submission time                       */
#define QUI$_UIC 80     /* Job: Submitter's UIC                               */
#define QUI$_USERNAME 81        /* Job: Submitter's username                  */
#define QUI$_WSDEFAULT 82       /* Job, queue: /WSDEFAULT=n                   */
#define QUI$_WSEXTENT 83        /* Job, queue: /WSEXTENT=n                    */
#define QUI$_WSQUOTA 84 /* Job, queue: /WSQUOTA=n                             */
#define QUI$_RESERVED_BOOLEAN_1 85      /* Reserved for Digital use (name may change) */
#define QUI$_RESERVED_BOOLEAN_2 86      /* Reserved for Digital use (name may change) */
#define QUI$_RESERVED_INPUT_1 87        /* Reserved for Digital use (name may change) */
#define QUI$_RESERVED_INPUT_2 88        /* Reserved for Digital use (name may change) */
#define QUI$_DEFAULT_FORM_NAME 89       /* Default form name on queue         */
#define QUI$_DEFAULT_FORM_NUMBER 90     /* Default form number on queue       */
#define QUI$_DEFAULT_FORM_STOCK 91      /* Stock name for default form        */
#define QUI$_JOB_PID 92 /* Pid of batch job                                   */
#define QUI$_RESERVED_OUTPUT_5 93       /* Reserved for Digital use (name may change) */
#define QUI$_RESERVED_OUTPUT_6 94       /* Reserved for Digital use (name may change) */
/*                                                                            */
/* Structure of FILE_FLAGS item.                                              */
/*                                                                            */
#define QUI$M_FILE_BURST 0x00000001
#define QUI$M_FILE_BURST_EXP 0x00000002
#define QUI$M_FILE_DELETE 0x00000004
#define QUI$M_FILE_DOUBLE_SPACE 0x00000008
#define QUI$M_FILE_FLAG 0x00000010
#define QUI$M_FILE_FLAG_EXP 0x00000020
#define QUI$M_FILE_TRAILER 0x00000040
#define QUI$M_FILE_TRAILER_EXP 0x00000080
#define QUI$M_FILE_PAGE_HEADER 0x00000100
#define QUI$M_FILE_PAGINATE 0x00000200
#define QUI$M_FILE_PASSALL 0x00000400
#define QUI$M_FILE_PAGINATE_EXP 0x00000800
struct file_flags {
    unsigned qui$v_file_burst : 1;      /* /BURST                             */
    unsigned qui$v_file_burst_exp : 1;  /* /[NO]BURST explicit                */
    unsigned qui$v_file_delete : 1;     /* /DELETE                            */
    unsigned qui$v_file_double_space : 1;       /* /SPACE                     */
    unsigned qui$v_file_flag : 1;       /* /FLAG                              */
    unsigned qui$v_file_flag_exp : 1;   /* /[NO]FLAG explicit                 */
    unsigned qui$v_file_trailer : 1;    /* /TRAILER                           */
    unsigned qui$v_file_trailer_exp : 1;        /* /[NO]TRAILER explicit      */
    unsigned qui$v_file_page_header : 1;        /* /HEADER                    */
    unsigned qui$v_file_paginate : 1;   /* /FEED                              */
    unsigned qui$v_file_passall : 1;    /* /PASSALL                           */
    unsigned qui$v_file_paginate_exp : 1;       /* /[NO]FEED explicit         */
    unsigned qui$v_filler : 20;
} ;
/*                                                                            */
/* Structure of FILE_STATUS item.                                             */
/*                                                                            */
#define QUI$M_FILE_CHECKPOINTED 0x00000001
#define QUI$M_FILE_EXECUTING 0x00000002
struct file_status {
    unsigned qui$v_file_checkpointed : 1;       /* File checkpointed          */
    unsigned qui$v_file_executing : 1;  /* File currently executing           */
    unsigned qui$v_filler : 30;
} ;
/*                                                                            */
/* Structure of FORM_FLAGS item.                                              */
/*                                                                            */
#define QUI$M_FORM_SHEET_FEED 0x00000001
#define QUI$M_FORM_TRUNCATE 0x00000002
#define QUI$M_FORM_WRAP 0x00000004
struct form_flags {
    unsigned qui$v_form_sheet_feed : 1; /* /SHEET_FEED                        */
    unsigned qui$v_form_truncate : 1;   /* /TRUNCATE                          */
    unsigned qui$v_form_wrap : 1;       /* /WRAP                              */
    unsigned qui$v_filler : 29;
} ;
/*                                                                            */
/* Structure of JOB_FLAGS item.                                               */
/*                                                                            */
#define QUI$M_JOB_CPU_LIMIT 0x00000001
#define QUI$M_JOB_FILE_BURST 0x00000002
#define QUI$M_JOB_FILE_BURST_ONE 0x00000004
#define QUI$M_JOB_FILE_BURST_EXP 0x00000008
#define QUI$M_JOB_FILE_FLAG 0x00000010
#define QUI$M_JOB_FILE_FLAG_ONE 0x00000020
#define QUI$M_JOB_FILE_FLAG_EXP 0x00000040
#define QUI$M_JOB_FILE_TRAILER 0x00000080
#define QUI$M_JOB_FILE_TRAILER_ONE 0x00000100
#define QUI$M_JOB_FILE_TRAILER_EXP 0x00000200
#define QUI$M_JOB_LOG_DELETE 0x00000400
#define QUI$M_JOB_LOG_NULL 0x00000800
#define QUI$M_JOB_LOG_SPOOL 0x00001000
#define QUI$M_JOB_LOWERCASE 0x00002000
#define QUI$M_JOB_NOTIFY 0x00004000
#define QUI$M_JOB_RESTART 0x00008000
#define QUI$M_JOB_WSDEFAULT 0x00010000
#define QUI$M_JOB_WSEXTENT 0x00020000
#define QUI$M_JOB_WSQUOTA 0x00040000
#define QUI$M_JOB_FILE_PAGINATE 0x00080000
#define QUI$M_JOB_FILE_PAGINATE_EXP 0x00100000
struct job_flags {
    unsigned qui$v_job_cpu_limit : 1;   /* /CPUTIME explicit                  */
    unsigned qui$v_job_file_burst : 1;  /* /BURST=ALL                         */
    unsigned qui$v_job_file_burst_one : 1;      /* /BURST=ONE                 */
    unsigned qui$v_job_file_burst_exp : 1;      /* /[NO]BURST explicit        */
    unsigned qui$v_job_file_flag : 1;   /* /FLAG=ALL                          */
    unsigned qui$v_job_file_flag_one : 1;       /* /FLAG=ONE                  */
    unsigned qui$v_job_file_flag_exp : 1;       /* /[NO]FLAG explicit         */
    unsigned qui$v_job_file_trailer : 1;        /* /TRAILER=ALL               */
    unsigned qui$v_job_file_trailer_one : 1;    /* /TRAILER=ONE               */
    unsigned qui$v_job_file_trailer_exp : 1;    /* /[NO]TRAILER explicit      */
    unsigned qui$v_job_log_delete : 1;  /* /NOKEEP                            */
    unsigned qui$v_job_log_null : 1;    /* /NOLOG_FILE                        */
    unsigned qui$v_job_log_spool : 1;   /* /PRINTER                           */
    unsigned qui$v_job_lowercase : 1;   /* /LOWERCASE                         */
    unsigned qui$v_job_notify : 1;      /* /NOTIFY                            */
    unsigned qui$v_job_restart : 1;     /* /RESTART                           */
    unsigned qui$v_job_wsdefault : 1;   /* /WSDEFAULT explicit                */
    unsigned qui$v_job_wsextent : 1;    /* /WSEXTENT explicit                 */
    unsigned qui$v_job_wsquota : 1;     /* /WSQUOTA explicit                  */
    unsigned qui$v_job_file_paginate : 1;       /* /FEED                      */
    unsigned qui$v_job_file_paginate_exp : 1;   /* /[NO]FEED explicit         */
    unsigned qui$v_filler : 11;
} ;
/*                                                                            */
/* Structure of JOB_STATUS item.                                              */
/*                                                                            */
#define QUI$M_JOB_ABORTING 0x00000001
#define QUI$M_JOB_EXECUTING 0x00000002
#define QUI$M_JOB_HOLDING 0x00000004
#define QUI$M_JOB_INACCESSIBLE 0x00000008
#define QUI$M_JOB_REFUSED 0x00000010
#define QUI$M_JOB_REQUEUE 0x00000020
#define QUI$M_JOB_RESTARTING 0x00000040
#define QUI$M_JOB_RETAINED 0x00000080
#define QUI$M_JOB_STARTING 0x00000100
#define QUI$M_JOB_TIMED 0x00000200
struct job_status {
    unsigned qui$v_job_aborting : 1;    /* Job is aborting                    */
    unsigned qui$v_job_executing : 1;   /* Job is executing                   */
    unsigned qui$v_job_holding : 1;     /* Job is holding for /HOLD           */
    unsigned qui$v_job_inaccessible : 1;        /* Job is inaccessible        */
    unsigned qui$v_job_refused : 1;     /* Job was refused by symbiont        */
    unsigned qui$v_job_requeue : 1;     /* Job will requeue after abort       */
    unsigned qui$v_job_restarting : 1;  /* Job started execution at least once*/
    unsigned qui$v_job_retained : 1;    /* Job was retained by /RETAIN        */
    unsigned qui$v_job_starting : 1;    /* Job is starting                    */
    unsigned qui$v_job_timed : 1;       /* Job is holding for /AFTER          */
    unsigned qui$v_filler : 22;
} ;
/*                                                                            */
/* Structure of QUEUE_FLAGS item.                                             */
/*                                                                            */
#define QUI$M_QUEUE_BATCH 0x00000001
#define QUI$M_QUEUE_CPU_DEFAULT 0x00000002
#define QUI$M_QUEUE_CPU_LIMIT 0x00000004
#define QUI$M_QUEUE_FILE_BURST 0x00000008
#define QUI$M_QUEUE_FILE_BURST_ONE 0x00000010
#define QUI$M_QUEUE_FILE_FLAG 0x00000020
#define QUI$M_QUEUE_FILE_FLAG_ONE 0x00000040
#define QUI$M_QUEUE_FILE_TRAILER 0x00000080
#define QUI$M_QUEUE_FILE_TRAILER_ONE 0x00000100
#define QUI$M_QUEUE_GENERIC 0x00000200
#define QUI$M_QUEUE_GENERIC_SELECTION 0x00000400
#define QUI$M_QUEUE_JOB_BURST 0x00000800
#define QUI$M_QUEUE_JOB_FLAG 0x00001000
#define QUI$M_QUEUE_JOB_SIZE_SCHED 0x00002000
#define QUI$M_QUEUE_JOB_TRAILER 0x00004000
#define QUI$M_QUEUE_RETAIN_ALL 0x00008000
#define QUI$M_QUEUE_RETAIN_ERROR 0x00010000
#define QUI$M_QUEUE_SWAP 0x00020000
#define QUI$M_QUEUE_TERMINAL 0x00040000
#define QUI$M_QUEUE_WSDEFAULT 0x00080000
#define QUI$M_QUEUE_WSEXTENT 0x00100000
#define QUI$M_QUEUE_WSQUOTA 0x00200000
#define QUI$M_QUEUE_FILE_PAGINATE 0x00400000
#define QUI$M_QUEUE_RECORD_BLOCKING 0x00800000
struct queue_flags {
    unsigned qui$v_queue_batch : 1;     /* /BATCH                             */
    unsigned qui$v_queue_cpu_default : 1;       /* /CPUDEFAULT specified      */
    unsigned qui$v_queue_cpu_limit : 1; /* /CPUMAXIMUM specified              */
    unsigned qui$v_queue_file_burst : 1;        /* /DEFAULT=BURST=ALL         */
    unsigned qui$v_queue_file_burst_one : 1;    /* /DEFAULT=BURST=ONE         */
    unsigned qui$v_queue_file_flag : 1; /* /DEFAULT=FLAG=ALL                  */
    unsigned qui$v_queue_file_flag_one : 1;     /* /DEFAULT=FLAG=ONE          */
    unsigned qui$v_queue_file_trailer : 1;      /* /DEFAULT=TRAILER=ALL       */
    unsigned qui$v_queue_file_trailer_one : 1;  /* /DEFAULT=TRAILER=ONE       */
    unsigned qui$v_queue_generic : 1;   /* /GENERIC                           */
    unsigned qui$v_queue_generic_selection : 1; /* /ENABLE_GENERIC            */
    unsigned qui$v_queue_job_burst : 1; /* /SEPARATE=BURST                    */
    unsigned qui$v_queue_job_flag : 1;  /* /SEPARATE=FLAG                     */
    unsigned qui$v_queue_job_size_sched : 1;    /* /SCHEDULE=SIZE             */
    unsigned qui$v_queue_job_trailer : 1;       /* /SEPARATE=TRAILER          */
    unsigned qui$v_queue_retain_all : 1;        /* /RETAIN=ALL                */
    unsigned qui$v_queue_retain_error : 1;      /* /RETAIN=ERROR              */
    unsigned qui$v_queue_swap : 1;      /* /NODISABLE_SWAPPING                */
    unsigned qui$v_queue_terminal : 1;  /* /TERMINAL or terminal device       */
    unsigned qui$v_queue_wsdefault : 1; /* /WSDEFAULT specified               */
    unsigned qui$v_queue_wsextent : 1;  /* /WSEXTENT specified                */
    unsigned qui$v_queue_wsquota : 1;   /* /WSQUOTA specified                 */
    unsigned qui$v_queue_file_paginate : 1;     /* /DEFAULT=FEED              */
    unsigned qui$v_queue_record_blocking : 1;   /* /RECORD_BLOCKING           */
    unsigned qui$v_filler : 8;
} ;
/*                                                                            */
/* Structure of QUEUE_STATUS item.                                            */
/*                                                                            */
#define QUI$M_QUEUE_ALIGNING 0x00000001
#define QUI$M_QUEUE_IDLE 0x00000002
#define QUI$M_QUEUE_LOWERCASE 0x00000004
#define QUI$M_QUEUE_OPERATOR_REQUEST 0x00000008
#define QUI$M_QUEUE_PAUSED 0x00000010
#define QUI$M_QUEUE_PAUSING 0x00000020
#define QUI$M_QUEUE_REMOTE 0x00000040
#define QUI$M_QUEUE_RESETTING 0x00000080
#define QUI$M_QUEUE_RESUMING 0x00000100
#define QUI$M_QUEUE_SERVER 0x00000200
#define QUI$M_QUEUE_STALLED 0x00000400
#define QUI$M_QUEUE_STARTING 0x00000800
#define QUI$M_QUEUE_STOPPED 0x00001000
#define QUI$M_QUEUE_STOPPING 0x00002000
#define QUI$M_QUEUE_UNAVAILABLE 0x00004000
struct queue_status {
    unsigned qui$v_queue_aligning : 1;  /* Queue is aligning                  */
    unsigned qui$v_queue_idle : 1;      /* Queue is idle                      */
    unsigned qui$v_queue_lowercase : 1; /* Lowercase device                   */
    unsigned qui$v_queue_operator_request : 1;  /* Queue is doing /OPERATOR   */
    unsigned qui$v_queue_paused : 1;    /* Queue is paused                    */
    unsigned qui$v_queue_pausing : 1;   /* Queue is pausing                   */
    unsigned qui$v_queue_remote : 1;    /* Remote device                      */
    unsigned qui$v_queue_resetting : 1; /* Incomplete remote request to reset */
    unsigned qui$v_queue_resuming : 1;  /* Queue is resuming                  */
    unsigned qui$v_queue_server : 1;    /* Server symbiont                    */
    unsigned qui$v_queue_stalled : 1;   /* Device is stalled                  */
    unsigned qui$v_queue_starting : 1;  /* Queue is starting                  */
    unsigned qui$v_queue_stopped : 1;   /* Queue is stopped                   */
    unsigned qui$v_queue_stopping : 1;  /* Queue is stopping                  */
    unsigned qui$v_queue_unavailable : 1;       /* Device is unavailable      */
    unsigned qui$v_filler : 17;
} ;
/*                                                                            */
/* Definition of SEARCH_FLAGS                                                 */
/*                                                                            */
#define QUI$M_SEARCH_ALL_JOBS 0x00000001
#define QUI$M_SEARCH_WILDCARD 0x00000002
#define QUI$M_SEARCH_BATCH 0x00000004
#define QUI$M_SEARCH_SYMBIONT 0x00000008
#define QUI$M_SEARCH_THIS_JOB 0x00000010
struct search_flags {
    unsigned qui$v_search_all_jobs : 1; /* Select all jobs (else only those with same username as caller)     */
    unsigned qui$v_search_wildcard : 1; /* Force a wildcard operation         */
    unsigned qui$v_search_batch : 1;    /* Select batch queues                */
    unsigned qui$v_search_symbiont : 1; /* Select symbiont (output) queues    */
    unsigned qui$v_search_this_job : 1; /* Select only caller's batch job (forcing new context)       */
    unsigned qui$v_filler : 27;
} ;
#endif
