/* Created by SDL V3.0-2     */
/* Source:  8-AUG-1988 09:47:35 EMULEX$DISK:[MEADOWS.UNSDL.VMS4-7_H]STARDEFQZ.S */
#ifndef $STSDEF_H
#define $STSDEF_H
 
/*** MODULE $STSDEF ***/
/*                                                                            */
/* MACROS TO DEFINE SYSTEM SERVICE FAILURE AND STATUS CODES.                  */
/*                                                                            */
/*                                                                            */
/*        $STRUCT        SS                                                   */
/*                                                                            */
/* THIS STRUCTURE IS NOW CONTAINED IN 'SSMSG.MDL'                             */
/*+                                                                           */
/* Define 32-bit VAX-11 error code longword fields                            */
/* Changed to agree with Handbook - TNH 26-OCT-77 - CHANGE M 1 to P 1         */
/* Changed to agree with new status value  W. H. Brown 18-NOV-1977            */
/*-                                                                           */
#define STS$M_SEVERITY 0x00000007
#define STS$M_COND_ID 0x0FFFFFF8
#define STS$M_CONTROL 0xF0000000
#define STS$M_SUCCESS 0x00000001
#define STS$M_MSG_NO 0x0000FFF8
#define STS$M_CODE 0x00007FF8
#define STS$M_FAC_SP 0x00008000
#define STS$M_CUST_DEF 0x08000000
#define STS$M_INHIB_MSG 0x10000000
#define STS$M_FAC_NO 0x0FFF0000
#define STS$K_WARNING 0 /* WARNING                                            */
#define STS$K_SUCCESS 1 /* SUCCESSFUL COMPLETION                              */
#define STS$K_ERROR 2   /* ERROR                                              */
#define STS$K_INFO 3    /* INFORMATION                                        */
#define STS$K_SEVERE 4  /* SEVERE ERROR                                       */
union stsdef {
    struct {
        unsigned sts$v_severity : 3;    /* severity code                      */
        unsigned sts$v_cond_id : 25;    /* condition id                       */
        unsigned sts$v_control : 4;     /* control bits                       */
        } sts$r_stsdef_bits0;
    struct {
        unsigned sts$v_success : 1;     /* Success                            */
        unsigned stsdef$$_fill_1 : 2;   /* skip severity field                */
        unsigned sts$v_msg_no : 13;     /* Message number                     */
        } sts$r_stsdef_bits1;
    struct {
        unsigned stsdef$$_fill_2 : 3;   /* Skip severity field                */
        unsigned sts$v_code : 12;       /* code                               */
        unsigned sts$v_fac_sp : 1;      /* 1 if facility specific             */
        unsigned stsdef$$_fill_3 : 11;
        unsigned sts$v_cust_def : 1;    /* 1 if sub-system is customer (or CSS) defined       */
        unsigned sts$v_inhib_msg : 1;   /* 1 if message should not be printed */
        unsigned stsdef$$_fill_4 : 3;   /* reserved control bits              */
        } sts$r_stsdef_bits2;
    struct {
        unsigned stsdef$$_fill_5 : 16;  /* Skip message nubmer field          */
        unsigned sts$v_fac_no : 12;     /* Facility is 12 bits                */
        unsigned stsdef$$_fill_6 : 4;   /* Control bits                       */
        } sts$r_stsdef_bits3;
/*+                                                                           */
/* Define severity codes                                                      */
/*-                                                                           */
} ;
#endif
