/* Created by SDL V3.0-2     */
/* Source:  8-AUG-1988 09:36:27 EMULEX$DISK:[MEADOWS.UNSDL.VMS4-7_H]MTH$ROUTINE */
#ifndef MTH$ROUTINES_H
#define MTH$ROUTINES_H
 
/*** MODULE MTH$ROUTINES ***/
/**************************************************************************** */
/*          *                                                                 */
/*  COPYRIGHT (c) 1986 BY                   *                                 */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.          *         */
/*  ALL RIGHTS RESERVED.    *                                                 */
/*          *                                                                 */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   * */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   * */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   * */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   * */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   * */
/*  TRANSFERRED.            *                                                 */
/*          *                                                                 */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   * */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   * */
/*  CORPORATION.    *                                                         */
/*          *                                                                 */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   * */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.         *         */
/*          *                                                                 */
/*          *                                                                 */
/**************************************************************************** */
/*+~mth$acos~+*/
float mth$acos(
    const float  *cosine
    ) ;
/*~-mth$acos-~*/
/*+~mth$dacos~+*/
double float mth$dacos(
    const double float  *cosine
    ) ;
/*~-mth$dacos-~*/
/*+~mth$gacos~+*/
double float mth$gacos(
    const double float  *cosine
    ) ;
/*~-mth$gacos-~*/
/*+~mth$hacos~+*/
int mth$hacos(
    const struct {int cosine$$ret_0_ [4];}  *cosine,
    struct {int h_radian$$ret_0_ [4];}  *h_radians
    ) ;
/*~-mth$hacos-~*/
/*+~mth$acosd~+*/
float mth$acosd(
    const float  *cosine
    ) ;
/*~-mth$acosd-~*/
/*+~mth$dacosd~+*/
double float mth$dacosd(
    const double float  *cosine
    ) ;
/*~-mth$dacosd-~*/
/*+~mth$gacosd~+*/
double float mth$gacosd(
    const double float  *cosine
    ) ;
/*~-mth$gacosd-~*/
/*+~mth$hacosd~+*/
int mth$hacosd(
    const struct {int cosine$$ret_0_ [4];}  *cosine,
    struct {int h_degree$$ret_0_ [4];}  *h_degrees
    ) ;
/*~-mth$hacosd-~*/
/*+~mth$asin~+*/
float mth$asin(
    const float  *sine
    ) ;
/*~-mth$asin-~*/
/*+~mth$dasin~+*/
double float mth$dasin(
    const double float  *sine
    ) ;
/*~-mth$dasin-~*/
/*+~mth$gasin~+*/
double float mth$gasin(
    const double float  *sine
    ) ;
/*~-mth$gasin-~*/
/*+~mth$hasin~+*/
int mth$hasin(
    const struct {int sine$$ret_0_ [4];}  *sine,
    struct {int h_radian$$ret_0_ [4];}  *h_radians
    ) ;
/*~-mth$hasin-~*/
/*+~mth$asind~+*/
float mth$asind(
    const float  *sine
    ) ;
/*~-mth$asind-~*/
/*+~mth$dasind~+*/
double float mth$dasind(
    const double float  *sine
    ) ;
/*~-mth$dasind-~*/
/*+~mth$gasind~+*/
double float mth$gasind(
    const double float  *sine
    ) ;
/*~-mth$gasind-~*/
/*+~mth$hasind~+*/
int mth$hasind(
    const struct {int sine$$ret_0_ [4];}  *sine,
    struct {int h_degree$$ret_0_ [4];}  *h_degrees
    ) ;
/*~-mth$hasind-~*/
/*+~mth$atan~+*/
float mth$atan(
    const float  *tangent
    ) ;
/*~-mth$atan-~*/
/*+~mth$datan~+*/
double float mth$datan(
    const double float  *tangent
    ) ;
/*~-mth$datan-~*/
/*+~mth$gatan~+*/
double float mth$gatan(
    const double float  *tangent
    ) ;
/*~-mth$gatan-~*/
/*+~mth$hatan~+*/
int mth$hatan(
    const struct {int tangent$$ret_0_ [4];}  *tangent,
    struct {int h_radian$$ret_0_ [4];}  *h_radians
    ) ;
/*~-mth$hatan-~*/
/*+~mth$atan2~+*/
float mth$atan2(
    const float  *sine,
    const float  *cosine
    ) ;
/*~-mth$atan2-~*/
/*+~mth$datan2~+*/
double float mth$datan2(
    const double float  *sine,
    const double float  *cosine
    ) ;
/*~-mth$datan2-~*/
/*+~mth$gatan2~+*/
double float mth$gatan2(
    const double float  *sine,
    const double float  *cosine
    ) ;
/*~-mth$gatan2-~*/
/*+~mth$hatan2~+*/
int mth$hatan2(
    const struct {int sine$$ret_0_ [4];}  *sine,
    const struct {int cosine$$ret_0_ [4];}  *cosine,
    struct {int h_radian$$ret_0_ [4];}  *h_radians
    ) ;
/*~-mth$hatan2-~*/
/*+~mth$atand~+*/
float mth$atand(
    const float  *tangent
    ) ;
/*~-mth$atand-~*/
/*+~mth$datand~+*/
double float mth$datand(
    const double float  *tangent
    ) ;
/*~-mth$datand-~*/
/*+~mth$gatand~+*/
double float mth$gatand(
    const double float  *tangent
    ) ;
/*~-mth$gatand-~*/
/*+~mth$hatand~+*/
int mth$hatand(
    const struct {int tangent$$ret_0_ [4];}  *tangent,
    struct {int h_degree$$ret_0_ [4];}  *h_degrees
    ) ;
/*~-mth$hatand-~*/
/*+~mth$atanh~+*/
float mth$atanh(
    const float  *hyperbolic_tangent
    ) ;
/*~-mth$atanh-~*/
/*+~mth$datanh~+*/
double float mth$datanh(
    const double float  *hyperbolic_tangent
    ) ;
/*~-mth$datanh-~*/
/*+~mth$gatanh~+*/
double float mth$gatanh(
    const double float  *hyperbolic_tangent
    ) ;
/*~-mth$gatanh-~*/
/*+~mth$hatanh~+*/
int mth$hatanh(
    const struct {int hyperbol$$ret_0_ [4];}  *hyperbolic_tangent,
    struct {int h_atanh$$ret_0_ [4];}  *h_atanh
    ) ;
/*~-mth$hatanh-~*/
/*+~mth$atand2~+*/
float mth$atand2(
    const float  *sine,
    const float  *cosine
    ) ;
/*~-mth$atand2-~*/
/*+~mth$datand2~+*/
double float mth$datand2(
    const double float  *sine,
    const double float  *cosine
    ) ;
/*~-mth$datand2-~*/
/*+~mth$gatand2~+*/
double float mth$gatand2(
    const double float  *sine,
    const double float  *cosine
    ) ;
/*~-mth$gatand2-~*/
/*+~mth$hatand2~+*/
int mth$hatand2(
    const struct {int sine$$ret_0_ [4];}  *sine,
    const struct {int cosine$$ret_0_ [4];}  *cosine,
    struct {int h_degree$$ret_0_ [4];}  *h_degrees
    ) ;
/*~-mth$hatand2-~*/
/*+~mth$cabs~+*/
float mth$cabs(
    const int  *complex_number
    ) ;
/*~-mth$cabs-~*/
/*+~mth$cdabs~+*/
double float mth$cdabs(
    const int  *complex_number
    ) ;
/*~-mth$cdabs-~*/
/*+~mth$cgabs~+*/
double float mth$cgabs(
    const int  *complex_number
    ) ;
/*~-mth$cgabs-~*/
/*+~mth$cos~+*/
float mth$cos(
    const float  *angle_in_radians
    ) ;
/*~-mth$cos-~*/
/*+~mth$dcos~+*/
double float mth$dcos(
    const double float  *angle_in_radians
    ) ;
/*~-mth$dcos-~*/
/*+~mth$gcos~+*/
double float mth$gcos(
    const double float  *angle_in_radians
    ) ;
/*~-mth$gcos-~*/
/*+~mth$hcos~+*/
int mth$hcos(
    const struct {int angle_in$$ret_0_ [4];}  *angle_in_radians,
    struct {int h_cosine$$ret_0_ [4];}  *h_cosine
    ) ;
/*~-mth$hcos-~*/
/*+~mth$cosd~+*/
float mth$cosd(
    const float  *angle_in_degrees
    ) ;
/*~-mth$cosd-~*/
/*+~mth$dcosd~+*/
double float mth$dcosd(
    const double float  *angle_in_degrees
    ) ;
/*~-mth$dcosd-~*/
/*+~mth$gcosd~+*/
double float mth$gcosd(
    const double float  *angle_in_degrees
    ) ;
/*~-mth$gcosd-~*/
/*+~mth$hcosd~+*/
int mth$hcosd(
    const struct {int angle_in$$ret_0_ [4];}  *angle_in_degrees,
    struct {int h_cosine$$ret_0_ [4];}  *h_cosine
    ) ;
/*~-mth$hcosd-~*/
/*+~mth$cosh~+*/
float mth$cosh(
    const float  *floating_point_input_value
    ) ;
/*~-mth$cosh-~*/
/*+~mth$dcosh~+*/
double float mth$dcosh(
    const double float  *floating_point_input_value
    ) ;
/*~-mth$dcosh-~*/
/*+~mth$gcosh~+*/
double float mth$gcosh(
    const double float  *floating_point_input_value
    ) ;
/*~-mth$gcosh-~*/
/*+~mth$hcosh~+*/
int mth$hcosh(
    const struct {int floating$$ret_0_ [4];}  *floating_point_input_value,
    struct {int h_cosh$$ret_0_ [4];}  *h_cosh
    ) ;
/*~-mth$hcosh-~*/
/*+~mth$cvt_d_g~+*/
double float mth$cvt_d_g(
    const double float  *d_or_g_float_point_input_val
    ) ;
/*~-mth$cvt_d_g-~*/
/*+~mth$cvt_g_d~+*/
double float mth$cvt_g_d(
    const double float  *d_or_g_float_point_input_val
    ) ;
/*~-mth$cvt_g_d-~*/
/*+~mth$cvt_da_ga~+*/
int mth$cvt_da_ga(
    const double float  *floating_point_input_array [1],
    double float  *floating_point_dest_array [1],
    ...
    /* const long int  *array_size */
    ) ;
/*~-mth$cvt_da_ga-~*/
/*+~mth$cvt_ga_da~+*/
int mth$cvt_ga_da(
    const double float  *floating_point_input_array [1],
    double float  *floating_point_dest_array [1],
    ...
    /* const long int  *array_size */
    ) ;
/*~-mth$cvt_ga_da-~*/
/*+~mth$exp~+*/
float mth$exp(
    const float  *floating_point_input_value
    ) ;
/*~-mth$exp-~*/
/*+~mth$dexp~+*/
double float mth$dexp(
    const double float  *floating_point_input_value
    ) ;
/*~-mth$dexp-~*/
/*+~mth$gexp~+*/
double float mth$gexp(
    const double float  *floating_point_input_value
    ) ;
/*~-mth$gexp-~*/
/*+~mth$hexp~+*/
int mth$hexp(
    const struct {int floating$$ret_0_ [4];}  *floating_point_input_value,
    struct {int h_exp$$ret_0_ [4];}  *h_exp
    ) ;
/*~-mth$hexp-~*/
/*+~mth$aimag~+*/
float mth$aimag(
    const int  *complex_number
    ) ;
/*~-mth$aimag-~*/
/*+~mth$dimag~+*/
double float mth$dimag(
    const int  *complex_number
    ) ;
/*~-mth$dimag-~*/
/*+~mth$gimag~+*/
double float mth$gimag(
    const int  *complex_number
    ) ;
/*~-mth$gimag-~*/
/*+~mth$alog~+*/
float mth$alog(
    const float  *floating_point_input_value
    ) ;
/*~-mth$alog-~*/
/*+~mth$dlog~+*/
double float mth$dlog(
    const double float  *floating_point_input_value
    ) ;
/*~-mth$dlog-~*/
/*+~mth$glog~+*/
double float mth$glog(
    const double float  *floating_point_input_value
    ) ;
/*~-mth$glog-~*/
/*+~mth$hlog~+*/
int mth$hlog(
    const struct {int floating$$ret_0_ [4];}  *floating_point_input_value,
    struct {int h_natlog$$ret_0_ [4];}  *h_natlog
    ) ;
/*~-mth$hlog-~*/
/*+~mth$alog10~+*/
float mth$alog10(
    const float  *floating_point_input_value
    ) ;
/*~-mth$alog10-~*/
/*+~mth$dlog10~+*/
double float mth$dlog10(
    const double float  *floating_point_input_value
    ) ;
/*~-mth$dlog10-~*/
/*+~mth$glog10~+*/
double float mth$glog10(
    const double float  *floating_point_input_value
    ) ;
/*~-mth$glog10-~*/
/*+~mth$hlog10~+*/
int mth$hlog10(
    const struct {int floating$$ret_0_ [4];}  *floating_point_input_value,
    struct {int h_log10$$ret_0_ [4];}  *h_log10
    ) ;
/*~-mth$hlog10-~*/
/*+~mth$alog2~+*/
float mth$alog2(
    const float  *floating_point_input_value
    ) ;
/*~-mth$alog2-~*/
/*+~mth$dlog2~+*/
double float mth$dlog2(
    const double float  *floating_point_input_value
    ) ;
/*~-mth$dlog2-~*/
/*+~mth$glog2~+*/
double float mth$glog2(
    const double float  *floating_point_input_value
    ) ;
/*~-mth$glog2-~*/
/*+~mth$hlog2~+*/
int mth$hlog2(
    const struct {int floating$$ret_0_ [4];}  *floating_point_input_value,
    struct {int h_log2$$ret_0_ [4];}  *h_log2
    ) ;
/*~-mth$hlog2-~*/
/*+~mth$random~+*/
float mth$random(
    unsigned long int  *seed
    ) ;
/*~-mth$random-~*/
/*+~mth$real~+*/
float mth$real(
    const int  *complex_number
    ) ;
/*~-mth$real-~*/
/*+~mth$dreal~+*/
double float mth$dreal(
    const int  *complex_number
    ) ;
/*~-mth$dreal-~*/
/*+~mth$greal~+*/
double float mth$greal(
    const int  *complex_number
    ) ;
/*~-mth$greal-~*/
/*+~mth$sin~+*/
float mth$sin(
    const float  *angle_in_radians
    ) ;
/*~-mth$sin-~*/
/*+~mth$dsin~+*/
double float mth$dsin(
    const double float  *angle_in_radians
    ) ;
/*~-mth$dsin-~*/
/*+~mth$gsin~+*/
double float mth$gsin(
    const double float  *angle_in_radians
    ) ;
/*~-mth$gsin-~*/
/*+~mth$hsin~+*/
int mth$hsin(
    const struct {int angle_in$$ret_0_ [4];}  *angle_in_radians,
    struct {int h_sine$$ret_0_ [4];}  *h_sine
    ) ;
/*~-mth$hsin-~*/
/*+~mth$sind~+*/
float mth$sind(
    const float  *angle_in_degrees
    ) ;
/*~-mth$sind-~*/
/*+~mth$dsind~+*/
double float mth$dsind(
    const double float  *angle_in_degrees
    ) ;
/*~-mth$dsind-~*/
/*+~mth$gsind~+*/
double float mth$gsind(
    const double float  *angle_in_degrees
    ) ;
/*~-mth$gsind-~*/
/*+~mth$hsind~+*/
int mth$hsind(
    const struct {int angle_in$$ret_0_ [4];}  *angle_in_degrees,
    struct {int h_sine$$ret_0_ [4];}  *h_sine
    ) ;
/*~-mth$hsind-~*/
/*+~mth$sinh~+*/
float mth$sinh(
    const float  *floating_point_input_value
    ) ;
/*~-mth$sinh-~*/
/*+~mth$dsinh~+*/
double float mth$dsinh(
    const double float  *floating_point_input_value
    ) ;
/*~-mth$dsinh-~*/
/*+~mth$gsinh~+*/
double float mth$gsinh(
    const double float  *floating_point_input_value
    ) ;
/*~-mth$gsinh-~*/
/*+~mth$hsinh~+*/
int mth$hsinh(
    const struct {int floating$$ret_0_ [4];}  *floating_point_input_value,
    struct {int h_sinh$$ret_0_ [4];}  *h_sinh
    ) ;
/*~-mth$hsinh-~*/
/*+~mth$sincos~+*/
int mth$sincos(
    const float  *angle_in_radians,
    float  *sine,
    float  *cosine
    ) ;
/*~-mth$sincos-~*/
/*+~mth$dsincos~+*/
int mth$dsincos(
    const double float  *angle_in_radians,
    double float  *sine,
    double float  *cosine
    ) ;
/*~-mth$dsincos-~*/
/*+~mth$gsincos~+*/
int mth$gsincos(
    const double float  *angle_in_radians,
    double float  *sine,
    double float  *cosine
    ) ;
/*~-mth$gsincos-~*/
/*+~mth$hsincos~+*/
int mth$hsincos(
    const struct {int angle_in$$ret_0_ [4];}  *angle_in_radians,
    struct {int sine$$ret_0_ [4];}  *sine,
    struct {int cosine$$ret_0_ [4];}  *cosine
    ) ;
/*~-mth$hsincos-~*/
/*+~mth$sincosd~+*/
int mth$sincosd(
    const float  *angle_in_degrees,
    float  *sine,
    float  *cosine
    ) ;
/*~-mth$sincosd-~*/
/*+~mth$dsincosd~+*/
int mth$dsincosd(
    const double float  *angle_in_degrees,
    double float  *sine,
    double float  *cosine
    ) ;
/*~-mth$dsincosd-~*/
/*+~mth$gsincosd~+*/
int mth$gsincosd(
    const double float  *angle_in_degrees,
    double float  *sine,
    double float  *cosine
    ) ;
/*~-mth$gsincosd-~*/
/*+~mth$hsincosd~+*/
int mth$hsincosd(
    const struct {int angle_in$$ret_0_ [4];}  *angle_in_degrees,
    struct {int sine$$ret_0_ [4];}  *sine,
    struct {int cosine$$ret_0_ [4];}  *cosine
    ) ;
/*~-mth$hsincosd-~*/
/*+~mth$sqrt~+*/
float mth$sqrt(
    const float  *floating_point_input_value
    ) ;
/*~-mth$sqrt-~*/
/*+~mth$dsqrt~+*/
double float mth$dsqrt(
    const double float  *floating_point_input_value
    ) ;
/*~-mth$dsqrt-~*/
/*+~mth$gsqrt~+*/
double float mth$gsqrt(
    const double float  *floating_point_input_value
    ) ;
/*~-mth$gsqrt-~*/
/*+~mth$hsqrt~+*/
int mth$hsqrt(
    const struct {int floating$$ret_0_ [4];}  *floating_point_input_value,
    struct {int h_sqrt$$ret_0_ [4];}  *h_sqrt
    ) ;
/*~-mth$hsqrt-~*/
/*+~mth$tan~+*/
float mth$tan(
    const float  *angle_in_radians
    ) ;
/*~-mth$tan-~*/
/*+~mth$dtan~+*/
double float mth$dtan(
    const double float  *angle_in_radians
    ) ;
/*~-mth$dtan-~*/
/*+~mth$gtan~+*/
double float mth$gtan(
    const double float  *angle_in_radians
    ) ;
/*~-mth$gtan-~*/
/*+~mth$htan~+*/
int mth$htan(
    const struct {int angle_in$$ret_0_ [4];}  *angle_in_radians,
    struct {int h_tan$$ret_0_ [4];}  *h_tan
    ) ;
/*~-mth$htan-~*/
/*+~mth$tand~+*/
float mth$tand(
    const float  *angle_in_degrees
    ) ;
/*~-mth$tand-~*/
/*+~mth$dtand~+*/
double float mth$dtand(
    const double float  *angle_in_degrees
    ) ;
/*~-mth$dtand-~*/
/*+~mth$gtand~+*/
double float mth$gtand(
    const double float  *angle_in_degrees
    ) ;
/*~-mth$gtand-~*/
/*+~mth$htand~+*/
int mth$htand(
    const struct {int angle_in$$ret_0_ [4];}  *angle_in_degrees,
    struct {int h_tan$$ret_0_ [4];}  *h_tan
    ) ;
/*~-mth$htand-~*/
/*+~mth$tanh~+*/
float mth$tanh(
    const float  *floating_point_input_value
    ) ;
/*~-mth$tanh-~*/
/*+~mth$dtanh~+*/
double float mth$dtanh(
    const double float  *floating_point_input_value
    ) ;
/*~-mth$dtanh-~*/
/*+~mth$gtanh~+*/
double float mth$gtanh(
    const double float  *floating_point_input_value
    ) ;
/*~-mth$gtanh-~*/
/*+~mth$htanh~+*/
int mth$htanh(
    const struct {int floating$$ret_0_ [4];}  *floating_point_input_value,
    struct {int h_tanh$$ret_0_ [4];}  *h_tanh
    ) ;
/*~-mth$htanh-~*/
#endif
