/* Created by SDL V3.0-2     */
/* Source:  8-AUG-1988 09:39:47 EMULEX$DISK:[MEADOWS.UNSDL.VMS4-7_H]OTS$ROUTINE */
#ifndef OTS$ROUTINES_H
#define OTS$ROUTINES_H
 
/*** MODULE OTS$ROUTINES ***/
/**************************************************************************** */
/*          *                                                                 */
/*  COPYRIGHT (c) 1986 BY                   *                                 */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.          *         */
/*  ALL RIGHTS RESERVED.    *                                                 */
/*          *                                                                 */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   * */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   * */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   * */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   * */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   * */
/*  TRANSFERRED.            *                                                 */
/*          *                                                                 */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   * */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   * */
/*  CORPORATION.    *                                                         */
/*          *                                                                 */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   * */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.         *         */
/*          *                                                                 */
/*          *                                                                 */
/**************************************************************************** */
/*+~ots$cvt_t_d~+*/
unsigned long int ots$cvt_t_d(
    const struct dsc$descriptor *fixed_or_dynamic_input_string,
    double float  *floating_point_value,
    ...
    /* const unsigned long int digits_in_fraction, */
    /* const long int scale_factor, */
    /* const unsigned long int flags_value, */
    /* short int  *extension_bits */
    ) ;
/*~-ots$cvt_t_d-~*/
/*+~ots$cvt_t_f~+*/
unsigned long int ots$cvt_t_f(
    const struct dsc$descriptor *fixed_or_dynamic_input_string,
    float  *floating_point_value,
    ...
    /* const unsigned long int digits_in_fraction, */
    /* const long int scale_factor, */
    /* const unsigned long int flags_value, */
    /* short int  *extension_bits */
    ) ;
/*~-ots$cvt_t_f-~*/
/*+~ots$cvt_t_g~+*/
unsigned long int ots$cvt_t_g(
    const struct dsc$descriptor *fixed_or_dynamic_input_string,
    double float  *floating_point_value,
    ...
    /* const unsigned long int digits_in_fraction, */
    /* const long int scale_factor, */
    /* const unsigned long int flags_value, */
    /* short int  *extension_bits */
    ) ;
/*~-ots$cvt_t_g-~*/
/*+~ots$cvt_t_h~+*/
unsigned long int ots$cvt_t_h(
    const struct dsc$descriptor *fixed_or_dynamic_input_string,
    struct {int floating$$ret_0_ [4];}  *floating_point_value,
    ...
    /* const unsigned long int digits_in_fraction, */
    /* const long int scale_factor, */
    /* const unsigned long int flags_value, */
    /* short int  *extension_bits */
    ) ;
/*~-ots$cvt_t_h-~*/
/*+~ots$div_pk_long~+*/
unsigned long int ots$div_pk_long(
    const char  *packed_decimal_dividend,
    const char  *packed_decimal_divisor,
    const short int divisor_precision,
    char  *packed_decimal_quotient,
    const short int quotient_precision,
    const short int precision_data,
    const short int scale_data
    ) ;
/*~-ots$div_pk_long-~*/
/*+~ots$div_pk_short~+*/
unsigned long int ots$div_pk_short(
    const char  *packed_decimal_dividend,
    const char  *packed_decimal_divisor,
    const short int divisor_precision,
    char  *packed_decimal_quotient,
    const short int quotient_precision,
    const short int precision_data
    ) ;
/*~-ots$div_pk_short-~*/
/*+~ots$move3~+*/
int ots$move3(
    const long int length_value,
    const unsigned char  *source_array [1],
    unsigned char  *destination_array [1]
    ) ;
/*~-ots$move3-~*/
/*+~ots$move5~+*/
int ots$move5(
    const long int longword_int_source_length,
    const unsigned char  *source_array [1],
    const unsigned char fill_value,
    const long int longword_int_dest_length,
    unsigned char  *destination_array [1]
    ) ;
/*~-ots$move5-~*/
/*+~ots$cnvout~+*/
unsigned long int ots$cnvout(
    const double float  *d_g_or_h_float_pt_input_val,
    struct dsc$descriptor *fixed_length_resultant_string,
    const unsigned long int digits_in_fraction
    ) ;
/*~-ots$cnvout-~*/
/*+~ots$cnvout_g~+*/
unsigned long int ots$cnvout_g(
    const double float  *d_g_or_h_float_pt_input_val,
    struct dsc$descriptor *fixed_length_resultant_string,
    const unsigned long int digits_in_fraction
    ) ;
/*~-ots$cnvout_g-~*/
/*+~ots$cnvout_h~+*/
unsigned long int ots$cnvout_h(
    const struct {int d_g_or_h$$ret_0_ [4];}  *d_g_or_h_float_pt_input_val,
    struct dsc$descriptor *fixed_length_resultant_string,
    const unsigned long int digits_in_fraction
    ) ;
/*~-ots$cnvout_h-~*/
/*+~ots$powdd~+*/
double float ots$powdd(
    const double float d_floating_point_base,
    const double float longword_integer_exponent
    ) ;
/*~-ots$powdd-~*/
/*+~ots$powdj~+*/
double float ots$powdj(
    const double float d_floating_point_base,
    const long int longword_integer_exponent
    ) ;
/*~-ots$powdj-~*/
/*+~ots$powdr~+*/
double float ots$powdr(
    const double float d_floating_point_base,
    const float longword_integer_exponent
    ) ;
/*~-ots$powdr-~*/
/*+~ots$powgg~+*/
double float ots$powgg(
    const double float g_floating_point_base,
    const double float g_floating_point_exponent
    ) ;
/*~-ots$powgg-~*/
/*+~ots$powgj~+*/
double float ots$powgj(
    const double float g_floating_point_base,
    const long int longword_integer_exponent
    ) ;
/*~-ots$powgj-~*/
/*+~ots$powhh_r3~+*/
struct {int ots$powh$$ret_0_ [4];} ots$powhh_r3(
    const struct {int h_floati$$ret_0_ [4];} h_floating_point_base,
    const struct {int h_floati$$ret_1_ [4];} h_floating_point_exponent
    ) ;
/*~-ots$powhh_r3-~*/
/*+~ots$powhj_r3~+*/
struct {int ots$powh$$ret_0_ [4];} ots$powhj_r3(
    const struct {int h_floati$$ret_0_ [4];} h_floating_point_base,
    const long int longword_integer_exponent
    ) ;
/*~-ots$powhj_r3-~*/
/*+~ots$powii~+*/
short int ots$powii(
    const short int word_integer_base,
    const short int word_integer_exponent
    ) ;
/*~-ots$powii-~*/
/*+~ots$powjj~+*/
long int ots$powjj(
    const long int longword_integer_base,
    const long int longword_integer_exponent
    ) ;
/*~-ots$powjj-~*/
/*+~ots$powlulu~+*/
unsigned long int ots$powlulu(
    const unsigned long int unsigned_lword_int_base,
    const unsigned long int unsigned_lword_int_exponent
    ) ;
/*~-ots$powlulu-~*/
/*+~ots$powrd~+*/
double float ots$powrd(
    const float f_floating_point_base,
    const double float d_or_f_floating_point_exponent
    ) ;
/*~-ots$powrd-~*/
/*+~ots$powrr~+*/
float ots$powrr(
    const float f_floating_point_base,
    const float d_or_f_floating_point_exponent
    ) ;
/*~-ots$powrr-~*/
/*+~ots$powrj~+*/
float ots$powrj(
    const float f_floating_point_base,
    const long int longword_integer_exponent
    ) ;
/*~-ots$powrj-~*/
/*+~ots$powrlu~+*/
float ots$powrlu(
    const float floating_point_base,
    const unsigned long int unsigned_lword_int_exponent
    ) ;
/*~-ots$powrlu-~*/
/*+~ots$powdlu~+*/
double float ots$powdlu(
    const double float floating_point_base,
    const unsigned long int unsigned_lword_int_exponent
    ) ;
/*~-ots$powdlu-~*/
/*+~ots$powglu~+*/
double float ots$powglu(
    const double float floating_point_base,
    const unsigned long int unsigned_lword_int_exponent
    ) ;
/*~-ots$powglu-~*/
/*+~ots$powhlu_r3~+*/
struct {int ots$powh$$ret_0_ [4];} ots$powhlu_r3(
    const struct {int floating$$ret_0_ [4];} floating_point_base,
    const unsigned long int unsigned_lword_int_exponent
    ) ;
/*~-ots$powhlu_r3-~*/
/*+~ots$scopy_dxdx~+*/
unsigned short int ots$scopy_dxdx(
    const struct dsc$descriptor *source_string,
    struct dsc$descriptor *destination_string
    ) ;
/*~-ots$scopy_dxdx-~*/
/*+~ots$scopy_r_dx~+*/
unsigned short int ots$scopy_r_dx(
    const unsigned short int word_int_source_length_val,
    const char  *source_string_address,
    struct dsc$descriptor *destination_string
    ) ;
/*~-ots$scopy_r_dx-~*/
/*+~ots$sfree1_dd~+*/
int ots$sfree1_dd(
    unsigned int  *dynamic_descriptor [2]
    ) ;
/*~-ots$sfree1_dd-~*/
/*+~ots$sfreen_dd~+*/
int ots$sfreen_dd(
    const unsigned long int descriptor_count_value,
    unsigned int  *first_descriptor [2]
    ) ;
/*~-ots$sfreen_dd-~*/
/*+~ots$sget1_dd~+*/
int ots$sget1_dd(
    const unsigned short int word_integer_length_value,
    unsigned int  *dynamic_descriptor [2]
    ) ;
/*~-ots$sget1_dd-~*/
/*+~ots$cvt_l_tb~+*/
unsigned long int ots$cvt_l_tb(
    const int  *varying_input_value,
    struct dsc$descriptor *fixed_length_resultant_string,
    ...
    /* const long int number_of_digits, */
    /* const long int input_value_size */
    ) ;
/*~-ots$cvt_l_tb-~*/
/*+~ots$cvt_l_ti~+*/
unsigned long int ots$cvt_l_ti(
    const int  *varying_input_value,
    struct dsc$descriptor *fixed_length_resultant_string,
    ...
    /* const long int number_of_digits, */
    /* const long int input_value_size, */
    /* const unsigned long int flags_value */
    ) ;
/*~-ots$cvt_l_ti-~*/
/*+~ots$cvt_l_tl~+*/
unsigned long int ots$cvt_l_tl(
    const long int  *longword_integer_value,
    struct dsc$descriptor *fixed_length_resultant_string
    ) ;
/*~-ots$cvt_l_tl-~*/
/*+~ots$cvt_l_to~+*/
unsigned long int ots$cvt_l_to(
    const int  *varying_input_value,
    struct dsc$descriptor *fixed_length_resultant_string,
    ...
    /* const long int number_of_digits, */
    /* const long int input_value_size */
    ) ;
/*~-ots$cvt_l_to-~*/
/*+~ots$cvt_l_tu~+*/
unsigned long int ots$cvt_l_tu(
    const int  *varying_input_value,
    struct dsc$descriptor *fixed_length_resultant_string,
    ...
    /* const long int number_of_digits, */
    /* const long int input_value_size */
    ) ;
/*~-ots$cvt_l_tu-~*/
/*+~ots$cvt_l_tz~+*/
unsigned long int ots$cvt_l_tz(
    const int  *varying_input_value,
    struct dsc$descriptor *fixed_length_resultant_string,
    ...
    /* const long int number_of_digits, */
    /* const long int input_value_size */
    ) ;
/*~-ots$cvt_l_tz-~*/
/*+~ots$cvt_tb_l~+*/
unsigned long int ots$cvt_tb_l(
    const struct dsc$descriptor *input_string,
    int  *varying_input_value,
    ...
    /* const long int input_value_size, */
    /* const unsigned long int flags_value */
    ) ;
/*~-ots$cvt_tb_l-~*/
/*+~ots$cvt_ti_l~+*/
unsigned long int ots$cvt_ti_l(
    const struct dsc$descriptor *fixed_or_dynamic_input_string,
    int  *varying_input_value,
    ...
    /* const long int input_value_size, */
    /* const unsigned long int flags_value */
    ) ;
/*~-ots$cvt_ti_l-~*/
/*+~ots$cvt_tl_l~+*/
unsigned long int ots$cvt_tl_l(
    const struct dsc$descriptor *fixed_or_dynamic_input_string,
    int  *varying_input_value,
    ...
    /* const long int input_value_size */
    ) ;
/*~-ots$cvt_tl_l-~*/
/*+~ots$cvt_to_l~+*/
unsigned long int ots$cvt_to_l(
    const struct dsc$descriptor *fixed_or_dynamic_input_string,
    int  *varying_input_value,
    ...
    /* const long int input_value_size, */
    /* const unsigned long int flags_value */
    ) ;
/*~-ots$cvt_to_l-~*/
/*+~ots$cvt_tu_l~+*/
unsigned long int ots$cvt_tu_l(
    const struct dsc$descriptor *fixed_length_input_string,
    int  *varying_input_value,
    ...
    /* const long int input_value_size, */
    /* const unsigned long int flags_value */
    ) ;
/*~-ots$cvt_tu_l-~*/
/*+~ots$cvt_tz_l~+*/
unsigned long int ots$cvt_tz_l(
    const struct dsc$descriptor *fixed_or_dynamic_input_string,
    int  *varying_input_value,
    ...
    /* const long int input_value_size, */
    /* const unsigned long int flags_value */
    ) ;
/*~-ots$cvt_tz_l-~*/
#endif
