/* Created by SDL V3.1-7     */
/* Source:  8-AUG-1988 10:33:04 EMULEX$DISK:[MEADOWS.UNSDL.VMS5-0_H]STARDEFAE.S */
#ifndef $BRKDEF_H
#define $BRKDEF_H
 
/*** MODULE $BRKDEF ***/
/*+                                                                           */
/*                                                                            */
/* Breakthru system service input definitions.                                */
/*                                                                            */
/*-                                                                           */
#define BRK$C_DEVICE 1  /* device name                                        */
#define BRK$C_USERNAME 2        /* user name                                  */
#define BRK$C_ALLUSERS 3        /* all users                                  */
#define BRK$C_ALLTERMS 4        /* all logged in users                        */
#define BRK$C_MAXSENDTYPE 4
/*                                                                            */
/* Requestor ID's, DEC use only (0-31)                                        */
/*                                                                            */
#define BRK$C_GENERAL 0 /* GENERAL (OR UNSPECIFIED)                           */
#define BRK$C_PHONE 1   /* PHONE                                              */
#define BRK$C_MAIL 2    /* MAIL                                               */
#define BRK$C_QUEUE 3   /* QUEUE MANAGER                                      */
#define BRK$C_SHUTDOWN 4        /* SYSTEM SHUTDOWN                            */
#define BRK$C_URGENT 5  /* URGENT MESSAGE                                     */
#define BRK$C_DCL 6     /* DCL (control T)                                    */
#define BRK$C_OPCOM 7   /* OPERATOR MESSAGE                                   */
/* Note that only first 16 are really stored by TTDRIVER now                  */
#define BRK$C_USER1 32  /* reserved to customer                               */
#define BRK$C_USER2 33  /* reserved to customer                               */
#define BRK$C_USER3 34  /* reserved to customer                               */
#define BRK$C_USER4 35  /* reserved to customer                               */
#define BRK$C_USER5 36  /* reserved to customer                               */
#define BRK$C_USER6 37  /* reserved to customer                               */
#define BRK$C_USER7 38  /* reserved to customer                               */
#define BRK$C_USER8 39  /* reserved to customer                               */
#define BRK$C_USER9 40  /* reserved to customer                               */
#define BRK$C_USER10 41 /* reserved to customer                               */
#define BRK$C_USER11 42 /* reserved to customer                               */
#define BRK$C_USER12 43 /* reserved to customer                               */
#define BRK$C_USER13 44 /* reserved to customer                               */
#define BRK$C_USER14 45 /* reserved to customer                               */
#define BRK$C_USER15 46 /* reserved to customer                               */
#define BRK$C_USER16 47 /* reserved to customer                               */
#define BRK$M_SCREEN 0x00000100
#define BRK$M_BOTTOM 0x00000200
#define BRK$M_NOREFRESH 0x00000400
#define BRK$M_CLUSTER 0x00000800
struct flags_input {    /* mimics $BRDCSTDEF                                  */
    unsigned brk$v_erase_lines : 8;     /* number of lines to erase           */
    unsigned brk$v_screen : 1;  /* Do screen formatted write                  */
    unsigned brk$v_bottom : 1;  /* "screen" message at bottom                 */
    unsigned brk$v_norefresh : 1;       /* Refresh an interrupted read        */
    unsigned brk$v_cluster : 1; /* broadcast to cluster                       */
    unsigned brk$v_fill_13 : 4;
} ;
#endif
