/* Created by SDL V3.1-7     */
/* Source:  8-AUG-1988 10:33:04 EMULEX$DISK:[MEADOWS.UNSDL.VMS5-0_H]STARDEFAE.S */
#ifndef $DIBDEF_H
#define $DIBDEF_H
 
/*** MODULE $DIBDEF ***/
/*+                                                                           */
/* DEVICE INFORMATION BLOCK DEFINITIONS                                       */
/*-                                                                           */
#define DIB$K_LENGTH 116        /*LENGTH OF TOTAL BUFFER                      */
#define DIB$C_LENGTH 116        /*LENGTH OF TOTAL BUFFER                      */
struct dibdef {
    unsigned long int dib$l_devchar;    /*DEVICE CHARACTERISTICS              */
    unsigned char dib$b_devclass;       /*DEVICE CLASS                        */
    unsigned char dib$b_devtype;        /*DEVICE TYPE                         */
    unsigned short int dib$w_devbufsiz; /*DEVICE BUFFER SIZE                  */
    union {
        unsigned long int dib$l_devdepend;      /*DEVICE DEPENDENT INFORMATION        */
        struct {
            unsigned char dib$b_sectors;        /*(DISK ONLY) SECTORS PER TRACK       */
            unsigned char dib$b_tracks; /* " TRACKS PER CYLINDER              */
            unsigned short int dib$w_cylinders; /* " NUMBER OF CYLINDERS      */
            } dib$r_devdepend_fields;
        } dib$r_devdepend_overlay;
    unsigned short int dib$w_unit;      /*DEVICE UNIT NUMBER                  */
    unsigned short int dib$w_devnamoff; /*OFFSET TO DEVICE NAME COUNTED STRING        */
    unsigned long int dib$l_pid;        /*DEVICE OWNER PROCESS IDENTIFICATION */
    unsigned long int dib$l_ownuic;     /*DEVICE OWNER USER IDENTIFICATION CODE       */
    unsigned short int dib$w_vprot;     /*DEVICE PROTECTION MASK              */
    unsigned short int dib$w_errcnt;    /*DEVICE ERROR COUNT                  */
    unsigned long int dib$l_opcnt;      /*DEVICE OPERATIONS COUNT             */
    unsigned short int dib$w_volnamoff; /*OFFSET TO VOLUME LABEL COUNTED STRING       */
    unsigned short int dib$w_recsiz;    /*BLOCKED RECORD SIZE                 */
    char dib$t_devname [76];    /*SPACE FOR DEVNAME AND LABEL (64+12)         */
    unsigned long int dib$l_maxblock;   /*DISK VOLUME SIZE IN BLOCKS          */
} ;
#endif
