/* Created by SDL V3.1-7     */
/* Source:  8-AUG-1988 10:34:47 EMULEX$DISK:[MEADOWS.UNSDL.VMS5-0_H]STARDEFFL.S */
#ifndef $LCKDEF_H
#define $LCKDEF_H
 
/*** MODULE $LCKDEF ***/
/*+                                                                           */
/* LOCK MANAGER DEFINITIONS                                                   */
/*-                                                                           */
#define LCK$M_VALBLK 0x00000001
#define LCK$M_CONVERT 0x00000002
#define LCK$M_NOQUEUE 0x00000004
#define LCK$M_SYNCSTS 0x00000008
#define LCK$M_SYSTEM 0x00000010
#define LCK$M_NOQUOTA 0x00000020
#define LCK$M_CVTSYS 0x00000040
#define LCK$M_RECOVER 0x00000080
#define LCK$M_PROTECT 0x00000100
#define LCK$M_NODLCKWT 0x00000200
#define LCK$M_NODLCKBLK 0x00000400
#define LCK$M_DEQALL 0x00000001
#define LCK$M_CANCEL 0x00000002
#define LCK$M_INVVALBLK 0x00000004
#define LCK$K_NLMODE 0  /* NULL                                               */
#define LCK$K_CRMODE 1  /* CONCURRENT READ                                    */
#define LCK$K_CWMODE 2  /* CONCURRENT WRITE                                   */
#define LCK$K_PRMODE 3  /* PROTECTED READ                                     */
#define LCK$K_PWMODE 4  /* PROTECTED WRITE                                    */
#define LCK$K_EXMODE 5  /* EXCLUSIVE                                          */
union lckdef {
    struct {
        unsigned lck$v_valblk : 1;      /* VALUE BLOCK INCLUDED               */
        unsigned lck$v_convert : 1;     /* CONVERSION REQUEST                 */
        unsigned lck$v_noqueue : 1;     /* DO NOT QUEUE REQUEST               */
        unsigned lck$v_syncsts : 1;     /* SYNCHRONOUS STATUS REQUESTED       */
        unsigned lck$v_system : 1;      /* SYSTEM LOCK                        */
        unsigned lck$v_noquota : 1;     /* DON'T CHARGE QUOTA                 */
        unsigned lck$v_cvtsys : 1;      /* CONVERT TO SYSTEM                  */
        unsigned lck$v_recover : 1;     /* RECOVER LOCK DURING FAILOVER       */
        unsigned lck$v_protect : 1;     /* PROTECT LOCK DURING FAILOVER       */
        unsigned lck$v_nodlckwt : 1;    /* NO DEADLOCK WAITING                */
        unsigned lck$v_nodlckblk : 1;   /* NO DEADLOCK BLOCKING               */
        unsigned lck$v_fill_38 : 5;
        } lck$r_lckdef_bits0;
    struct {
        unsigned lck$v_deqall : 1;      /* DEQUEUE ALL LOCKS                  */
        unsigned lck$v_cancel : 1;      /* CANCEL REQUEST                     */
        unsigned lck$v_invvalblk : 1;   /* INVALIDATE VALUE BLOCK             */
        unsigned lck$v_fill_39 : 5;
        } lck$r_lckdef_bits1;
/*LOCK MODES                                                                  */
} ;
#endif
