/* Created by SDL V3.1-7     */
/* Source:  8-AUG-1988 10:38:12 EMULEX$DISK:[MEADOWS.UNSDL.VMS5-0_H]STARDEFQZ.S */
#ifndef $TRMDEF_H
#define $TRMDEF_H
 
/*** MODULE $TRMDEF ***/
/*                                                                            */
/* Define symbols for the item list QIO format                                */
/*                                                                            */
/* Item list type codes                                                       */
#define TRM$_MODIFIERS 0
#define TRM$_EDITMODE 1
#define TRM$_TIMEOUT 2
#define TRM$_TERM 3
#define TRM$_PROMPT 4
#define TRM$_INISTRNG 5
#define TRM$_PICSTRNG 6
#define TRM$_FILLCHR 7
#define TRM$_INIOFFSET 8
#define TRM$_ALTECHSTR 9
#define TRM$_ESCTRMOVR 10
#define TRM$_LASTITM 11 /* must remain the last item                          */
/*                                                                            */
/* Editmode type codes                                                        */
/*                                                                            */
#define TRM$K_EM_DEFAULT 0
#define TRM$K_EM_RDVERIFY 1
#define TRM$M_TM_NOECHO 0x00000040
#define TRM$M_TM_TIMED 0x00000080
#define TRM$M_TM_CVTLOW 0x00000100
#define TRM$M_TM_NOFILTR 0x00000200
#define TRM$M_TM_DSABLMBX 0x00000400
#define TRM$M_TM_PURGE 0x00000800
#define TRM$M_TM_TRMNOECHO 0x00001000
#define TRM$M_TM_REFRESH 0x00002000
#define TRM$M_TM_ESCAPE 0x00004000
#define TRM$M_TM_NOEDIT 0x00008000
#define TRM$M_TM_NORECALL 0x00010000
#define TRM$M_TM_R_JUST 0x00020000
#define TRM$M_TM_AUTO_TAB 0x00040000
#define TRM$M_CV_UPPER 0x00000001
#define TRM$M_CV_LOWER 0x00000002
#define TRM$M_CV_NUMERIC 0x00000004
#define TRM$M_CV_NUMPUNC 0x00000008
#define TRM$M_CV_PRINTABLE 0x00000010
#define TRM$M_CV_ANY 0x00000020
union trmdef {
    struct {
        unsigned trmdef$$_fill_1 : 6;   /*FUNCTION CODE                       */
        unsigned trm$v_tm_noecho : 1;   /*NOECHO                              */
        unsigned trm$v_tm_timed : 1;    /*TIMED                               */
        unsigned trm$v_tm_cvtlow : 1;   /*CONVERT LOWER CASE                  */
        unsigned trm$v_tm_nofiltr : 1;  /*NO FILTER                           */
        unsigned trm$v_tm_dsablmbx : 1; /*DISABLE MAILBOX                     */
        unsigned trm$v_tm_purge : 1;    /*PURGE TYPEAHEAD                     */
        unsigned trm$v_tm_trmnoecho : 1;        /*TERMINATORS ARE NOT ECHOED  */
        unsigned trm$v_tm_refresh : 1;  /*Control-R interrupted read n        */
        unsigned trm$v_tm_escape : 1;   /*TERMINATE READ ON ESCAPE SEQUENCE   */
        unsigned trm$v_tm_noedit : 1;   /*DISABLE ADVANCED EDITING            */
        unsigned trm$v_tm_norecall : 1; /*Disable the recall feature of advanced editing      */
        unsigned trm$v_tm_r_just : 1;   /*Right justification                 */
        unsigned trm$v_tm_auto_tab : 1; /*Auto tab field                      */
        unsigned trm$v_fill_2 : 5;
        } trm$r_trmdef_bits0;
    struct {    /* picture string mask                                        */
        unsigned trm$v_cv_upper : 1;    /* upper case                         */
        unsigned trm$v_cv_lower : 1;    /* lower case                         */
        unsigned trm$v_cv_numeric : 1;  /* numeric (0-9)                      */
        unsigned trm$v_cv_numpunc : 1;  /* numeric punctuation (+ - .)        */
        unsigned trm$v_cv_printable : 1;        /* printable character        */
        unsigned trm$v_cv_any : 1;      /* any character                      */
        unsigned trm$v_fill_3 : 2;
        } trm$r_trmdef_bits1;
} ;
#endif
