	integer function noback (fab, rab, lun)
c***
c	patterned after chapter 1 of the I/O user's guide (acp - qio interface)
c	  version 4.4 document
c	note this is a user open function which sets the file to /nobackup.
c	  it does this by capturing the file ID and the directory ID and passing
c	  those along in a qio using a different channel.
c	s.r. berman, november 17, 1987
c***
	integer*2 lun
	integer sys$assign, sys$dassgn
	integer chan1
	include '($fabdef)'
	include '($namdef)'
	include '($rabdef)'
	include '($fibdef)'
	record /fabdef/ fab
	record /rabdef/ rab
	record /fibdef/ fib
	record /namdef/ nam
	integer sys$create, sys$connect, status, sys$qiow
	integer uchar
	character*40 outnam
	integer attr(3)
	integer*2 attr1(2)
	equivalence (attr(1),attr1(1))
c	the following indicates atr$c_uchar(3), and the length (4 bytes)
	data attr1 /4,3/
	data attr(3) /0/
	integer fibdes(2)
	attr(2) = %loc(uchar)
	fibdes(1) = 64
	fibdes(2) = %loc(fib)
c	point to my name block
	fab.fab$l_nam = %loc (nam)
c	make my name block look like a real one
	nam.nam$b_bid = nam$c_bid
	nam.nam$b_bln = nam$c_bln
c	do the rms create that must be done by a user open
	status = sys$create (fab)
	if (.not. status) call lib$stop (%val(status))
c	for future reference, note that chan = fab.fab$l_stv
c	now, do the connect required of a user open
	status = sys$connect (rab)
	if (.not. status) call lib$stop (%val(status))
c	let's try a different channel assignment to this file. The assign
c	  service will assign the channel to the DEVICE; the file assignment
c	  will be made by the subsequent qio
	status = sys$assign ('sys$disk',chan1,,)
	if (.not. status) call lib$stop (%val(status))
c	set access control to fib$m_writethru
	fib.fib$l_acctl = 524288
	fib.fib$b_wsize = 7
c	set the file id and directory id numbers in the file information block
	do 2 i=1,3
	fib.fib$w_fid(i) = nam.nam$w_fid(i)
    2	fib.fib$w_did(i) = nam.nam$w_did(i)
c	this says to find the file whose id is given (redundant, I know, but
c	  finding this is why it took me so long to write this routine!)
	fib.fib$w_nmctl = fib$m_findfid
c	this is the /nobackup flag
	uchar = 2
c	here is how to set version limit: fib.fib$w_verlimit = 13
c***
c	Next, do the qio here to write the nobackup flag. The parameters are:
c
c			   - event flag
c		%val(chan1)- channel number of file
c		%val(54)   - corresponds to IO$_MODIFY function,
c			   - iosb
c			   - astadr
c			   - astprm
c		fibdes	   - address of FIB descriptor
c			   - address of (optional) file name string desc.
c			   - address of word to receive length of filename
c		outnam	   - address of descriptor of output name string
c		attr	   - address of list of attribute descriptors
c			   - (not used) (P6)
c***
	status = sys$qiow (,%val(chan1),%val(54),,,,fibdes,
     1	,,outnam,attr,)
	if (.not. status) call lib$stop (%val(status))
	status = sys$dassgn (%val(chan1))
	if (.not. status) call lib$stop (%val(status))
	noback = status
	return
	end
