C*****************************************************************
C
C	DEMO PROGRAM FOR SCREEN ROUTINES
C
C		LINK DEMOI,GEN:SCRLIB/LIB
C
C	OR MAKE THE FOLLOWING ASSIGNMENT FOR DEFAULT LIBRARYS
C
C		ASSIGN GEN:SCRLIB.OLB LNK$LIBRARY
C		LINK DEMOI		!LINKING WITH DEFAULT LIBRARIES
C
C******************************************************************
	PROGRAM DEMOI
	INCLUDE '($SMGDEF)'
	INTEGER*4 DISPLAY_ID,PASTEBOARD_ID,KEYBOARD_ID,
     &		HELP_ID,TTYPE,ILIN,ICOL,IFIELD,INUM_FIELDS,INUM_MARKS,
     &		IBOLD,IVAL(50)
	CHARACTER*80 CVAL(50),STRING*10
	REAL RVAL(50)
	BYTE IPOSITION(50),LINE(50),BCOL(50),ECOL(50),TYPE(50),
     &		MCOL(10),MFIELD(10)
	COMMON /SCR_SCREEN/ DISPLAY_ID,PASTEBOARD_ID,KEYBOARD_ID,
     &		HELP_ID,TTYPE,ILIN,ICOL,IFIELD,INUM_FIELDS,INUM_MARKS,
     &		IBOLD,IPOSITION,LINE,BCOL,ECOL,TYPE,MCOL,MFIELD
	COMMON /SCR_SCREEN_VALUE/ IVAL,RVAL,CVAL
	EQUIVALENCE (RLARGE,RVAL(1))
	EQUIVALENCE (RBIGGEST,RVAL(2))
	EQUIVALENCE (RSMALL,RVAL(3))
	EQUIVALENCE (IBIG,IVAL(1))
	EQUIVALENCE (ISMALL,IVAL(2))
	EQUIVALENCE (STRING,CVAL(1))
	DATA RLARGE,RBIGGEST,RSMALL /100.23,1000.33, 43.7/
	DATA IBIG, ISMALL /500, 100/
	DATA STRING /'CHARACTER'/
	DATA INUM_FIELDS /6/,INUM_MARKS/2/
	DATA TYPE(1),IPOSITION(1),BCOL(1),ECOL(1),LINE(1)/4,1,33,42,4/
	DATA TYPE(2),IPOSITION(2),BCOL(2),ECOL(2),LINE(2)/1,2,67,75,4/
	DATA TYPE(3),IPOSITION(3),BCOL(3),ECOL(3),LINE(3)/3,3,22,29,6/
	DATA MFIELD(1),MCOL(1)/4,26/
	DATA TYPE(4),IPOSITION(4),BCOL(4),ECOL(4),LINE(4)/0,1,26,29,8/
	DATA TYPE(5),IPOSITION(5),BCOL(5),ECOL(5),LINE(5)/0,2,57,59,8/
	DATA MFIELD(2),MCOL(2)/6,27/
	DATA TYPE(6),IPOSITION(6),BCOL(6),ECOL(6),LINE(6)/-1,1,27,36,10/

C	---- Set up SMG definitions for the terminal
	CALL SCR_INITT

C	---- Write the screen
	CALL SMG$PUT_LINE(DISPLAY_ID,
     &	'EXAMPLES OF REAL, INTEGER, AND CHARACTER INPUTS:',3,
     &	SMG$M_BOLD.OR.SMG$M_UNDERLINE)
	CALL SMG$PUT_LINE(DISPLAY_ID,'Example of real data field No 1
     &              Real data field No 2',2)
	CALL SMG$PUT_LINE(DISPLAY_ID,'Real data field No 3',2)
	CALL SMG$PUT_LINE(DISPLAY_ID,
     &	'Integer data field No 1         Integer data field No 2',2)
	CALL SMG$PUT_LINE(DISPLAY_ID,'Character data field No 1')
C
C	--- DISPLAY THIS DATA AND GET ANY MODIFICATIONS
	LOGMODE = .FALSE. 	! Enable insert mode
	LOGKEY  = .TRUE.	! Enable applications keypad
	ISEC    = -1		! Screen already set up
1	CALL SCR_SCRIN(ISEC, , , LOGMODE, LOGKEY)

C	---- DO SOMETHING WITH THE DATA AND PROMPT FOR MORE DATA
	TYPE 5, RLARGE,RBIGGEST,RSMALL, IBIG, ISMALL, STRING
5	FORMAT(/////,1X'RLARGE: ',F12.3/
     &		1X,'RBIGGEST: ',F12.3/
     &		1X,'RSMALL: ',F12.3/
     &		1X,'IBIG: ',I8/
     &		1X,'ISMALL ',I8/
     &		1X,'STRING: ',A)


	TYPE 10
10	FORMAT(/1X,'*** SCREEN UTILITY DEMO PROGRAM ***',
     &		/1X,'INPUT REAL NUMBER (F10.3): ',$)
	READ *, RLARGE

	TYPE 20
20	FORMAT(/1X,'INPUT REAL NUMBER (F10.0): ',$)
	READ *, RBIGGEST

	TYPE 30
30	FORMAT(/1X,'INPUT REAL NUMBER (F8.2): ',$)
	READ *, RSMALL

	TYPE 40
40	FORMAT(/1X,'INPUT INTEGER NUMBER (I5): ',$)
	READ *, IBIG

	TYPE 50
50	FORMAT(/1X,'INPUT INTEGER NUMBER (I3): ',$)
	READ *,ISMALL

	TYPE 60
60	FORMAT(/1X,'INPUT CHARACTER (A10): ',$)
	READ 65,STRING
65	FORMAT(A)
	GOTO 1
	END
C
C	DUMMY SCR_RDSECT, WHICH WE AREN'T USING
	SUBROUTINE SCR_RDSECT
	ENTRY SCR_RESETSCR
	RETURN
	END
