	SUBROUTINE SCR_NEXTWD(DIRECT)
C	---- MOVE TO THE NEXT WORD DEPENDING ON LOGICAL DIRECTION
C	---- ( +1 = FORWARDS, -1=BACKWARDS)
C	---- TRAILING SPACES ARE IGNORED, I.E. ON A FORWARD SEARCH WE
C	---- IGNORE THEM AT THE START OF THE SEARCH; ON A BACKWARDS
C	---- SEARCH AT THE BEGINNING.
	CHARACTER*80 I_LINE
	INTEGER*4 DIRECT
	INCLUDE 'SCREEN.FOR'
C
	IEND=BCOL(IFIELD)			! IF BACKWARDS, END AT START
	IF(DIRECT.GT.0) THEN
		IEND=ECOL(IFIELD)		! FORWARDS, END AT END
	ENDIF
	IF (ICOL.EQ.IEND) THEN			! IF START/END OF FIELD,
		IF(DIRECT.LT.0) THEN
			CALL SCR_EOL(DIRECT)	! BACK, GO TO END OF PREVIOUS
		ELSE
			CALL SCR_NEXTFLD(DIRECT)! GO TO START OF NEXT
		ENDIF
		RETURN
	ELSE
		CALL SMG$READ_FROM_DISPLAY(DISPLAY_ID,I_LINE,,ILIN)
		IF (DIRECT.LT.0) THEN		! BACKWARDS, SKIP LEADING SPACES
			DO ICOL=ICOL-1,IEND,-1
				IF(I_LINE(ICOL:ICOL).NE.' ') GOTO 5
			ENDDO
 5		ENDIF
		DO ICOL=ICOL,IEND,DIRECT
			IF(I_LINE(ICOL:ICOL).EQ.' ') GOTO 10
		ENDDO
 10		IF (DIRECT.GT.0) THEN		! FORWARDS, SKIP TRAILING SPACES
			DO ICOL=ICOL,IEND
				IF(I_LINE(ICOL:ICOL).NE.' ') GOTO 15
			ENDDO
		ENDIF
		ICOL=ICOL-DIRECT
	ENDIF
 15	CALL SMG$SET_CURSOR_ABS(DISPLAY_ID,,ICOL)
	RETURN
	END
