	program include_ino
C.begin.doc ************************** begin.doc
C  
C .c ;MODULE
C .c ;^&INCLUDE_INO\&
C .nf
C .x INCLUDE_INO>Defined
C Source:INCLUDE_INO.FOR
C Designer           :EARL LAKIA
C Author             :Earl Lakia
C Date of last update:17-JUN-1985 20:03:13.08
C Revision level     :1.0
C  
C .C ;Formal Parameter List
C Receives:
C  
C  
C Returns:
C  
C Accesses common(s):
C  
C Accesses file(s):
C  
C    MODULE.DRR                                                                   
C                               READ                                              
C .X MODULE.DRR>READ
C  
C    PAPER.INO                                                                    
C                               CREATE/WRITE                                      
C .X PAPER.INO>CREATE/WRITE
C  
C Other modules referenced:
C .SK
C .fill
C .SK
C Description:
C .sk    
C 	This program takes the as input a list of file
C names of type ".inc" and creates a list file Paper.ino with
C a page eject before each file.  It also truncates any source
C line to 90 characters.
C end.doc ****************************** end.doc  

c
c variables
c
	character*200 line_buffer	! input line buffer
	character*80 file_name		! file name
	integer*4 iost			! file status
	byte tof
	BYTE CR,LF
	data tof/12/	! form feed
	DATA CR/13/	! CARRAIGE RETURN
	DATA LF/10/	! LINE FEED

	open(unit=1,name='module.drr',type='old')
c
	open(unit=2,name='paper.ino',type='new',
	1	carriagecontrol='NONE')
	WRITE(2,30)TOF,(CR,LF,I=1,20),TOF
30	FORMAT(41A1,27X,' I N C L U D E   F I L E S',
	1	A1)
	
c
c get a file name
c
50	read(1,100,end=9100)iflth,file_name(1:iflth)
100	format(q,A<IfLTH>)
c
	CALL CHAR_TRNC(FILE_NAME,FILE_NAME,IFLTH)
	TYPE *,FILE_NAME(1:IfLTH)
C
C OPEN THE INCLUDE FILE
C
	open(unit=3,name=file_name(1:iflth),err=9000,
	1	type='old',ACCESS='SEQUENTIAL',
	2	RECORDSIZE=200,iostat=iost,
	3	readonly)
c
c now read each record until and end of file
c
	write(2,200)tof	 !write page eject first
200	format(a1)
	write(2,210)CR,LF,file_name(1:iflth)
210	FORMAT(2A1,A<IFLTH>)
	icnt=0	!number of lines this page so far
c
250	read(3,300,end=1900)ilth,line_buffer(1:ilth)
	ICNT=ICNT+1
300	format(Q,A<ilth>)
	if(icnt.gt.58)then
		write(2,200)tof	! new page
		write(2,220)CR,LF,file_name(1:iflth)
220		format(2A1,A<iflth>,'  (continued) ',//)
		icnt=0
	endif
c
	if(ilth.gt.90)ilth=90
c
	write(2,400)CR,LF,line_buffer(1:ILTH)
400	format(2A1,A<ILTH>)
	go to 250	! loop until done
c
c end of file this source
c
1900	close(unit=3)
	go to 50	! go until end of file
c
c file open error
c
9000	TYPE *,'FILE OPEN ERROR'
	type *,' status: ',iost
	call exit
c
c all done
c
9100	WRITE(2,9110)TOF
9110	FORMAT(A1)
	call exit
	end
