C
C This include file defines the event queue used by 
c the MA_ROUTER to store AST information to be
c processed by the main line code.
c
c  DATE OF LAST UPDATE: 8/26/86
C
	INTEGER*4 QUE_SIZ	! NUMBER OF EVENTS ABLE TO BE QUEUED
 	PARAMETER (QUE_SIZ=25)
C
C
	integer*4 event_insert	! next insert position
	integer*4 event_remove	! next removal position
	integer*4 event_count	! number events in queue
C
C
C
	STRUCTURE /EVENT_ENTRY/
	   BYTE EVENT		! EVENT THAT OCCURRED
	   UNION
C
C	    MA_ROUTE MAILBOX I/O COMPLETE
C
	    MAP
		BYTE BUFFER(32)	! SOME DUMMY ALLOCATION
	    END MAP
C
C           NETWORK MAILBOX
C
	    MAP
		BYTE NETBUF(32)	! SOME DUMMY ALLOCATION
	    END MAP
	    MAP
		INTEGER*4 NRBADD  ! NRB ADDRESS
	    END MAP
	  END UNION
	END STRUCTURE
	   
C

	RECORD /EVENT_ENTRY/EVENT_QUE(QUE_SIZ)
C
	COMMON /EVENTQ/EVENT_INSERT,EVENT_REMOVE,
	1	EVENT_COUNT,EVENT_QUE
C
C EVENTS
C
	INTEGER*4 CON_COMP	! CONNECT COMPLETE
	PARAMETER (CON_COMP=1)
C
	INTEGER*4 CON_TIMEOUT	! CONNECT TIMEOUT
	PARAMETER (CON_TIMEOUT=2)
C
	INTEGER*4 RECV_CON_REQ	! RECEIVER PROCESS REQUESING CONNECTION
	PARAMETER (RECV_CON_REQ=3)
C
	INTEGER*4 LINK_TERM	! LOGICAL LINK TERMINATED
	PARAMETER (LINK_TERM=4)
C
	INTEGER*4 FIND_WORK	! SOME KIND OF I/O COMPLETED, ETC. NEED
	PARAMETER (FIND_WORK=5) ! TO SEE IF ANY MESSAGES CAN GO OUT
C
	INTEGER*4 NET_DOWN	! NETWORK SHUTTING DOWN MESSAGE
	PARAMETER (NET_DOWN=6)
C
	INTEGER*4 NEW_DBS	! NEW ROUTING DATABASE RECEIVED
	PARAMETER (NEW_DBS=7)
C
	INTEGER*4 FULL_REMOTE	! REMOTE NODE HAS A FULL QUEUE
	PARAMETER (FULL_REMOTE=8)
