	LOGICAL*4 FUNCTION IFSET(BITARY,IBIT)
C.begin.doc ************************** begin.doc
C  
C .c ;MODULE
C .c ;^&IFSET\&
C .nf
C .x IFSET>Defined
C Source:IFSET.MOD
C Designer           :EARL LAKIA
C Author             :EARL LAKIA
C             Inland Steel
C             Process Automation Department
C             3210 Watling St.  MS 2-465
C             East Chicago, IN  46312
C  
C Date of last update: 6-NOV-1986 12:27:18.69
C Revision level     :1.0
C  
C .C ;Formal Parameter List
C Receives:
C  
C Returns:
C 	.TRUE. IF BIT WAS SET
C 	.FALSE. IF NOT SET
C 
C  
C Accesses common(s):
C  
C Accesses file(s):
C  
C Other modules referenced:
C .SK
C .fill
C .SK
C Description:
C .sk    
C .LT
C 	THIS SUBROUTIN IS USED TO SEE IF A BIT IS SET IN AN ARAY.  
C IF THE IS SET THE FUNCTION RETURNS A VALUE OF TRUE.  IF THE BIT
C IS NOT SET A VALUE OF FALSE IS RETURNED.  AN ARAY OF ANY SIZE
C MAY BE ENTERD.  THE IBIT IS THE BIT POSITION YOU ARE LOOKING FOR.
C 
C      BITARY= BYTE BIT ARRAY
C        IBIT= BIT TO TEST
C 
C      CALLING SEQUENCE:
C 
C 	LOGICAL*4 IFSET
C 	LOGICAL*4 STATUS
C 
C 	IF(IFSET(BITARY,IBIT))THEN
C 		TYPE *,' BIT WAS SET'
C 	ELSE
C 		TYPE *,' BIT WAS NOT  SET'
C 	ENDIF
C 
C .ELT
C end.doc ****************************** end.doc  

	BYTE BYTMSK(0:7)	! SINGLE BYTE MASK
	BYTE BITARY(0:*)	! BIT ARRAY FROM USER
	INTEGER*4 IBIT	! BIT TO TEST
	INTEGER*4 IR	! REMAINDER BIT
	INTEGER*4 IB	! BYTE BIT IS IN
C
	DATA BYTMSK/'1'X,'2'X,'4'X,'8'X,'10'X,'20'X,'40'X,'80'X/

	
	IB=IBIT/8		! GET BYTE THAT CONTAINS BIT
	IR= IBIT- (IB*8)	! GET BIT WITHIN BYTE
C
	IF((BITARY(IB) .AND. BYTMSK(IR)) .NE. 0)THEN
		IFSET=.TRUE.	! BIT WAS SET
	ELSE
		IFSET=.FALSE.	! BIT WASN'T SET
	ENDIF
	RETURN
	END

