$!
$!	Command file to assemble and link User System Service 
$!
$ IF P1 .NES. "" THEN GOTO GOTP1
$ TYPE SYS$INPUT
	MA_Q SYSTEM SERVICE ASSEMBLE, LINK, AND INSTALL
	(NOTE: To install, must have priveleges)

Please enter the desired options as follows:
	A= Assemble the service
	L= Link ther service
	I= Install the service
	P= Copy executable image to production account ([MA_Q])
	*= ALIP (All of above)

	The default option is: AL
 
$ INQUIRE P1  "Enter options"
$ GOTP1:
$ IF P1 .EQS. "*" THEN P1="ALIP"
$ IF P1 .EQS. "" THEN P1="AL"
$!
$! parse options
$!
$A=0
$L=0
$I=0
$P=0
$!
$ P1L=F$LENGTH(P1)
$ J=0
$ SWCHK:
$ IF J .EQ. P1L THEN GOTO GOTSWCH
$ IF F$EXTRACT(J,1,P1) .EQS. "A" THEN A=1
$ IF F$EXTRACT(J,1,P1) .EQS. "L" THEN L=1
$ IF F$EXTRACT(J,1,P1) .EQS. "I" THEN I=1
$ IF F$EXTRACT(J,1,P1) .EQS. "P" THEN P=1
$ J=J+1
$ GOTO SWCHK
$!
$ GOTSWCH:
$!
$! SEE IF WE SHOULD ASSEMBLE SERVICE
$!
$ IF A .EQ. 0 THEN GOTO LINKIT
$ TYPE SYS$INPUT

 ASSEMBLE SERVICE

$ OPEN/WRITE PPP SSDISP_PRE.MAR
$ WRITE PPP "ECODE_BASE=-1000"
$ WRITE PPP "KCODE_BASE=-1000"
$ WRITE PPP "MAX_MSG_SIZE=4096."
$ WRITE PPP "	.LIBRARY ""MA_Q$DEF:QUEUE.MLB""	; Queueing definitions:"
$ CLOSE PPP
$!
$ MACRO MA_Q:[SYSSERV]SSDISP_PRE+SSdisp /OBJECT=MA_Q:[SYSSERV] /LIST
$!
$! SEE IF WE SHOULD LINK SERVICE
$!
$ LINKIT:
$ IF L .EQ. 0 THEN GOTO PROD
$ TYPE SYS$INPUT

 LINK SERVICE

$ LINK /PROTECT /NOTRACEBACK /NOSYSSHR /SHARE=MA_Q:[SYSSERV]SSDISP -
/MAP=MA_Q:[SYSSERV]SSDISP /EXE=MA_Q:[SYSSERV]SSDISP /FULL SYS$INPUT/OPTIONS
!
!	Options file for the link of User System Service example.
!
!!!	SYS$SYSTEM:SYS.STB/SELECTIVE
!
!	Create a separate cluster for the transfer vector.
!
CLUSTER=TRANSFER_VECTOR,,,MA_Q:[SYSSERV]SSdisp.obj
!
GSMATCH=LEQUAL,1,1
!
	MA_Q$LIB:QUEUE/LIBRARY
	MA_Q$LIB:INLAND/LIBRARY
	SYS$SYSTEM:SYS.STB/SELECTIVE
$EOD
$!
$! MOVE TO PRODUCTION
$!
$PROD:
$IF P .EQ. 0 THEN GOTO INSTIT
$ SET PROC/PRIV=BYPASS
$ IF $STATUS THEN GOTO GOTBP
$ TYPE SYS$INPUT
	YOU DONOT HAVE BYPASS PRIVELEGE AND I CAN NOT MOVE THE
SYSTEM SERVICE TO THE TARGET ACCOUNT.
$ EXIT
$ GOTBP:
$ COPY SSDISP.EXE SYS$SYSROOT:[SYSLIB]
$ PURGE SYS$SYSROOT:[SYSLIB]SSDISP.EXE/KEEP=2
$!
$! SEE IF SHOULD BE INSTALLED
$!
$ INSTIT:
$ IF I .EQ. 0 THEN EXIT
$ OLDPRIV="''F$GETJPI("","CURPRIV")'"
$ SET PROC/PRIV=CMKRNL
$ IF  $STATUS THEN GOTO GOTPRIV
$ TYPE SYS$INPUT
	INSUFFICIENT PRIVELEGE TO INSTALL THE SERVICE, THE FOLLOWING
PRIVELEGE MUST BE AVAILABLE FOR THIS ACCOUNT:  SETPRV OR CMKRNL
$ GOTPRIV:
$ INSTALL :== $SYS$SYSTEM:INSTALL/COMMAND
$!
$ TYPE SYS$INPUT
	If the service is not installed, the remove may fail,
do not be concerned as long as the install completes.
$ SET VERIFY
$ install
REMOVE SYS$SYSROOT:[SYSLIB]SSDISP
CREATE SYS$SYSROOT:[SYSLIB]SSDISP/share /PROTECT /PRIV=(PHY_IO,CMKRNL, -
CMEXEC,LOG_IO,OPER,BUGCHK,SYSGBL,SYSNAM,PRMGBL,SYSLCK,SHARE,ALL)
$ SET NOVERIFY
$!
$ SET PROC/PRIV=(NOALL,'OLDPRIV')
$ TYPE SYS$INPUT
 SYSTEM SERVICE INSTALLED
$EXIT
