/* Modification History
   --------------------
   Sep. 8, 1987 JEM - Conversion from BETA to Release

*/
#include descrip
#include dvidef

struct itmlstdef {
  short int buflen;
  short int itmcod;
  char *bufaddr;
  long int *retlen;
};
#define DEVLEN 64

int get_root_name(device,root)
  struct dsc$descriptor *device,*root;
{
  char devnam[DEVLEN];
  long int devnamlen;
  struct itmlstdef itmlst[] = {DEVLEN,DVI$_ROOTDEVNAM,0,0,0,0,0,0};
  long int status;

  itmlst[0].bufaddr = devnam;
  itmlst[0].retlen = &devnamlen;

  status = sys$getdvi(0,0,device,&itmlst,0,0,0,0);
  if (status & 1)
    str$copy_r(root,&devnamlen,devnam);
  return(status);
}

int get_next_device(device,next)
  struct dsc$descriptor *device,*next;
{
  char devnam[DEVLEN];
  long int devnamlen;
  struct itmlstdef itmlst[] = {DEVLEN,DVI$_NEXTDEVNAM,0,0,0,0,0,0};
  long int status;

  itmlst[0].bufaddr = devnam;
  itmlst[0].retlen = &devnamlen;

  status = sys$getdvi(0,0,device,&itmlst,0,0,0,0);
  if (status & 1)
    str$copy_r(next,&devnamlen,devnam);
  return(status);
}
