#include "status.h"
extern int (*init[])();
extern int (*format[])();
extern struct node keywords[];

search_keywords(key)
  char *key;
{
  int compare, ambig = 0, mid, start = 0, fini = KEYWORDS, keylen;

  keylen = strlen(key);

  while (start <= fini) {
    mid = (start + fini)/2;
    compare = strncmp(key, keywords[mid].name, keylen);
    if (compare < 0)
      fini = mid - 1;
    else if (compare > 0)
      start = mid + 1;
    else {
      if (keylen == strlen(keywords[mid].name))
        return(mid);

      start = mid;
      while ((--start >= 0)
             && (strncmp(key, keywords[start].name, keylen) == 0))
        if (keylen == strlen(keywords[start].name))
          return(start);
        else
          ambig = -1;

      fini = mid;
      while ((++fini < KEYWORDS)
             && (strncmp(key, keywords[fini].name, keylen) == 0))
        if (keylen == strlen(keywords[fini].name))
          return(fini);
        else
          ambig = -1;

      if (ambig)
        return(-2); /* ambiguous */
      else
        return(mid);
    };
  };
  return(-1);
}
