/* Created by SDL V3.0-2     */
/* Source:  8-AUG-1988 09:44:43 EMULEX$DISK:[MEADOWS.UNSDL.VMS4-7_H]STARDEFAE.S */
#ifndef $ERADEF_H
#define $ERADEF_H
 
/*** MODULE $ERADEF ***/
/*                                                                            */
/*                                                                            */
/* Define erase type codes.  The codes LODUMMY and HIDUMMY are                */
/* used as placeholders, to make the definition of the upper and              */
/* lower bound erase type symbols automatic.  New erase type codes            */
/* should be added at the end of the list, but before HIDUMMY.                */
/*                                                                            */
/*                                                                            */
#define ERA$K_LODUMMY 0 /*                                                    */
#define ERA$K_MEMORY 1  /* Erase main memory                                  */
#define ERA$K_DISK 2    /* Erase disk mass storage                            */
#define ERA$K_TAPE 3    /* Erase magnetic tape mass storage                   */
#define ERA$K_HIDUMMY 4 /*                                                    */
#define ERA$K_MINTYPE 1 /* Lower bound of erase type codes                    */
#define ERA$K_MAXTYPE 3 /* Upper bound of erase type codes                    */
#endif
