/* Created by SDL V3.0-2     */
/* Source:  8-AUG-1988 09:45:49 EMULEX$DISK:[MEADOWS.UNSDL.VMS4-7_H]STARDEFFL.S */
#ifndef $FIDDEF_H
#define $FIDDEF_H
 
/*** MODULE $FIDDEF ***/
/*                                                                            */
/* STRUCTURE OF A FILE ID (FID)                                               */
/*                                                                            */
#define FID$K_LENGTH 6
#define FID$C_LENGTH 6
#define FID$C_INDEXF 1  /* INDEX FILE                                         */
#define FID$C_BITMAP 2  /* STORAGE MAP FILE                                   */
#define FID$C_BADBLK 3  /* BAD BLOCK FILE                                     */
#define FID$C_MFD 4     /* MASTER FILE DIRECTORY                              */
#define FID$C_CORIMG 5  /* CORE IMAGE FILE                                    */
#define FID$C_VOLSET 6  /* VOLUME SET LIST FILE                               */
#define FID$C_CONTIN 7  /* STANRARD CONTINUATION FILE                         */
#define FID$C_BACKUP 8  /* BACKUP LOG FILE                                    */
#define FID$C_BADLOG 9  /* BAD BLOCK LOG FILE                                 */
#define FID$C_FREFIL 10 /* FREE SPACE FILE                                    */
struct fiddef {
    unsigned short int fid$w_num;       /* FILE NUMBER                        */
    unsigned short int fid$w_seq;       /* FILE SEQUENCE NUMBER               */
    union {
        unsigned short int fid$w_rvn;   /* RELATIVE VOLUME NUMBER             */
        struct {
            unsigned char fid$b_rvn;    /* BYTE FORM OF RVN                   */
            unsigned char fid$b_nmx;    /* FILE NUMBER EXTENSION              */
/* FILE ID'S OF THE RESERVED FILES                                            */
            } fid$r_rvn_fields;
        } fid$r_rvn_overlay;
} ;
#endif
