/* Created by SDL V3.0-2     */
/* Source:  8-AUG-1988 09:45:49 EMULEX$DISK:[MEADOWS.UNSDL.VMS4-7_H]STARDEFFL.S */
#ifndef $LKIDEF_H
#define $LKIDEF_H
 
/*** MODULE $LKIDEF ***/
/*+                                                                           */
/*                                                                            */
/* Get Lock Information Data Identifier Definitions                           */
/*                                                                            */
/* **** NOTE ****                                                             */
/*                                                                            */
/*        New items must always be added to the END of each item list         */
/*        (preceeding the ENDlistname item) so that users will not have       */
/*        to relink.                                                          */
/*-                                                                           */
/* ITEM LIST BLOCKS                                                           */
#define LKI$K_LENGTH 24 /*LENGTH OF LIST BLOCK                                */
#define LKI$C_LENGTH 24 /*LENGTH OF LIST BLOCK                                */
struct lkidef {
    unsigned long int lki$l_lockid;     /*LOCK ID                             */
    unsigned long int lki$l_pid;        /*PROCESS ID                          */
    unsigned long int lki$l_sysid;      /*SYSTEM ID (RSB)                     */
    unsigned char lki$b_rqmode; /*REQUEST MODE                                */
    unsigned char lki$b_grmode; /*GRANTED MODE                                */
    unsigned char lki$b_queue;  /*LOCK QUEUE                                  */
    char lki$$$_spare;  /*SPARE BYTE                                          */
    unsigned long int lki$l_remlkid;    /*REMOTE LOCK ID                      */
    unsigned long int lki$l_remsysid;   /*REMOTE SYSTEM ID (LKB)              */
} ;
/* DEFINE NAMSPACE BITS                                                       */
#define LKI$M_SYSNAM 0x80000000
struct namspace {
    unsigned short int lki$w_group;     /*GROUP OF OWNER UIC                  */
    unsigned char lki$b_rmod;   /*ACCESS MODE OF REQUEST                      */
    unsigned char lki$b_status; /*STATUS OF RESOURCE                          */
    struct {
        unsigned lki$$_fill : 31;       /* SPARE                              */
        unsigned lki$v_sysnam : 1;      /* SYSTEM WIDE RSB                    */
        } lki$r_status_bits;
} ;
/* DEFINE STATE FIELDS                                                        */
struct statef {
    unsigned char lki$b_state_rqmode;   /*REQUEST MODE                        */
    unsigned char lki$b_state_grmode;   /*GRANTED MODE                        */
    unsigned char lki$b_state_queue;    /*LOCK STATE CODE                     */
} ;
/*LOCK STATE CODE VALUES                                                      */
#define LKI$C_GRANTED 1 /* GRANTED                                            */
#define LKI$C_CONVERT 0 /* CONVERSION                                         */
#define LKI$C_WAITING -1        /* WAITING                                    */
#define LKI$C_RETRY -2  /* RETRY REQUEST                                      */
#define LKI$C_SCSWAIT -3        /* SCS WAIT                                   */
#define LKI$C_RSPNOTQED -4      /* RESPONSE NOT QUEUED                        */
#define LKI$C_RSPQUEUED -5      /* RESPONSE QUEUED                            */
#define LKI$C_RSPGRANTD -6      /* RESPONSE GRANTED                           */
#define LKI$C_RSPDOLOCL -7      /* RESPONSE DO LOCALLY                        */
#define LKI$C_RSPRESEND -8      /* RESPONSE RESEND                            */
/* DEFINE TABLE NUMBERS                                                       */
/* STRUCTURE CODES MUST START AT 1                                            */
#define LKI$C_LKBTYPE 1 /* ITEM IN LKB                                        */
#define LKI$C_RSBTYPE 2 /* ITEM IN RSB                                        */
#define LKI$C_LISTEND 0 /* DEFINE ITMLST TERMINATOR                           */
/* ITEM IDENTIFIERS FOR LKB                                                   */
#define LKI$_PID 256    /* PROCESS ID                                         */
#define LKI$_STATE 257  /* CURRENT LOCK STATE                                 */
#define LKI$_PARENT 258 /* ID OF PARENT LOCK                                  */
#define LKI$_LCKREFCNT 259      /* SUB-LOCK REFERENCE COUNT                   */
#define LKI$_LOCKID 260 /* LOCK ID                                            */
#define LKI$_REMLKID 261        /* REMOTE LOCK ID                             */
#define LKI$_LASTLKB 262        /* MAX INDEX IN LKB TABLE                     */
/* ITEM IDENTIFIERS FOR RSB                                                   */
#define LKI$_NAMSPACE 512       /* RESOURCE NAME SPACE                        */
#define LKI$_RESNAM 513 /* RESOURCE NAME                                      */
#define LKI$_RSBREFCNT 514      /* SUB-RESOURCE REFERENCE COUNT               */
#define LKI$_VALBLK 515 /* VALUE BLOCK                                        */
#define LKI$_SYSTEM 516 /* SYSTEM ID OF SYSTEM WITH RESOURCE                  */
#define LKI$_LCKCOUNT 517       /* COUNT OF LOCKS ON RESOURCE                 */
#define LKI$_BLOCKEDBY 518      /* LIST OF LOCKS BLOCKED BY CURRENT LOCK      */
#define LKI$_BLOCKING 519       /* LIST OF LOCKS BLOCKING CURRENT LOCK        */
#define LKI$_LOCKS 520  /* LIST OF ALL LOCKS ON RESOURCE                      */
#define LKI$_LASTRSB 521        /* MAX INDEX IN RSB                           */
#endif
