/* Created by SDL V3.0-2     */
/* Source:  8-AUG-1988 09:47:35 EMULEX$DISK:[MEADOWS.UNSDL.VMS4-7_H]STARDEFQZ.S */
#ifndef $TPADEF_H
#define $TPADEF_H
 
/*** MODULE $TPADEF ***/
/*                                                                            */
/* TPARSE CONTROL BLOCK. THIS BLOCK IS ONE OF THE ARGUMENTS USED TO CALL TPARSE,      */
/* AND BECOMES THE ARGUMENT LIST TO ACTION ROUTINES.                          */
/*                                                                            */
#define TPA$K_COUNT0 8  /* ZERO LEVEL VALUE IS 8                              */
#define TPA$M_BLANKS 0x00000001
#define TPA$M_ABBREV 0x00000002
#define TPA$M_ABBRFM 0x00000004
#define TPA$M_AMBIG 0x00010000
#define TPA$K_LENGTH0 36        /* LENGTH OF ZERO LEVEL PARAMETER BLOCK       */
#define TPA$C_LENGTH0 36        /* LENGTH OF ZERO LEVEL PARAMETER BLOCK       */
struct tpadef {
    unsigned long int tpa$l_count;      /* ARGUMENT COUNT (NUMBER OF LONGWORDS)       */
    union {
        unsigned long int tpa$l_options;        /* OPTIONS LONGWORD           */
        struct {
            unsigned tpa$v_blanks : 1;  /* PROCESS BLANKS AND TABS EXPLICITLY */
            unsigned tpa$v_abbrev : 1;  /* ALLOW MINIMAL ABBREVIATION         */
            unsigned tpa$v_abbrfm : 1;  /* ALLOW FIRST MATCH ABBREVIATION     */
            unsigned tpadef$$_fill_1 : 13;
            unsigned tpa$v_ambig : 1;   /* AMBIGUOUS KEYWORD AT THIS STATE    */
            unsigned tpa$v_fill_1 : 7;
            } tpa$r_options_bits;
        struct {
            char tpadef$$_fill_2 [3];
            unsigned char tpa$b_mcount; /* MINIMUM ABBREVIATION ON KEYWORDS   */
            } tpa$r_options_fields;
        } tpa$r_options_overlay;
    unsigned long int tpa$l_stringcnt;  /* BYTE COUNT OF STRING BEING PARSED  */
    unsigned long int tpa$l_stringptr;  /* ADDRESS OF STRING BEING PARSED     */
    unsigned long int tpa$l_tokencnt;   /* BYTE COUNT OF CURRENT MATCHING TOKEN       */
    unsigned long int tpa$l_tokenptr;   /* ADDRESS OF MATCHING TOKEN          */
    union {
        unsigned long int tpa$l_char;   /* ASCII CODE OF SINGLE CHARACTER TOKEN       */
        unsigned char tpa$b_char;       /* BYTE FORM OF SINGLE CHAR CELL      */
        } tpa$r_char_overlay;
    unsigned long int tpa$l_number;     /* NUMERIC VALUE OF NUMERIC TOKEN     */
    unsigned long int tpa$l_param;      /* PARAMETER LONGWORD FROM STATE TABLE        */
} ;
#endif
