/* Created by SDL V3.0-2     */
/* Source:  8-AUG-1988 09:47:35 EMULEX$DISK:[MEADOWS.UNSDL.VMS4-7_H]STARDEFQZ.S */
#ifndef $UICDEF_H
#define $UICDEF_H
 
/*** MODULE $UICDEF ***/
/*+                                                                           */
/*                                                                            */
/* Format of UIC - user identification code. May be either two part           */
/* group / member identifier, or a single uniform identifier.                 */
/*                                                                            */
/*-                                                                           */
#define UIC$K_MAX_UIC 1073741823        /* Highest possible UIC               */
#define UIC$K_WILD_MEMBER 65535 /* Code for wild card member                  */
#define UIC$K_WILD_GROUP 16383  /* Code for wild card group                   */
#define UIC$K_UIC_FORMAT 0      /* UIC format code                            */
#define UIC$K_ID_FORMAT 2       /* ID format code                             */
#define UIC$K_FIRST_ID -2147418112      /* First general identifier           */
#define UIC$K_LAST_ID -1879048193       /* Last general identifier            */
#define UIC$K_MATCH_ALL -1      /* Match all identifiers                      */
union uicdef {
    unsigned long int uic$l_uic;        /* Full longword                      */
    struct {    /* Group / member format                                      */
        unsigned uic$v_member : 16;     /* Member number                      */
        unsigned uic$v_group : 14;      /* Group number                       */
        unsigned uic$v_format : 2;      /* Format code                        */
        } uic$r_uic_form;
    struct {    /* General identifier format                                  */
        unsigned uic$v_id_code : 28;    /* ID code                            */
        unsigned uic$v_fill_1 : 2;      /* Reserved ID bits                   */
        unsigned uic$v_fill_2 : 2;      /* Dummy to cover format code         */
        } uic$r_id_form;
} ;
#endif
