/* Created by SDL V3.0-2     */
/* Source:  8-AUG-1988 09:47:35 EMULEX$DISK:[MEADOWS.UNSDL.VMS4-7_H]STARDEFQZ.S */
#ifndef $USGDEF_H
#define $USGDEF_H
 
/*** MODULE $USGDEF ***/
/*+                                                                           */
/* Disk usage accounting file produced by ANALYZE/DISK_STRUCTURE utility.     */
/*-                                                                           */
#define USG$K_IDENT 1   /* Identification record                              */
#define USG$K_FILE 2    /* File record                                        */
#define USG$K_IDENT_LEN 61      /* Length of IDENT record                     */
#define USG$C_IDENT_LEN 61      /* Length of IDENT record                     */
struct usgdef {
    unsigned char usg$b_type;   /* Record type                                */
    unsigned long int usg$l_serialnum;  /* Pack serial number                 */
    char usg$t_strucname [12];  /* Volume set name                            */
    char usg$t_volname [12];    /* Volume name                                */
    char usg$t_ownername [12];  /* Volume owner name                          */
    char usg$t_format [12];     /* Volume format type                         */
/* *** Preceding same as home block ***                                       */
    unsigned int usg$q_time [2];        /* Time usage file created            */
} ;
#define USG$K_FILE_LEN 423      /* Maximum length of FILE record              */
#define USG$C_FILE_LEN 423      /* Maximum length of FILE record              */
struct usgdef1 {
    char usgdef$$_fill_1;
    union {
        unsigned long int usg$l_fileowner;      /* File owner UIC             */
        struct {
            unsigned short int usg$w_uicmember; /* UIC member number          */
            unsigned short int usg$w_uicgroup;  /* UIC group number           */
            } usg$r_fileowner_fields;
        } usg$r_fileowner_overlay;
    unsigned long int usg$l_allocated;  /* Blocks allocated, including headers        */
    unsigned long int usg$l_used;       /* Blocks used                        */
    unsigned short int usg$w_dir_len;   /* Length of directory string         */
    unsigned short int usg$w_spec_len;  /* Length of complete file specification      */
    char usg$t_filespec [406];  /* File spec "[dir]nam.typ;ver"               */
} ;
#endif
