/* Created by SDL V3.1-7     */
/* Source:  8-AUG-1988 10:33:04 EMULEX$DISK:[MEADOWS.UNSDL.VMS5-0_H]STARDEFAE.S */
#ifndef $ATRDEF_H
#define $ATRDEF_H
 
/*** MODULE $ATRDEF ***/
/* ATTRIBUTE LIST DESCRIPTION. THE ATTRIBUTE CONTROL LIST IS USED TO READ AND */
/* WRITE FILE ATTRIBUTES. IT CONSISTS OF CONCATENATED ATTRIBUTE CONTROL BLOCKS*/
/* TERMINATED BY A SINGLE ZERO LONGWORD.                                      */
/*                                                                            */
#define ATR$C_UCHAR 3   /* 4 BYTE USER FILE CHARACTERISTICS                   */
#define ATR$C_RECATTR 4 /* 32 BYTES RECORD ATTRIBUTES                         */
#define ATR$C_FILNAM 5  /* 6 BYTE RAD-50 FILE NAME                            */
#define ATR$C_FILTYP 6  /* 2 BYTE RAD-50 FILE TYPE                            */
#define ATR$C_FILVER 7  /* 2 BYTE BINARY FILE VERSION                         */
#define ATR$C_EXPDAT 8  /* 7 BYTE ASCII EXPIRATION DATE                       */
#define ATR$C_STATBLK 9 /* 32 BYTE STATISTICS BLOCK                           */
#define ATR$C_HEADER 10 /* 512 BYTE FILE HEADER                               */
#define ATR$C_BLOCKSIZE 11      /* MAGTAPE BLOCK SIZE                         */
#define ATR$C_USERLABEL 12      /* USER FILE LABEL                            */
#define ATR$C_ASCDATES 13       /* REVISION COUNT THRU EXP DATE IN ASCII      */
#define ATR$C_ALCONTROL 14      /* COMPATIBILITY MODE ALLOCATION DATA         */
#define ATR$C_ENDLBLAST 15      /* END OF MAGTAPE LABEL PROCESSING AND SUPPLY AST CONTROL BLOCK       */
#define ATR$C_ASCNAME 16        /* FILE NAME, TYPE & VERSION IN ASCII         */
#define ATR$C_CREDATE 17        /* 64 BIT CREATION DATE                       */
#define ATR$C_REVDATE 18        /* 64 BIT REVISION DATE                       */
#define ATR$C_EXPDATE 19        /* 64 BIT EXPIRATION DATE                     */
#define ATR$C_BAKDATE 20        /* 64 BIT BACKUP DATE                         */
#define ATR$C_UIC 21    /* 4 BYTE FILE OWNER UIC                              */
#define ATR$C_FPRO 22   /* 2 BYTE FILE PROTECTION                             */
#define ATR$C_RPRO 23   /* 2 BYTE RECORD PROTECTION                           */
#define ATR$C_ACLEVEL 24        /* 1 BYTE FILE ACCESS LEVEL                   */
#define ATR$C_SEMASK 25 /* FILE SECURITY MASK AND LIMIT                       */
#define ATR$C_UIC_RO 26 /* READ ONLY UIC                                      */
#define ATR$C_DIRSEQ 27 /* DIRECTORY UPDATE SEQUENCE COUNT                    */
#define ATR$C_BACKLINK 28       /* FILE BACK LINK POINTER                     */
#define ATR$C_JOURNAL 29        /* JOURNAL CONTROL FLAGS                      */
#define ATR$C_HDR1_ACC 30       /* ANSI TAPE HEADER 1 ACCESSIBILITY           */
/*  CHARACTER                                                                 */
#define ATR$C_ADDACLENT 31      /* ADD AN ACCESS CONTROL ENTRY                */
#define ATR$C_DELACLENT 32      /* REMOVE AN ACCESS CONTROL ENTRY             */
#define ATR$C_MODACLENT 33      /* MODIFY AN ACL ENTRY                        */
#define ATR$C_FNDACLENT 34      /* LOCATE AN ACL ENTRY                        */
#define ATR$C_FNDACLTYP 35      /* FIND A SPECIFIC TYPE OF ACE                */
#define ATR$C_DELETEACL 36      /* DELETE THE ENTIRE ACL                      */
#define ATR$C_READACL 37        /* READ THE ENTIRE ACL                        */
#define ATR$C_ACLLENGTH 38      /* RETURN THE LENGTH OF THE ACL               */
#define ATR$C_READACE 39        /* READ A SINGLE ACE                          */
#define ATR$C_RESERVED 40       /* MODIFY RESERVED AREA                       */
#define ATR$C_HIGHWATER 41      /* HIGHWATER MARK (USER READ ONLY)            */
#define ATR$C_DUMMY_0 42        /* *** AVAILABLE CODE                         */
#define ATR$C_PRIVS_USED 43     /* PRIVILEGES USED TO GAIN ACCESS             */
#define ATR$C_MATCHING_ACE 44   /* ACE USED TO GAIN ACCESS (IF ANY)           */
#define ATR$C_ACCESS_MODE 45    /* ACCESS MODE FOR FOLLOWING ATTRIBUTE DESCRIPTORS    */
#define ATR$C_FILE_SPEC 46      /* CONVERT FID TO FILE-SPEC                   */
#define ATR$C_CLASS_MASK 47     /* Non-discretionary classification mask      */
#define ATR$C_BUFFER_OFFSET 48  /* For magnetic tape only length of buffer offset of block in file    */
#define ATR$C_RU_ACTIVE 49      /* Recoverable facility id number (if non-zero, means file has*/
/* active recovery units managed by that facility)                            */
#define ATR$C_GRANT_ACE 50      /* ACE granting access                        */
#define ATR$C_NEXT_ACE 51       /* Increment ACE number                       */
/* All new attributes should be                                               */
/*  added here before MAX_PLUS1                                               */
#define ATR$C_MAX_PLUS1 52      /* Maximum code plus one                      */
#define ATR$C_MAX_CODE 51
#define ATR$C_FNDACETYP 35
/* ATTRIBUTE MAXIMUM LENGTHS                                                  */
#define ATR$S_UCHAR 4   /* 4 BYTE USER FILE CHARACTERISTICS                   */
#define ATR$S_RECATTR 32        /* 32 BYTES RECORD ATTRIBUTES                 */
#define ATR$S_FILNAM 6  /* 6 BYTE RAD-50 FILE NAME                            */
#define ATR$S_FILTYP 2  /* 2 BYTE RAD-50 FILE TYPE                            */
#define ATR$S_FILVER 2  /* 2 BYTE BINARY FILE VERSION                         */
#define ATR$S_EXPDAT 7  /* 7 BYTE ASCII EXPIRATION DATE                       */
#define ATR$S_STATBLK 32        /* 32 BYTE STATISTICS BLOCK                   */
#define ATR$S_HEADER 512        /* 512 BYTE FILE HEADER                       */
#define ATR$S_BLOCKSIZE 2       /* MAGTAPE BLOCK SIZE                         */
#define ATR$S_USERLABEL 80      /* USER FILE LABEL                            */
#define ATR$S_ASCDATES 35       /* REVISION COUNT THRU EXP DATE IN ASCII      */
#define ATR$S_ALCONTROL 14      /* COMPATIBILITY MODE ALLOCATION DATA         */
#define ATR$S_ENDLBLAST 4       /* END OF MAGTAPE LABEL PROCESSING AND SUPPLY AST CONTROL BLOCK       */
#define ATR$S_ASCNAME 86        /* FILE NAME, TYPE & VERSION IN ASCII         */
#define ATR$S_CREDATE 8 /* 64 BIT CREATION DATE                               */
#define ATR$S_REVDATE 8 /* 64 BIT REVISION DATE                               */
#define ATR$S_EXPDATE 8 /* 64 BIT EXPIRATION DATE                             */
#define ATR$S_BAKDATE 8 /* 64 BIT BACKUP DATE                                 */
#define ATR$S_UIC 4     /* 4 BYTE FILE OWNER UIC                              */
#define ATR$S_FPRO 2    /* 2 BYTE FILE PROTECTION                             */
#define ATR$S_RPRO 2    /* 2 BYTE RECORD PROTECTION                           */
#define ATR$S_ACLEVEL 1 /* 1 BYTE FILE ACCESS LEVEL                           */
#define ATR$S_SEMASK 8  /* FILE SECURITY MASK AND LIMIT                       */
#define ATR$S_UIC_RO 4  /* READ ONLY UIC                                      */
#define ATR$S_DIRSEQ 2  /* DIRECTORY UPDATE SEQUENCE COUNT                    */
#define ATR$S_BACKLINK 6        /* FILE BACK LINK POINTER                     */
#define ATR$S_JOURNAL 1 /* JOURNAL CONTROL FLAGS                              */
#define ATR$S_HDR1_ACC 1        /* ANSI TAPE HEADER 1 ACCESSIBILITY           */
/*  CHARACTER                                                                 */
#define ATR$S_ADDACLENT 255     /* ADD AN ACCESS CONTROL ENTRY                */
#define ATR$S_DELACLENT 255     /* REMOVE AN ACCESS CONTROL ENTRY             */
#define ATR$S_MODACLENT 255     /* MODIFY AN ACL ENTRY                        */
#define ATR$S_FNDACLENT 255     /* LOCATE AN ACL ENTRY                        */
#define ATR$S_FNDACLTYP 255     /* FIND A SPECIFIC TYPE OF ACE                */
#define ATR$S_FNDACETYP 255     /* FIND A SPECIFIC TYPE OF ACE                */
#define ATR$S_DELETEACL 255     /* DELETE THE ENTIRE ACL                      */
#define ATR$S_READACL 512       /* READ THE ENTIRE ACL                        */
#define ATR$S_ACLLENGTH 4       /* RETURN THE LENGTH OF THE ACL               */
#define ATR$S_READACE 255       /* READ A SINGLE ACE                          */
#define ATR$S_RESERVED 380      /* MODIFY RESERVED AREA                       */
#define ATR$S_HIGHWATER 4       /* FILE HIGH WATER MARK (USER READ ONLY)      */
#define ATR$S_DUMMY_0 4 /* *** AVAILABLE CODE                                 */
#define ATR$S_PRIVS_USED 4      /* PRIVS USED TO GAIN ACCESS                  */
#define ATR$S_MATCHING_ACE 255  /* ACE USED TO GAIN ACCESS                    */
#define ATR$S_ACCESS_MODE 1     /* ACCESS MODE FOR FOLLOWING ATTRIBUTE DESCRIPTORS    */
#define ATR$S_FILE_SPEC 512     /* CONVERT FID TO FILE-SPEC                   */
#define ATR$S_CLASS_MASK 20     /* Non-discretionary classification mask      */
#define ATR$S_BUFFER_OFFSET 2   /* Buffer offset length field                 */
#define ATR$S_RU_ACTIVE 1       /* Recoverable facility id if RUs active      */
#define ATR$S_GRANT_ACE 255     /* ACE granting access                        */
#define ATR$S_NEXT_ACE 4        /* Increment ACE number                       */
struct atrdef {
    unsigned short int atr$w_size;      /* SIZE OF ATTRIBUTE IN BYTES         */
    unsigned short int atr$w_type;      /* ATTRIBUTE TYPE CODE                */
    unsigned long int atr$l_addr;       /* ADDRESS OF ATTRIBUTE TEXT          */
/* ATTRIBUTE CODES                                                            */
} ;
#endif
