/* Created by SDL V3.1-7     */
/* Source:  8-AUG-1988 10:34:47 EMULEX$DISK:[MEADOWS.UNSDL.VMS5-0_H]STARDEFFL.S */
#ifndef $LPDEF_H
#define $LPDEF_H
 
/*** MODULE $LPDEF ***/
/*+                                                                           */
/* LINE PRINTER CHARACTERISTICS DEFINITIONS                                   */
/*-                                                                           */
#define LP$M_CR 0x00000001
#define LP$M_MECHFORM 0x00000002
#define LP$M_PRINTALL 0x00000004
#define LP$M_DAVFU 0x00000008
#define LP$M_WRAP 0x00000010
#define LP$M_TRUNCATE 0x00000020
#define LP$M_TAB 0x00000040
#define LP$M_LOWER 0x00000080
#define LP$M_PASSALL 0x00000100
#define LP$M_FALLBACK 0x00000200
#define LP$M_SIXELS 0x00000400
#define LP$M_BITMAPPED 0x00000800
#define LP$M_PAGE_L 0xFF000000
#define LP$_LP11 1
#define LP$_LA11 2
#define LP$_LA180 3
union lpdef {
    struct {
        unsigned lp$v_cr : 1;   /* CARRIAGE RETURN NEEDED                     */
        unsigned lp$v_mechform : 1;     /* MECHANICAL FORM FEED               */
        unsigned lp$v_printall : 1;     /* NON PRINTABLE CHAR. ACCEPT(DMF-32) */
        unsigned lp$v_davfu : 1;        /* DAVFU AVAIL.                       */
        unsigned lp$v_wrap : 1; /* CHAR. WRAP MODE                            */
        unsigned lp$v_truncate : 1;     /* TRUNCATE output at carriage width  */
        unsigned lp$v_tab : 1;  /* TAB needed                                 */
        unsigned lp$v_lower : 1;        /* PRINTER HAS LOWER CASE             */
        unsigned lp$v_passall : 1;      /* PASSALL MODE                       */
        unsigned lp$v_fallback : 1;     /* FALLBACK MODE                      */
        unsigned lp$v_sixels : 1;       /* HANDLES SIXELS                     */
        unsigned lp$v_bitmapped : 1;    /* HANDLES BIT MAPS                   */
        unsigned lpdef$$_fill_2 : 12;   /* SPARE UNUSED BITS                  */
        unsigned lp$v_page_l : 8;       /* PAGE LENGTH                        */
        } lp$r_lpdef_bits;
} ;
#endif
