/* Created by SDL V3.1-7     */
/* Source:  8-AUG-1988 10:36:21 EMULEX$DISK:[MEADOWS.UNSDL.VMS5-0_H]STARDEFMP.S */
#ifndef $PR8PSDEF_H
#define $PR8PSDEF_H
 
/*** MODULE $PR8PSDEF ***/
#define PR8PS$M_RXDB_P0AVL 0x00000001
#define PR8PS$M_RXDB_P1AVL 0x00000002
#define PR8PS$M_RXDB_P2AVL 0x00000004
#define PR8PS$M_RXDB_P3AVL 0x00000008
#define PR8PS$M_RXDB_DKEY 0x00000010
#define PR8PS$M_RXDB_VKEY 0x00000020
union pr8psdef {
    struct {    /* Read only SID register                                     */
        unsigned pr8ps$v_sid_serial : 15;       /* Processor Serial Number    */
        unsigned pr8ps$v_sid_cpurev : 7;        /* CPU Revision Level         */
        unsigned pr8ps$v_sid_cpunum : 2;        /* CPU number (0-3)           */
        unsigned pr8ps$v_sid_type : 8;  /* CPU Type Code                      */
        } pr8ps$r_pr8pssid_bits;
/*                                                                            */
/*      Bit definitions for data returned by the GET_CPU_INFO console command */
/*      through the RXDB IPR.                                                 */
/*                                                                            */
    struct {    /*                                                            */
        unsigned pr8ps$v_rxdb_p0avl : 1;        /* Processor 0 avail          */
        unsigned pr8ps$v_rxdb_p1avl : 1;        /* Processor 1 avail          */
        unsigned pr8ps$v_rxdb_p2avl : 1;        /* Processor 2 avail          */
        unsigned pr8ps$v_rxdb_p3avl : 1;        /* Processor 3 avail          */
        unsigned pr8ps$v_rxdb_dkey : 1; /* Diag key                           */
        unsigned pr8ps$v_rxdb_vkey : 1; /* VMS key                            */
        unsigned pr8ps$v_rxdb_primid : 2;       /* Processor num of primary   */
        } pr8ps$r_pr8psrxdb_bits1;
/*                                                                            */
/* Definitions for Polarstar REVR2                                            */
/*                                                                            */
    struct {    /* Read only REVR2 register                                   */
        unsigned pr8ps$v_revr2_pclk : 4;        /* PCLK revision level        */
        unsigned pr8ps$v_revr2_bkpln : 4;       /* Backplane revision         */
        unsigned pr8ps$v_revr2_cnsrv : 8;       /* Console Revision Level     */
        unsigned pr8ps$v_revr2_uwcs : 8;        /* WCS Revision Level         */
        unsigned pr8ps$v_revr2_ucode : 8;       /* Microcode Revision Level   */
        } pr8ps$r_pr8psrevr2_bits;
} ;
/*                                                                            */
/* Definitions for extended Polarstar commands                                */
/*                                                                            */
#define TXDB$K_BOOT_CPU_0 20    /* 14 - Boot CPU 0                            */
#define TXDB$K_BOOT_CPU_1 21    /* 15 - Boot CPU 1                            */
#define TXDB$K_BOOT_CPU_2 22    /* 16 - Boot CPU 2                            */
#define TXDB$K_BOOT_CPU_3 23    /* 17 - Boot CPU 3                            */
#define TXDB$K_DISAB_CPU_0 24   /* 18 - Disable CPU 0                         */
#define TXDB$K_DISAB_CPU_1 25   /* 19 - Disable CPU 1                         */
#define TXDB$K_DISAB_CPU_2 26   /* 1A - Disable CPU 2                         */
#define TXDB$K_DISAB_CPU_3 27   /* 1B - Disable CPU 3                         */
#define TXDB$K_FNP_CPU_0 28     /* 1C - Force Next Primary to be CPU 0        */
#define TXDB$K_FNP_CPU_1 29     /* 1D - Force Next Primary to be CPU 1        */
#define TXDB$K_FNP_CPU_2 30     /* 1E - Force Next Primary to be CPU 2        */
#define TXDB$K_FNP_CPU_3 31     /* 1F - Force Next Primary to be CPU 3        */
#define TXDB$K_CSA1_INFO 32     /* 20 - Get info on CSA1 [not implemented]    */
#define TXDB$K_CSA2_INFO 33     /* 21 - Get info on CSA2 [not implemented]    */
#define TXDB$K_CSA3_INFO 34     /* 22 - Get info on CSA3                      */
#endif
