/* Created by SDL V3.1-7     */
/* Source:  8-AUG-1988 10:36:21 EMULEX$DISK:[MEADOWS.UNSDL.VMS5-0_H]STARDEFMP.S */
#ifndef $PRCDEF_H
#define $PRCDEF_H
 
/*** MODULE $PRCDEF ***/
/*+                                                                           */
/* $CREPRC STATUS FLAGS AND ITEM CODES                                        */
/*-                                                                           */
#define PRC$M_SSRWAIT 0x00000001
#define PRC$M_SSFEXCU 0x00000002
#define PRC$M_PSWAPM 0x00000004
#define PRC$M_NOACNT 0x00000008
#define PRC$M_BATCH 0x00000010
#define PRC$M_HIBER 0x00000020
#define PRC$M_NOUAF 0x00000040
#define PRC$M_NETWRK 0x00000080
#define PRC$M_DISAWS 0x00000100
#define PRC$M_DETACH 0x00000200
#define PRC$M_INTER 0x00000400
#define PRC$M_IMGDMP 0x00000800
#define PRC$M_CLISPEC 0x00001000
#define PRC$M_NOPASSWORD 0x00002000
#define PRC$M_DEBUG 0x00004000
#define PRC$M_DBGTRU 0x00008000
#define PRC$M_LOGIN 0x00000040
union prcdef {
    struct {
        unsigned prc$v_ssrwait : 1;     /* RESOURCE WAIT DISABLE              */
        unsigned prc$v_ssfexcu : 1;     /* SYSTEM SERVICE FAIL EXCEPTION MODE */
        unsigned prc$v_pswapm : 1;      /* PROCESS SWAP MODE                  */
        unsigned prc$v_noacnt : 1;      /* ACCOUNTING MESSAGE DISABLE         */
        unsigned prc$v_batch : 1;       /* BATCH INDICATOR                    */
        unsigned prc$v_hiber : 1;       /* HIBERNATE BEFORE CALLING INITIAL IMAGE     */
        unsigned prc$v_nouaf : 1;       /* BYPASS LOGIN VERIFICATION FOR DETACHED PROC.       */
        unsigned prc$v_netwrk : 1;      /* NETWORK INDICATOR                  */
        unsigned prc$v_disaws : 1;      /* DISABLE WORKING SET ADJUST         */
        unsigned prc$v_detach : 1;      /* DETACHED PROCESS                   */
        unsigned prc$v_inter : 1;       /* INTERACTIVE INDICATOR              */
        unsigned prc$v_imgdmp : 1;      /* IMAGE DUMP REQUESTED               */
        unsigned prc$v_clispec : 1;     /* PASS CLI SPECIFICATIONS            */
        unsigned prc$v_nopassword : 1;  /* DON'T PROMPT FOR USERNAME AND PASSWORD     */
        unsigned prc$v_debug : 1;       /* /DEBUG desired                     */
        unsigned prc$v_dbgtru : 1;      /* debugger present                   */
        } prc$r_prcdef_bits;
    struct {
        unsigned prc$v_fill_0 : 6;
        unsigned prc$v_login : 1;       /* BYPASS LOGIN VERIFICATION FOR DETACHED PROC.       */
        unsigned prc$v_fill_14 : 1;
        } prc$r_prcdef_obsolete;
} ;
/*+                                                                           */
/*                                                                            */
/* Create Process Item List Data Identifier Definitions                       */
/*                                                                            */
/* **** NOTE ****                                                             */
/*                                                                            */
/*        New items must always be added at the END of the list so that       */
/*        users will not have to relink or reassemble.                        */
/*                                                                            */
/*-                                                                           */
#define PRC$_LISTEND 0  /* End of list (must be first code)                   */
#define PRC$_PGFLCHAR 1 /* Page file characteristics                          */
#define PRC$_PGFLINDEX 2        /* Page file index                            */
#define PRC$_INPUT_ATT 3        /* SYS$INPUT attributes                       */
#define PRC$_OUTPUT_ATT 4       /* SYS$OUTPUT attributes                      */
#define PRC$_ERROR_ATT 5        /* SYS$ERROR attributes                       */
#endif
