/* Created by SDL V3.1-7     */
/* Source:  8-AUG-1988 10:36:21 EMULEX$DISK:[MEADOWS.UNSDL.VMS5-0_H]STARDEFMP.S */
#ifndef $PRVDEF_H
#define $PRVDEF_H
 
/*** MODULE $PRVDEF ***/
/*+                                                                           */
/* PRIVILEGE BIT DEFINITIONS                                                  */
/*                                                                            */
/*      Note that any privileges added here must also be reflected in the     */
/*      modules [VMSLIB.SRC]SETPRIV.MAR, [CLIUTL.SRC]SHOWPROC.B32,            */
/*      [RTL.SRC]LIBLEXICA.B32, and                                           */
/*      [CLD.SRC]DCLINT.CLD, MCRINT.CLD, MCRSET.CLD, RUN.CLD, and SET.CLD     */
/*      to completely add the new privilege.                                  */
/*                                                                            */
/*-                                                                           */
#define PRV$M_CMKRNL 0x00000001
#define PRV$M_CMEXEC 0x00000002
#define PRV$M_SYSNAM 0x00000004
#define PRV$M_GRPNAM 0x00000008
#define PRV$M_ALLSPOOL 0x00000010
#define PRV$M_DETACH 0x00000020
#define PRV$M_DIAGNOSE 0x00000040
#define PRV$M_LOG_IO 0x00000080
#define PRV$M_GROUP 0x00000100
#define PRV$M_NOACNT 0x00000200
#define PRV$M_PRMCEB 0x00000400
#define PRV$M_PRMMBX 0x00000800
#define PRV$M_PSWAPM 0x00001000
#define PRV$M_SETPRI 0x00002000
#define PRV$M_SETPRV 0x00004000
#define PRV$M_TMPMBX 0x00008000
#define PRV$M_WORLD 0x00010000
#define PRV$M_MOUNT 0x00020000
#define PRV$M_OPER 0x00040000
#define PRV$M_EXQUOTA 0x00080000
#define PRV$M_NETMBX 0x00100000
#define PRV$M_VOLPRO 0x00200000
#define PRV$M_PHY_IO 0x00400000
#define PRV$M_BUGCHK 0x00800000
#define PRV$M_PRMGBL 0x01000000
#define PRV$M_SYSGBL 0x02000000
#define PRV$M_PFNMAP 0x04000000
#define PRV$M_SHMEM 0x08000000
#define PRV$M_SYSPRV 0x10000000
#define PRV$M_BYPASS 0x20000000
#define PRV$M_SYSLCK 0x40000000
#define PRV$M_SHARE 0x80000000
#define PRV$M_ACNT 0x00000200
#define PRV$M_ALTPRI 0x00002000
union prvdef {
    struct {
        unsigned prv$v_cmkrnl : 1;      /* MAY CHANGE MODE TO KERNEL          */
        unsigned prv$v_cmexec : 1;      /* MAY CHANGE MODE TO EXEC            */
/* ***** THE PRECEEDING TWO BITS MUST BE ADJACENT                             */
/* ***** THE FOLLOWING TWO BITS MUST BE ADJACENT                              */
        unsigned prv$v_sysnam : 1;      /* MAY INSERT IN SYSTEM LOGICAL NAME TABLE    */
        unsigned prv$v_grpnam : 1;      /* MAY INSERT IN GROUP LOGICAL NAME TABLE     */
/* ***** THE PRECEEDING TWO BITS MUST BE ADJACENT                             */
        unsigned prv$v_allspool : 1;    /*MAY ALLOCATE SPOOLED DEVICE         */
        unsigned prv$v_detach : 1;      /* MAY CREATE DETACHED PROCESSES      */
        unsigned prv$v_diagnose : 1;    /* MAY DIAGNOSE DEVICES               */
        unsigned prv$v_log_io : 1;      /* MAY DO LOGICAL I/O                 */
        unsigned prv$v_group : 1;       /* MAY AFFECT OTHER PROCESSES IN SAME GROUP   */
        unsigned prv$v_noacnt : 1;      /* MAY SUPPRESS ACCOUNTING MESSAGE    */
        unsigned prv$v_prmceb : 1;      /* MAY CREATE PERMANENT COMMON EVENT CLUSTERS */
        unsigned prv$v_prmmbx : 1;      /* MAY CREATE PERMANENT MAILBOX       */
        unsigned prv$v_pswapm : 1;      /* MAY CHANGE PROCESS SWAP MODE       */
        unsigned prv$v_setpri : 1;      /* MAY SET ANY PRIORITY VALUE         */
        unsigned prv$v_setprv : 1;      /* MAY SET ANY PRIVILEGE BITS         */
        unsigned prv$v_tmpmbx : 1;      /* MAY CREATE TEMPORARY MAILBOX       */
        unsigned prv$v_world : 1;       /* MAY AFFECT OTHER PROCESSES IN THE WORLD    */
        unsigned prv$v_mount : 1;       /* MAY EXECUTE MOUNT ACP FUNCTIONS    */
        unsigned prv$v_oper : 1;        /* OPERATOR PRIVILEGE                 */
        unsigned prv$v_exquota : 1;     /* MAY EXCEED QUOTAS                  */
        unsigned prv$v_netmbx : 1;      /* MAY CREATE NETWORK DEVICE          */
        unsigned prv$v_volpro : 1;      /* MAY OVERRIDE VOLUME PROTECTION     */
        unsigned prv$v_phy_io : 1;      /* MAY DO PHYSICAL I/O                */
        unsigned prv$v_bugchk : 1;      /* MAY MAKE BUG CHECK ERROR LOG ENTRIES       */
        unsigned prv$v_prmgbl : 1;      /* MAY CREATE PERMANENT GLOBAL SECTIONS       */
        unsigned prv$v_sysgbl : 1;      /* MAY CREATE SYSTEM WIDE GLOBAL SECTIONS     */
        unsigned prv$v_pfnmap : 1;      /* MAY MAP TO SECTION BY PFN          */
        unsigned prv$v_shmem : 1;       /* MAY ALLOCATE STRUCTURES IN SHARED MEMORY   */
        unsigned prv$v_sysprv : 1;      /* ELIGIBLE FOR SYSTEM PROTECTION FIELD       */
        unsigned prv$v_bypass : 1;      /* MAY BYPASS UIC BASED PROTECTION    */
        unsigned prv$v_syslck : 1;      /* MAY CREATE SYSTEM WIDE LOCKS       */
        unsigned prv$v_share : 1;       /* MAY ASSIGN CHANNEL TO NON-SHARED DEVICE    */
        unsigned prv$v_upgrade : 1;     /* May upgrade classification         */
        unsigned prv$v_downgrade : 1;   /* May downgrade classification       */
        unsigned prv$v_grpprv : 1;      /* Group access via system protection field   */
        unsigned prv$v_readall : 1;     /* Read access to everything          */
        unsigned prvdef$$_fill_3 : 2;   /* spare 2 bits (used to be TMPJNL/PRMJNL)    */
        unsigned prv$v_security : 1;    /* May perform security functions     */
        unsigned prv$v_fill_15 : 1;
        } prv$r_prvdef_bits0;
/* ***** THE FOLLOWING TWO BITS MUST BE ADJACENT                              */
    struct {
        unsigned prvdef$$_fill_1 : 9;   /* SKIP 9                             */
        unsigned prv$v_acnt : 1;        /* MAY SUPPRESS ACCOUNTING MESSAGES (NOACNT)  */
        unsigned prvdef$$_fill_2 : 3;   /* SKIP 3                             */
        unsigned prv$v_altpri : 1;      /* MAY SET ANY PRIORITY VALE (SETPRI) */
        unsigned prv$v_fill_16 : 2;
        } prv$r_prvdef_bits1;
} ;
#endif
