/* Created by SDL V3.1-7     */
/* Source:  8-AUG-1988 10:09:12 EMULEX$DISK:[MEADOWS.UNSDL.VMS5-0_H]CRF.SDI;1 */
#ifndef CRF_H
#define CRF_H
 
/*** MODULE $CRFDEF ***/
/*                                                                            */
/* CRF$INSRTREF ARGUMENT LIST                                                 */
/*                                                                            */
struct crfdef {
    long int crfdef$$_fill_1;   /* ARGUMENT COUNT                             */
    unsigned long int crf$l_ir_ctltbl;  /* CRF CONTROL TABLE ADR              */
    unsigned long int crf$l_ir_keyadr;  /* KEY ADDRESS                        */
    unsigned long int crf$l_ir_refadr;  /* REFERENCE INDICATOR ADR            */
    unsigned short int crf$w_ir_reflag; /* REFERENCE INDICATOR FLAGS          */
    char crfdef$$_fill_2 [2];   /* UNUSED                                     */
    unsigned char crf$b_ir_defind;      /* DEFINITION INDICATOR               */
    char crfdef$$_fill_3 [3];   /* UNUSED                                     */
/*                                                                            */
/* CRF$INSRTKEY ARGUMENT LIST                                                 */
/*                                                                            */
} ;
struct crfdef1 {
    long int crfdef$$_fill_4;   /* ARGUMENT COUNT                             */
    unsigned long int crf$l_ik_ctltbl;  /* CRF CONTROL TABLE ADR              */
    unsigned long int crf$l_ik_keyadr;  /* ADDRESS OF KEY                     */
    unsigned long int crf$l_ik_valadr;  /* ADDRESS OF VALUE                   */
    unsigned short int crf$w_ik_valflg; /* VALUE FLAGS                        */
    char crfdef$$_fill_5 [2];   /* UNUSED                                     */
/*                                                                            */
/* CRF$OUT ARGUMENT LIST                                                      */
/*                                                                            */
} ;
struct crfdef2 {
    long int crfdef$$_fill_6;   /* ARGUMENT COUNT                             */
    unsigned long int crf$l_ou_ctltbl;  /* CRF CONTROL TABLE ADR              */
    unsigned long int crf$l_ou_linwid;  /* OUTPUT LINE WIDTH                  */
    unsigned char crf$b_ou_pag1;        /* ! LINES/PAGE 1                     */
    char crfdef$$_fill_7 [3];   /* UNUSED                                     */
    unsigned char crf$b_ou_sucpag;      /* ! LINES/SUCCESSIVE PAGES           */
    char crfdef$$_fill_8 [3];   /* UNUSED                                     */
    unsigned char crf$b_ou_prtind;      /* REF PRINT INDICATOR                */
    char crfdef$$_fill_9 [3];   /* UNUSED                                     */
    unsigned char crf$b_ou_savind;      /* SAVE INDICATOR                     */
/*                                                                            */
/* CRF CONTROL TABLE OFFSETS                                                  */
/*                                                                            */
} ;
struct crfdef3 {
    unsigned long int crf$l_hasht;      /* HASH TABLE ADDRESS                 */
    unsigned long int crf$l_lastkey;    /* LAST KEY LOOKED AT ADDRESS         */
    union {
        unsigned char crf$b_keytype;    /* TYPE OF KEY IN TABLE               */
        struct {
            unsigned crf$v_binary : 1;  /* 1 = KEY IS BINARY 0 = ASCII        */
            unsigned crf$v_fill_0 : 7;
            } crf$r_keytype_bits;
        } crf$r_keytype_overlay;
    unsigned char crf$b_flags;  /* MISC. FLAGS FOR FUTURE EXPANSION           */
    unsigned short int crf$w_errsts;    /* SECONDARY ERROR STATUS CODE        */
    unsigned long int crf$l_entries;    /* NUMBER OF ENTRIES IN CROSS REFERENCE       */
    unsigned long int crf$l_dynmem [2]; /* LISTHEAD OF DYNAMIC MEMORY         */
    unsigned long int crf$l_maxblk;     /* SIZE (IN BYTES) OF BLOCK TO ALLOCATE       */
    unsigned long int crf$l_memexp;     /* SIZE (IN PAGES) OF BLOCK TO ALLOCATE       */
    long int crfdef$$_fill_10 [8];      /* SPARES                             */
    unsigned long int crf$l_error;      /* ERROR ROUTINE ADDRESS              */
    unsigned long int crf$l_output;     /* OUTPUT ROUTINE ADDRESS             */
    unsigned long int crf$l_k1fmtbl;    /* KEY1 FIELD FORMAT TBL ADR          */
    unsigned long int crf$l_k2fmtbl;    /* KEY2 FIELD FORMAT TBL ADR          */
    unsigned long int crf$l_v1fmtbl;    /* VAL1 FIELD FORMAT TBL ADR          */
    unsigned long int crf$l_v2fmtbl;    /* VAL2 FIELD FORMAT TBL ADR          */
    unsigned long int crf$l_r1fmtbl;    /* REF1 FIELD FORMAT TBL ADR          */
    unsigned long int crf$l_r2fmtbl;    /* REF2 FIELD FORMAT TBL ADR          */
} ;
#endif
