/* Created by SDL V3.1-7     */
/* Source:  8-AUG-1988 10:09:38 EMULEX$DISK:[MEADOWS.UNSDL.VMS5-0_H]DSTDEF.SDI; */
#ifndef DSTDEF_H
#define DSTDEF_H
 
/*** MODULE $DSTDEF ***/
/* Use a K to indicate constant                                               */
#define DST$K_LOCOMMAND 0       /* Low value for range checking               */
#define DST$K_STA_R00 0 /* Stack contents of R0                               */
#define DST$K_STA_R01 1 /* Stack contents of R1                               */
#define DST$K_STA_R02 2 /* Stack contents of R2                               */
#define DST$K_STA_R03 3 /* Stack contents of R3                               */
#define DST$K_STA_R04 4 /* Stack contents of R4                               */
#define DST$K_STA_R05 5 /* Stack contents of R5                               */
#define DST$K_STA_R06 6 /* Stack contents of R6                               */
#define DST$K_STA_R07 7 /* Stack contents of R7                               */
#define DST$K_STA_R08 8 /* Stack contents of R8                               */
#define DST$K_STA_R09 9 /* Stack contents of R9                               */
#define DST$K_STA_R10 10        /* Stack contents of R10                      */
#define DST$K_STA_R11 11        /* Stack contents of R11                      */
#define DST$K_STA_R12 12        /* Stack contents of R12 (AP)                 */
#define DST$K_STA_R13 13        /* Stack contents of R13 (FP)                 */
#define DST$K_STA_R14 14        /* Stack contents of R14 (SP)                 */
#define DST$K_STA_R15 15        /* Stack contents of R15 (PC)                 */
#define DST$K_STA_IMM_B 16      /* Stack contents of byte operand             */
/*    sign extending to longword                                              */
#define DST$K_STA_IMM_W 17      /* Stack contents of word operand             */
/*    sign extending to longword                                              */
#define DST$K_STA_IMM_L 18      /* Stack contents of longword operand         */
#define DST$K_OPR_ADD 19        /* Pop two operands, add ,                    */
/*    stack longword result                                                   */
#define DST$K_STA_REP_B 20      /* Pop top item and stack sign extended       */
/*    byte at that address                                                    */
#define DST$K_STA_REP_W 21      /* Pop top item and stack sign extended       */
/*    word at that address                                                    */
#define DST$K_STA_REP_L 22      /* Pop top item and stack longword at         */
/*    that address                                                            */
#define DST$K_OPR_STOP 23       /* Terminate command string. Longword         */
/*    at top of stack contains address                                        */
/*    of data item.                                                           */
#define DST$K_HICOMMAND 23      /* Hi value for range checking                */
#endif
