/* Created by SDL V3.1-7     */
/* Source:  8-AUG-1988 10:12:11 EMULEX$DISK:[MEADOWS.UNSDL.VMS5-0_H]LBRUSR.SDI; */
#ifndef LBRUSR_H
#define LBRUSR_H
 
/*** MODULE $LBRCTLTBL ***/
#define LBR$C_CTLTBLID 203      /* Ident for control table                    */
#define LBR$M_LOCATE 0x00000001
#define LBR$M_OPEN 0x00000002
#define LBR$K_LENGTH 30
#define LBR$C_LENGTH 30
struct lbrctltbl {
    unsigned char lbr$b_id;     /* Control table ID                           */
    unsigned char lbr$b_tblsiz; /* Control table size                         */
    unsigned char lbr$b_type;   /* Type of library opened                     */
    unsigned char lbr$b_func;   /* Operation (function) requested             */
    char lbrctltbl$$_fill_1 [2];        /* Reserved extra bytes               */
    union {
        unsigned long int lbr$l_usrflg; /* Flags longword                     */
        struct {
            unsigned lbr$v_locate : 1;  /* Use "locate" rather than "move" mode       */
            unsigned lbr$v_open : 1;    /* Library open                       */
            unsigned lbr$v_fill_0 : 6;
            } lbr$r_usrflg_bits;
        } lbr$r_usrflg_overlay;
    unsigned long int lbr$l_hdrptr;     /* Pointer to in-core header          */
    unsigned long int lbr$l_ctxptr;     /* Pointer to context control block   */
    unsigned long int lbr$l_curidx;     /* Number of current index            */
    unsigned long int lbr$l_usrnam;     /* Pointer to user NAM block          */
    unsigned long int lbr$l_oldhdrptr;  /* Pointer to unmodified in-core header block */
} ;
 
/*** MODULE $MHDDEF ***/
/*                                                                            */
/* Module header                                                              */
/*                                                                            */
#define MHD$C_MHDID 173 /* Value that must be in the ident                    */
#define MHD$K_REFLNG 8  /* Length of record to end of ref count               */
#define MHD$C_REFLNG 8  /* Length of record to end of ref count               */
#define MHD$K_INSTIME 8 /* Label for start of insert time                     */
#define MHD$C_INSTIME 8 /* Label for start of insert time                     */
#define MHD$K_USRDAT 16 /* Start of user additional header data               */
#define MHD$C_USRDAT 16 /* Start of user additional header data               */
#define MHD$K_MHDLEN 16 /* Length of fixed part of MHD                        */
#define MHD$C_MHDLEN 16 /* Length of fixed part of MHD                        */
#define MHD$M_SELSRC 0x00000001
#define MHD$M_OBJTIR 0x00000002
#define MHD$K_OBJIDENT 18       /*                                            */
#define MHD$C_OBJIDENT 18       /*                                            */
struct mhddef {
    unsigned char mhd$b_lbrflag;        /* Librarian-controlled flag byte     */
    unsigned char mhd$b_id;     /* Ident                                      */
    short int mhddef$$_fill_1;  /* Reserved word                              */
    unsigned long int mhd$l_refcnt;     /* Reference count                    */
    unsigned long int mhd$l_datim;      /* Date/time inserted                 */
    union {
        long int mhddef$$_fill_2;       /* ...                                */
        struct {
            char mhddef$$_fill_3 [4];
            char mhd$b_usrdat [];       /* Start of user additional header data       */
            } mhd$r_fill_2_fields;
        } mhd$r_fill_2_overlay;
    union {
        unsigned char mhd$b_objstat;    /* Status of object module            */
        struct {
            unsigned mhd$v_selsrc : 1;  /* Selective search                   */
            unsigned mhd$v_objtir : 1;  /* Module contains TIR records        */
            unsigned mhd$v_fill_1 : 6;
            } mhd$r_objstat_bits;
        } mhd$r_objstat_overlay;
    union {
        unsigned char mhd$b_objidlng;   /* Length of ident                    */
        struct {
            char mhddef$$_fill_4;
            char mhd$t_objident [];     /* Object module ident                */
            } mhd$r_objidlng_fields;
        } mhd$r_objidlng_overlay;
} ;
 
/*** MODULE $HLPDEF ***/
/*                                                                            */
/* Data structures for help processing                                        */
/*                                                                            */
#define HLP$M_PROMPT 0x00000001
#define HLP$M_PROCESS 0x00000002
#define HLP$M_GROUP 0x00000004
#define HLP$M_SYSTEM 0x00000008
#define HLP$M_LIBLIST 0x00000010
#define HLP$M_HELP 0x00000020
#define HLP$M_SPARE1 0x00000040
#define HLP$M_SPARE2 0x00000080
#define HLP$M_PAGE 0x00000100
#define HLP$M_OUTPUT 0x00000200
#define HLP$M_LIBRARY 0x00000400
#define HLP$M_ALL 0x00000800
#define HLP$M_PAGEDEF 0x00001000
#define HLP$M_PMPTDEF 0x00002000
#define HLP$M_NOTTERM 0x00004000
union hlpdef {
    struct {
        unsigned hlp$v_prompt : 1;      /* Prompting enabled                  */
        unsigned hlp$v_process : 1;     /* Process logical name table searches enabled        */
        unsigned hlp$v_group : 1;       /* Group logical name table searches enabled  */
        unsigned hlp$v_system : 1;      /* System logical name table searched enabled */
        unsigned hlp$v_liblist : 1;     /* Output list of default libraries   */
        unsigned hlp$v_help : 1;        /* Display help on help before list of topics */
        unsigned hlp$v_spare1 : 1;
        unsigned hlp$v_spare2 : 1;
        unsigned hlp$v_page : 1;        /* Page breaks enabled                */
        unsigned hlp$v_output : 1;      /* Output listing file enabled        */
        unsigned hlp$v_library : 1;     /* Main library specified by user     */
        unsigned hlp$v_all : 1; /* Some logical name table searches enabled   */
        unsigned hlp$v_pagedef : 1;     /* Page flag defaulting disabled      */
        unsigned hlp$v_pmptdef : 1;     /* Prompt flag defaulting disabled    */
        unsigned hlp$v_notterm : 1;     /* Input device is not a terminal     */
        unsigned hlp$v_fill_2 : 1;
        } hlp$r_hlpdef_bits;
} ;
#define HLP$M_NOHLPTXT 0x00000001
#define HLP$M_KEYNAMLIN 0x00000002
#define HLP$M_OTHERINFO 0x00000004
struct hlpdef1 {
    unsigned long int hlp$l_desc;       /* Address of string descriptor for line      */
    union {
        unsigned long int hlp$l_flags;  /* Flags                              */
        struct {
            unsigned hlp$v_nohlptxt : 1;        /* Line is part of text due to no help found  */
            unsigned hlp$v_keynamlin : 1;       /* Line contains keynames to be printed       */
            unsigned hlp$v_otherinfo : 1;       /* Line is part of "other info available"     */
            unsigned hlp$v_fill_3 : 5;
            } hlp$r_flags_bits;
        } hlp$r_flags_overlay;
    unsigned long int hlp$l_data;       /* Address of user data passed to GET_HELP    */
    unsigned long int hlp$l_level;      /* Level of this help                 */
} ;
 
/*** MODULE $LBRDEF ***/
/*                                                                            */
/* Types of libraries                                                         */
/*                                                                            */
/* Define the library types                                                   */
#define LBR$C_TYP_UNK 0 /* Unknown/unspecified library type                   */
#define LBR$C_TYP_OBJ 1 /* Object/shareable image library                     */
#define LBR$C_TYP_MLB 2 /* Macro library                                      */
#define LBR$C_TYP_HLP 3 /* Help file library                                  */
#define LBR$C_TYP_TXT 4 /* TEXT library                                       */
#define LBR$C_TYP_SHSTB 5       /* Shareable image symbol library             */
#define LBR$C_TYP_NCS 6 /* NCS library                                        */
#define LBR$C_TYP_DECMX 6       /* Maximum Digital library type defined       */
#define LBR$C_TYP_RDEC 127      /* Types between DECMX and RDEC are           */
/*   reserved to Digital                                                      */
#define LBR$C_TYP_USRLW 128     /* User library types range from 128          */
#define LBR$C_TYP_USRHI 255     /* to 255.                                    */
/*                                                                            */
/* Function codes for lbr$flush                                               */
/*                                                                            */
#define LBR$C_FLUSHDATA 1       /* Flush data blocks from cache               */
#define LBR$C_FLUSHALL 0        /* Flush data blocks, then index blocks       */
/*                                                                            */
/* Librarian fixed parameters                                                 */
/*                                                                            */
#define LBR$C_MAXRECSIZ 2048    /* Maximum record size allowed                */
#define LBR$C_PAGESIZE 512      /* Size of memory page                        */
#define LBR$C_HASHSIZE 512      /* Size of hash table ** Must be power of 2 **        */
#define LBR$C_TEXTPAGE 508      /* No. of useable bytes on a text page        */
#define LBR$C_DEXTQ 50  /* Library default extend quantity                    */
#define LBR$C_MAXCTL 16 /* Maximum number of open libraries                   */
#define LBR$C_MAXHDRSIZ 128     /* Maximum length of module header            */
/*  (max user length is:                                                      */
/*   lbr$c_maxhdrsiz-mhd$c_length)                                            */
#define LBR$C_DEFENTALL 300     /* Number of entries to allocate by default   */
#define LBR$C_RETRYOPEN 120     /* Number of times to retry open on RMS$_FLK  */
#define LBR$C_RETRYWAIT 1       /* Number of seconds to wait                  */
#define LBR$C_MINREAD 2 /* Minimum number of blocks to read                   */
#define LBR$C_MAXREAD 50        /* Max blocks can ever read                   */
#define LBR$C_MEMXTRA 50        /* Number blocks to expand region by above and beyond lbr$gl_maxread  */
#define LBR$C_PUTBUFSIZ 30      /* Block size of VM empty cache buffer        */
#define LBR$C_FLSHBFSIZ 1       /* Block size of stack mt_cache buffer        */
#define LBR$C_MAXIDXRD 20       /* Maximum blocks in one index read           */
#define LBR$C_MAXKEYLEN 128     /* Maximum length of an ASCII keyword, at most N, where       */
/* 3*(N+7) < or = 506                                                         */
#define LBR$C_MAXLUHREC 32768   /* maximum library update history record length       */
/*                                                                            */
/* LBR$INI_CONTROL argument list                                              */
/*                                                                            */
#define LBR$C_CREATE 0  /* Create a new library                               */
#define LBR$C_READ 1    /* Read an existing library                           */
#define LBR$C_UPDATE 2  /* Update an exisiting library                        */
#define LBR$C_MAXFUNC 2 /* Maximum legal function                             */
struct lbrdef {
    long int lbrdef$$_fill_1;   /* Argument count                             */
    unsigned long int lbr$l_ic_ctltbl;  /* Control index address              */
    unsigned long int lbr$l_ic_func;    /* Function                           */
    unsigned long int lbr$l_ic_type;    /* Type of library expected to open   */
/*                                                                            */
/* LBR$OPEN argument list                                                     */
/*                                                                            */
} ;
struct lbrdef1 {
    long int lbrdef$$_fill_2;   /* Argument count                             */
    unsigned long int lbr$l_op_ctltbl;  /* Control index address              */
    unsigned long int lbr$l_op_fns;     /* Address of string descriptor for filename  */
    unsigned long int lbr$l_op_creopt;  /* Address of create options array    */
    unsigned long int lbr$l_op_dns;     /* Address of descriptor for default name string      */
    unsigned long int lbr$l_op_rlfna;   /* Address of NAM block for related file      */
    unsigned long int lbr$l_op_rns;     /* Address of descriptor for related filename string  */
    unsigned long int lbr$l_op_rnslen;  /* Address of longword to store resultant filename string length      */
/*                                                                            */
/* LBR$CLOSE argument list                                                    */
/*                                                                            */
} ;
struct lbrdef2 {
    long int lbrdef$$_fill_3;   /* Argument count                             */
    unsigned long int lbr$l_cl_ctltbl;  /* Control index address              */
/*                                                                            */
/* LBR$GET_HEADER argument list                                               */
/*                                                                            */
} ;
struct lbrdef3 {
    long int lbrdef$$_fill_4;   /* Argument count                             */
    unsigned long int lbr$l_gh_ctltbl;  /* Address of Control index           */
    unsigned long int lbr$l_gh_retary;  /* Address of 128-longword array for return info      */
/*                                                                            */
/* LBR$SET_INDEX argument list                                                */
/*                                                                            */
} ;
struct lbrdef4 {
    long int lbrdef$$_fill_5;   /* Argument count                             */
    unsigned long int lbr$l_si_ctltbl;  /* Control index address              */
    unsigned long int lbr$l_si_idxnum;  /* Address of index number            */
/*                                                                            */
/* LBR$LOOKUP_KEY argument list                                               */
/*                                                                            */
} ;
struct lbrdef5 {
    long int lbrdef$$_fill_6;   /* Argument count                             */
    unsigned long int lbr$l_lk_ctltbl;  /* Control index address              */
    unsigned long int lbr$l_lk_keynam;  /* Address of string descriptor or binary value       */
    unsigned long int lbr$l_lk_txtrfa;  /* Address of quadword to return RFA if found */
/*                                                                            */
/* LBR$INSERT_KEY argument list                                               */
/*                                                                            */
} ;
struct lbrdef6 {
    long int lbrdef$$_fill_7;   /* Argument count                             */
    unsigned long int lbr$l_ik_ctltbl;  /* Control index address              */
    unsigned long int lbr$l_ik_keynam;  /* Address of string descriptor or binary value       */
    unsigned long int lbr$l_ik_txtrfa;  /* Address of RFA of text             */
/*                                                                            */
/* LBR$REPLACE_MOD argument list                                              */
/*                                                                            */
/*        F        ,L,1                        /* Argument count              */
/*        F        RM_CTLTBL,L                /* Control index address        */
/*        F        RM_KEYNAM,L                /* Address of string descriptor or binary value */
/*        F        RK_TXTRFA,L                /* RFA of new text              */
/*        P        1                                                          */
/*                                                                            */
/* LBR$REPLACE_KEY argument list                                              */
/*                                                                            */
} ;
struct lbrdef7 {
    long int lbrdef$$_fill_8;   /* Argument count                             */
    unsigned long int lbr$l_rk_ctltbl;  /* Control index address              */
    unsigned long int lbr$l_rk_keynam;  /* Address of string descriptor or binary value       */
    unsigned long int lbr$l_rk_oldrfa;  /* Address of RFA of old text         */
    unsigned long int lbr$l_rk_newrfa;  /* Address of RFA of new text         */
/*                                                                            */
/* LBR$DELETE_KEY argument list                                               */
/*                                                                            */
} ;
struct lbrdef8 {
    long int lbrdef$$_fill_9;   /* Argument count                             */
    unsigned long int lbr$l_dk_ctltbl;  /* Control index address              */
    unsigned long int lbr$l_dk_keynam;  /* Address of string descriptor or binary value       */
/*                                                                            */
/* LBR$DELETE_DATA argument list                                              */
/*                                                                            */
} ;
struct lbrdef9 {
    long int lbrdef$$_fill_10;  /* Argument count                             */
    unsigned long int lbr$l_dd_ctltbl;  /* Control index address              */
    unsigned long int lbr$l_dd_txtrfa;  /* Address of RFA to delete from      */
/*                                                                            */
/* LBR$GET_RECORD argument list                                               */
/*                                                                            */
} ;
struct lbrdef10 {
    long int lbrdef$$_fill_11;  /* Argument count                             */
    unsigned long int lbr$l_gr_ctltbl;  /* Control index address              */
    unsigned long int lbr$l_gr_bufdes;  /* Address of descriptor of buffer    */
    unsigned long int lbr$l_gr_buflen;  /* Address of longword to return record size  */
/*                                                                            */
/* LBR$PUT_RECORD argument list                                               */
/*                                                                            */
} ;
struct lbrdef11 {
    long int lbrdef$$_fill_12;  /* Argument count                             */
    unsigned long int lbr$l_pr_ctltbl;  /* Control index address              */
    unsigned long int lbr$l_pr_bufdes;  /* Address of descriptor of buffer to output  */
    unsigned long int lbr$l_pr_txtrfa;  /* Address of quadword to return RFA  */
/*  of text record                                                            */
/*                                                                            */
/* LBR$PUT_END argument list                                                  */
/*                                                                            */
} ;
struct lbrdef12 {
    long int lbrdef$$_fill_13;  /* Argument count                             */
    unsigned long int lbr$l_pe_ctltbl;  /* Control index address              */
/*                                                                            */
/* LBR$SEARCH argument list                                                   */
/*                                                                            */
} ;
struct lbrdef13 {
    long int lbrdef$$_fill_14;  /* Argument count                             */
    unsigned long int lbr$l_sr_ctltbl;  /* Control index address              */
    unsigned long int lbr$l_sr_idxnum;  /* Address of index number            */
    unsigned long int lbr$l_sr_rfa;     /* Address of RFA to search index for */
    unsigned long int lbr$l_sr_usrtn;   /* User routine to call on match      */
/*                                                                            */
/* Argument list for user routine called by LBR$SEARCH                        */
/*                                                                            */
} ;
struct lbrdef14 {
    long int lbrdef$$_fill_15;  /* Argument count                             */
    unsigned long int lbr$l_su_keydes;  /* Address of string descriptor or binary value       */
    unsigned long int lbr$l_su_txtrfa;  /* Address of array containing rfa of module  */
/*                                                                            */
/* LBR$GET_INDEX argument list                                                */
/*                                                                            */
} ;
struct lbrdef15 {
    long int lbrdef$$_fill_16;  /* Argument count                             */
    unsigned long int lbr$l_gi_ctltbl;  /* Control index address              */
    unsigned long int lbr$l_gi_idxnum;  /* Index number                       */
    unsigned long int lbr$l_gi_usrtn;   /* User routine to call for each entry        */
/*                                                                            */
/* Argument list for user routine called by LBR$GET_INDEX                     */
/*                                                                            */
} ;
struct lbrdef16 {
    long int lbrdef$$_fill_17;  /* Argument count                             */
    unsigned long int lbr$l_gu_keyadr;  /* Address of descriptor or binary value      */
    unsigned long int lbr$l_gu_txtrfa;  /* RFA of associated text             */
/*                                                                            */
/* LBR$ADD_UPDATE argument list                                               */
/*                                                                            */
} ;
#define LBR$C_ADDMOD 1  /* Add module                                         */
#define LBR$C_DELMOD 2  /* Delete module                                      */
#define LBR$C_REPMOD 3  /* Replace module                                     */
/*                                                                            */
struct lbrdef17 {
    long int lbrdef$$_fill_18;  /* Argument count                             */
    unsigned long int lbr$l_au_ctltbl;  /* Control index address              */
    unsigned long int lbr$l_au_flags;   /* Flags                              */
    unsigned long int lbr$l_au_keynam;  /* Address of string descriptor or binary value       */
/* Types of operations logged                                                 */
/* LBR$GET_UPDATES argument list                                              */
/*                                                                            */
} ;
struct lbrdef18 {
    long int lbrdef$$_fill_19;  /* Argument count                             */
    unsigned long int lbr$l_gu_ctltbl;  /* Control index address              */
    unsigned long int lbr$l_gu_usrtn;   /* User routine to call for each update       */
/*                                                                            */
/* Argument list for user routine called by LBR$GET_UPDATES                   */
/*                                                                            */
} ;
struct lbrdef19 {
    long int lbrdef$$_fill_20;  /* Argument list                              */
    unsigned long int lbr$l_uu_updesc;  /* String descriptor for history line */
} ;
 
/*** MODULE $LHIDEF ***/
/*                                                                            */
/* Library header information array offsets                                   */
/*                                                                            */
struct lhidef {
    unsigned long int lhi$l_type;       /* Library type                       */
    unsigned long int lhi$l_nindex;     /* Number of indices                  */
    unsigned long int lhi$l_majorid;    /* Library format major id            */
    unsigned long int lhi$l_minorid;    /* Library format minor id            */
    char lhi$t_lbrver [32];     /* ASCIC version of librarian that created    */
    unsigned long int lhi$l_credat;     /* Creation date/time                 */
    long int lhidef$$_fill_1;   /* ...                                        */
    unsigned long int lhi$l_updtim;     /* Date/time of last update           */
    long int lhidef$$_fill_2;   /* ...                                        */
    unsigned long int lhi$l_updhis;     /* VBN of start of update history     */
    unsigned long int lhi$l_freevbn;    /* 1st logically deleted block        */
    unsigned long int lhi$l_freeblk;    /* Number of deleted blocks           */
    unsigned char lhi$b_nextrfa [6];    /* RFA of end of library              */
    unsigned short int lhi$w_rfaxtr;    /* Spare word, zeroed                 */
    unsigned long int lhi$l_nextvbn;    /* Next VBN to allocate at end of file        */
    unsigned long int lhi$l_freidxblk;  /* Number of free pre-allocated index blocks  */
    unsigned long int lhi$l_freeidx;    /* Listhead for pre-allocated index blocks    */
    unsigned long int lhi$l_hipreal;    /* VBN of highest pre-allocated block */
    unsigned long int lhi$l_idxblks;    /* Number of index blocks in use      */
    unsigned long int lhi$l_idxcnt;     /* Number of index entries (total)    */
    unsigned long int lhi$l_modcnt;     /* Number of entries in index 1 (module names)        */
    unsigned long int lhi$l_mhdusz;     /* Length of user-maintained info in module header    */
    unsigned long int lhi$l_maxluhrec;  /* Maximum number of library update histories records maintained      */
    unsigned long int lhi$l_numluhrec;  /* Number of LUH records in history   */
    unsigned long int lhi$l_libstatus;  /* False if there was an error closing lib    */
} ;
 
/*** MODULE $CREDEF ***/
/*                                                                            */
/* Create options table                                                       */
/*                                                                            */
#define CRE$C_VMSV2 2   /* VMS version V04-000 format                         */
#define CRE$C_VMSV3 3   /* VMS version 3 format                               */
#define CRE$M_NOCASECMP 0x00000001
#define CRE$M_NOCASENTR 0x00000002
#define CRE$M_UPCASNTRY 0x00000004
#define CRE$C_HLPCASING 6       /* Treat upper casing as it is for HELP libs  */
#define CRE$C_OBJCASING 3       /* Treat upper casing as it is for OBJECT libs        */
#define CRE$C_MACTXTCAS 0       /* Treat upper casing as it is for MACRO and TEXT libs        */
#define CRE$K_LENGTH 80 /*                                                    */
#define CRE$C_LENGTH 80 /*                                                    */
struct credef {
    unsigned long int cre$l_type;       /* Type of library                    */
/*  (library types defined in $LBRDEF)                                        */
    unsigned long int cre$l_keylen;     /* Length of keys in library          */
    unsigned long int cre$l_alloc;      /* Initial file allocation            */
    unsigned long int cre$l_idxmax;     /* Maximum number of indices          */
    unsigned long int cre$l_uhdmax;     /* Size of additional module header data      */
    unsigned long int cre$l_entall;     /* Number of index entries to pre-allocate    */
    unsigned long int cre$l_luhmax;     /* Number of library update history records to store  */
    unsigned long int cre$l_vertyp;     /* Version type of library to create  */
    union {
        unsigned long int cre$l_idxopt; /* Index options                      */
        struct {
            unsigned cre$v_nocasecmp : 1;       /* Do not upper case the match key    */
            unsigned cre$v_nocasentr : 1;       /* Do not upper case the index key when comparing with a match key    */
            unsigned cre$v_upcasntry : 1;       /* Upper case the index key when entering it into the library */
            unsigned cre$v_fill_4 : 5;
            } cre$r_idxopt_bits;
        } cre$r_idxopt_overlay;
    long int credef$$_fill_1 [11];      /* Reserved 11 longwords              */
} ;
#endif
