/* Created by SDL V3.1-7     */
/* Source:  8-AUG-1988 10:21:18 EMULEX$DISK:[MEADOWS.UNSDL.VMS5-0_H]OPCDEF.SDI; */
#ifndef OPCDEF_H
#define OPCDEF_H
 
/*** MODULE $OPCDEF ***/
#define OPC$_RQ_TERME 1 /* ENABLE TERMINAL                                    */
#define OPC$_RQ_LOGI 2  /* INITIALIZE THE LOG                                 */
#define OPC$_RQ_RQST 3  /* OPERATOR REQUEST                                   */
#define OPC$_RQ_REPLY 4 /* OPERATOR REPLY                                     */
#define OPC$_RQ_CANCEL 5        /* CANCEL REQUEST                             */
#define OPC$_RQ_STATUS 6        /* REQUEST OPERATOR STATUS                    */
#define OPC$_RQ_SECURITY 7      /* MESSAGE TO SECURITY OPERATOR               */
#define OPC$_RQ_LICENSE 8       /* MESSAGE TO LICENSE OPERATOR                */
#define OPC$M_NM_CENTRL 0x00000001
#define OPC$M_NM_PRINT 0x00000002
#define OPC$M_NM_TAPES 0x00000004
#define OPC$M_NM_DISKS 0x00000008
#define OPC$M_NM_DEVICE 0x00000010
#define OPC$M_NM_CARDS 0x00000020
#define OPC$M_NM_NTWORK 0x00000040
#define OPC$M_NM_CLUSTER 0x00000080
#define OPC$M_NM_SECURITY 0x00000100
#define OPC$M_NM_REPLY 0x00000200
#define OPC$M_NM_SOFTWARE 0x00000400
#define OPC$M_NM_LICENSE 0x00000800
#define OPC$M_NM_OPER1 0x00001000
#define OPC$M_NM_OPER2 0x00002000
#define OPC$M_NM_OPER3 0x00004000
#define OPC$M_NM_OPER4 0x00008000
#define OPC$M_NM_OPER5 0x00010000
#define OPC$M_NM_OPER6 0x00020000
#define OPC$M_NM_OPER7 0x00040000
#define OPC$M_NM_OPER8 0x00080000
#define OPC$M_NM_OPER9 0x00100000
#define OPC$M_NM_OPER10 0x00200000
#define OPC$M_NM_OPER11 0x00400000
#define OPC$M_NM_OPER12 0x00800000
struct opcdef {
    unsigned char opc$b_ms_type;        /* MESSAGE TYPE                       */
    union {
        unsigned char opc$b_ms_target;  /* MESSAGE TARGET                     */
        unsigned char opc$b_ms_enab;    /* MESSAGE ENABLES                    */
        } opc$r_ms_target_overlay;
    unsigned short int opc$w_ms_status; /* MESSAGE STATUS                     */
    union {
        unsigned long int opc$l_ms_rplyid;      /* REPLY ID                   */
        union {
            unsigned long int opc$l_ms_mask;    /* MESSAGE MASK               */
            unsigned long int opc$l_ms_rqstid;  /* REQUEST ID                 */
            } opc$r_ms_mask_overlay;
        } opc$r_ms_rplyid_overlay;
    union {
        unsigned long int opc$l_ms_text;        /* MESSAGE TEXT               */
        struct {
            unsigned short int opc$w_ms_ounit;  /* OPERATOR UNIT NUMBER       */
            char opc$t_ms_oname;        /* OPERATOR NAME                      */
            } opc$r_ms_text_fields;
        } opc$r_ms_text_overlay;
    short int opcdef$$_fill_1 [7];      /* SPACE FOR NAME                     */
    unsigned long int opc$l_ms_otext [32];      /* OPERATOR TEXT              */
    union {
        unsigned long int opc$l_ms_maxsz;       /* MESSAGE MAX SIZE           */
/* OPERATOR MESSAGE TYPES                                                     */
        struct {
            unsigned opc$v_nm_centrl : 1;       /*                            */
            unsigned opc$v_nm_print : 1;
            unsigned opc$v_nm_tapes : 1;
            unsigned opc$v_nm_disks : 1;
            unsigned opc$v_nm_device : 1;
            unsigned opc$v_nm_cards : 1;
            unsigned opc$v_nm_ntwork : 1;
            unsigned opc$v_nm_cluster : 1;
            unsigned opc$v_nm_security : 1;
            unsigned opc$v_nm_reply : 1;
            unsigned opc$v_nm_software : 1;
            unsigned opc$v_nm_license : 1;
            unsigned opc$v_nm_oper1 : 1;
            unsigned opc$v_nm_oper2 : 1;
            unsigned opc$v_nm_oper3 : 1;
            unsigned opc$v_nm_oper4 : 1;
            unsigned opc$v_nm_oper5 : 1;
            unsigned opc$v_nm_oper6 : 1;
            unsigned opc$v_nm_oper7 : 1;
            unsigned opc$v_nm_oper8 : 1;
            unsigned opc$v_nm_oper9 : 1;
            unsigned opc$v_nm_oper10 : 1;
            unsigned opc$v_nm_oper11 : 1;
            unsigned opc$v_nm_oper12 : 1;
            } opc$r_ms_maxsz_bits;
        } opc$r_ms_maxsz_overlay;
} ;
#endif
