/* Created by SDL V3.1-7     */
/* Source:  8-AUG-1988 10:27:50 EMULEX$DISK:[MEADOWS.UNSDL.VMS5-0_H]SCRDEF.SDI; */
#ifndef SCRDEF_H
#define SCRDEF_H
 
/*** MODULE $SCRDEF ***/
/* SCREEN PACKAGE REQUEST TYPES                                               */
#define SCR$C_PUT_SCREEN 0      /* SCR$PUT_SCREEN                             */
#define SCR$C_GET_SCREEN 1      /* SCR$GET_SCREEN                             */
#define SCR$C_ERASE_PAGE 2      /* SCR$ERASE_PAGE                             */
#define SCR$C_ERASE_LINE 3      /* SCR$ERASE_LINE                             */
#define SCR$C_SET_CURSOR 4      /* SCR$SET_CURSOR                             */
#define SCR$C_DOWN_SCROLL 5     /* SCR$DOWN_SCROLL                            */
#define SCR$C_SCREEN_INFO 6     /* SCR$SCREEN_INFO                            */
#define SCR$C_PUT_LINE 7        /* SCR$PUT_LINE                               */
#define SCR$C_MOVE_CURSOR 8     /* SCR$MOVE_CURSOR                            */
#define SCR$C_SET_SCROLL 9      /* SCR$SET_SCROLL                             */
#define SCR$C_UP_SCROLL 10      /* SCR$UP_SCROLL                              */
/*                                                                            */
/*        DEFINE BIT MASKS AND VALUES FOR SCREEN ATTRIBUTES                   */
/*                                                                            */
#define SCR$M_BOLD 0x00000001
#define SCR$M_REVERSE 0x00000002
#define SCR$M_BLINK 0x00000004
#define SCR$M_UNDERLINE 0x00000008
#define SCR$M_NORMAL 0  /*no bits set                                         */
union scrdef {
    struct {
        unsigned scr$v_bold : 1;
        unsigned scr$v_reverse : 1;
        unsigned scr$v_blink : 1;
        unsigned scr$v_underline : 1;
        unsigned scr$v_fill_0 : 4;
        } scr$r_scrdef_bits;
} ;
/*                                                                            */
/*        DEFINE FORMAT OF SCR$SCREEN_INFO RETURN BUFFER                      */
/*                                                                            */
#define SCR$M_SCREEN 0x00000001
#define SCR$M_ANSICRT 0x00000002
#define SCR$M_REGIS 0x00000004
#define SCR$M_BLOCK 0x00000008
#define SCR$M_AVO 0x00000010
#define SCR$M_EDIT 0x00000020
#define SCR$M_DECCRT 0x00000040
#define SCR$K_LENGTH 20 /* LENGTH OF INFO RETURN BUFFER                       */
#define SCR$C_LENGTH 20 /* LENGTH OF INFO RETURN BUFFER                       */
struct scrdef1 {
    union {
        unsigned long int scr$l_flags;  /* FLAGS LONGWORD                     */
        struct {
            unsigned scr$v_screen : 1;  /* 1 = SCREEN ORIENTED, 0 = SCROLLING */
            unsigned scr$v_ansicrt : 1; /* ANSI TERMINAL                      */
            unsigned scr$v_regis : 1;   /* REGIS TERMINAL                     */
            unsigned scr$v_block : 1;   /* BLOCK MODE TERMINAL                */
            unsigned scr$v_avo : 1;     /* ADVANCED VIDEO TERMINAL            */
            unsigned scr$v_edit : 1;    /* TERMINAL HAS EDIT CAPABILITY       */
            unsigned scr$v_deccrt : 1;  /* TERMINAL IS A DEC CRT              */
            unsigned scr$v_fill_1 : 1;
            } scr$r_flags_bits;
        } scr$r_flags_overlay;
    unsigned short int scr$w_width;     /* WIDTH OF EACH LINE                 */
    unsigned short int scr$w_pagesize;  /* LINES IN SCREEN                    */
    unsigned char scr$b_devtype;        /* DEVICE TYPE (SEE $DCDEF)           */
    char scrdef$$_fill_1 [11];  /* (RESERVED)                                 */
} ;
#endif
