$	ON CONTROL_Y THEN EXIT 1
$	ON ERROR THEN EXIT 1
$	@SYS$INSTRUCTION:Head_Page "Communications"
$	RUN SYS$INSTRUCTION:DISPLAY

This section demonstrates:-

			[7mCommunicating with other Users[m

	BROADCAST   Sending a brief message.
	PHONE	    Holding a telephone-like conversation.
	MAIL	    Sending a message to be read at the recipient's convenience.

			  [7mLinking to other Computers[m

	KERMIT	    General-purpose inter-computer communications utility.
	TEKCOMM	    Special utility to communicate with Tektronix 8001 and 8550
			microprocessor development systems.
	DM2VAX	    Special utility to transfer files to/from DECmate II word-
			processors.
!
@[23HPress [7mRETURN[m to continue...
$	@SYS$INSTRUCTION:Head_Page "Inter-User Communications"
$	RUN SYS$INSTRUCTION:DISPLAY

First,  the BROADCAST utility  allows you to send a short message immediately to
another logged-in user (or yourself, maybe at another terminal).



NOTE: This demonstration  describes  a number of  interactive facilities,  where
      user input is normally required. Here, however, you should respond only to
      the prompt:

	Press [7mRETURN[m to continue...

All other answers will be supplied for you.
!
@[23HPress [7mRETURN[m to continue...
[10H[J
$	WRITE SYS$OUTPUT Delete_head
$	IF Ttype.EQS."ANSI" THEN CALL Do_Command "Send one-line messages" -
		"BROADCAST/USER=''Prc' ""Messages can go to the bottom""" -
		"BROADCAST/SELF/TOP ""or to the top.""", -
		"BROADCAST/SELF/NOBELL ""Ring the bell, or be silent."""
$	IF Ttype.NES."ANSI" THEN CALL Do_Command "Send one-line message" -
		"BROADCAST/USER=''Prc' ""Messages normally ring the bell.""" -
		"BROADCAST/SELF/NOBELL ""But can be quiet."""
$	WAIT 0:00:02
$	Tmp=F$CVTIME(,"ABSOLUTE","DATE")
$	RUN SYS$INSTRUCTION:DISPLAY
[H[JThe PHONE facility enables you to have a telephone-like conversation with one or
more other users.

PHONE simulates  some of the features of a real telephone conversation,  such as
the hold button, conference calls, directories, and even a facsimile facility to
send a file.

Only the simplest use will be demonstrated here.

To PHONE user PETERS, say, you type:

	$ PHONE PETERS

The terminal display is then split into two windows...
!
@[23HPress [7mRETURN[m to continue...
!
[H[J			[7mVAX/VMS Phone Facility[m			'Tmp'
%
Calling PETERS...		(press any key to cancel call and continue.)
-------------------------------------------------------------------------------
				[1m'Prc'[m
[10H-------------------------------------------------------------------------------
[17H-------------------------------------------------------------------------------
[0;0;0;50|[3H[K
[0;0;0;50|[ACalling PETERS...		(press any key to cancel call and continue.)
[0;0;0;50|[3H[K
[0;0;0;50|[ACalling PETERS...		(press any key to cancel call and continue.)
[0;0;0;50|[3H[K
[0;0;0;50|[ACalling PETERS...		(press any key to cancel call and continue.)
[0;0;0;50|[3H[K
[0;0;0;50|[ACalling PETERS...		(press any key to cancel call and continue.)
[0;0;0;50|[3H[K
[18HWhen PETERS answers, by doing:

	$ PHONE ANSWER

at his/her terminal, the system is open for a two-way conversation...
[0;0;3|[3HThat person has answered your call.
[11H				[1mPETERS[m
[18H[J
[0;0;3|[3H[K[6HAnything you type is sent to PETERS.
[0;0;2|And appears in the top window.
[0;0;2|[12HAny replies appear here.
[0;0;2|[8HAnd so on ...
[0;0;2|[13H... and on ...
[0;0;2|[19HThe conversation continues until either user types %HANGUP.
[0;0;2|[14H%HANGUP
[0;0;1|[3HPETERS just hung up the phone.
[0;0;3|[21HYou type %EXIT to exit.
[0;0;3|[9H%
[0;0;1|[2H%EXIT
!
@[23HPress [7mRETURN[m to continue...
!
[H[JBoth BROADCAST and PHONE obviously interrupt what the other person is doing (you
can    SET TERMINAL/NOBROADCAST   to   reject  messages  to  yourself,   or  use
BROADCAST/RECORD to record messages and replay them,  at a more convenient time,
with BROADCAST/LIVE).


If the matter is not urgent, and you do not need to have a conversation, you can
send a MAIL message,  which is equivalent to  writing a letter  -- the recipient
reads, and if necessary answers, it at his/her own convenience.

You can also send MAIL to someone who isn't logged in, in which case he/she will
get a message indicating that there is mail to be read next time they log in.

To send a MAIL message, type the DCL command:-

	$ MAIL

which responds with its prompt:-

MAIL>
!
@[23HPress [7mRETURN[m to continue...
!
[H[JMAIL>
[0;0;1|[21HYou enter  the SEND command,  and  appropriate answers to the "To:", and "Subj:"
prompts.
[0;0;1|[1;6HSEND
[0;0;2|To:
[0;0;1|[2;7HPETERS
[0;0;1|Subj:
[0;0;1|[3;7HMAIL demonstration
[0;0;1|Enter your message below.  Press CTRL/Z when complete, CTRL/C to quit.
[0;0;2|
Then anything you type in this window goes into the MAIL message, which
the user (PETERS here) will receive when he/she reads it.

You can use the normal line editing facilities as you enter the message.
[0;0;3|[19H[JYou finish the message by typing ctrl/Z.
[0;0;2|[10H'EXIT_string'
[0;0;1|[12HMAIL>
[0;0;3|[21HAnother ctrl/Z to the MAIL> prompt exits MAIL.
[0;0;3|[12;7H'EXIT_string'
[0;0;1|[13H$
!
@[23HPress [7mRETURN[m to continue...
!
[H[JPETERS receives a message:

New mail from 'Prc'

and would  read the message  by entering MAIL as before,  and selecting the READ
function...
$	INQUIRE/NOPUN TMP "''EraseL23'Press ''Inverse'RETURN''No_Attr' to continue..."
$	Tmp=F$TIME()
$	RUN SYS$INSTRUCTION:DISPLAY
[H[J$ MAIL
[0;0;2|[3HYou have 1 new message.

MAIL>
[0;0;3|[5;7HREAD
[0;0;3|    #1		'Tmp'					NEWMAIL
From:	'Prc'
To:     PETERS
Subj:   Mail demonstration

Then anything you type in this window goes into the MAIL message, which
the user (PETERS here) will receive when he/she reads it.

You can use the normal line editing facilities as you enter the message.

MAIL>
[0;0;2|[21HYou should [1mDELETE[m messages once you have finished with them.
[0;0;2|[16;7HDELETE
[0;0;1|
MAIL>
[0;0;2|[18;7H'EXIT_string'
!
@[23HPress [7mRETURN[m to continue...
$!
$	@SYS$INSTRUCTION:Head_Page "Inter-Computer Communications"
$	RUN SYS$INSTRUCTION:DISPLAY
)0lqqqqqqqk	lqqqqqqqqqqqqqqqqqqqqqqk
x DISK  x	x      VAX CENTRAL     x
x DRIVE tqqq?VD?qqqqu       PROCESSOR      x
mqqqqqqqj	tqqqqqqqqqqqqqqqqqqqqqqu
		x  TERMINAL INTERFACE  x
		mqqqwqqqqqqqqqqqqqqwqqqj
		    ?RC1?x		   ?CT1?x
		    ?RC2?x		   ?CT2?x
		    ?RC3?x		   ?CT3?x
  lqqqqqqqk   lqqqqqvqqqqk    lqqqqvqqqqqk
  x DISK  x   x  REMOTE  x    x CONTROL  x
  x DRIVE tq?RD?qqu COMPUTER x    x TERMINAL x
  mqqqqqqqj   mqqqqqqqqqqj    mqqqqqqqqqqj
$	GOTO Define_'TType'
$Define_ANSI:
$	Up="^"
$	Down="v"
$	Left="<"
$	Right=">"
$	VB="x"
$	HB="q"
$	GOTO Comm_com
$Define_HP:
$	Up="["
$	Down="_"
$	Left="^"
$	Right="\"
$	VB="."
$	HB=","
$! Patch up the "sticky" attributes areas by putting ^N and ^O at strategic places.
$	TYPE SYS$INPUT
&a7r13C&a16R&a11r21C
&a11r35C

&a9r42C







&a6r78C










&a6r50C










&a17R
$	GOTO Comm_com
$Define_VT52:
$	Up="^"
$	Down="FkG"
$	Left="<"
$	Right="FhG"
$	VB="|"
$	HB="-"
$Comm_com:
$	TYPE SYS$INPUT

KERMIT is a networking utility that enables two computers to communicate through
a pair of back-to-back serial ports. One possible setup appears above.
$	INQUIRE/NOPUN TMP "''EraseL23'Press ''Inverse'RETURN''No_Attr' to continue..."
$	WRITE SYS$OUTPUT Delete_Head,EraseL14
$	Tmp=F$GETJPI("","TERMINAL")
$	IF F$LENGTH(Tmp).EQ.5 THEN Tmp=" "+Tmp
$	RUN SYS$INSTRUCTION:DISPLAY
[JThe control terminal is your login terminal.
[7;30H'Tmp'
[0;0;2|[11;43H/[A/[A/[A/[A/[A/[A/[A
[1;50H)0lqqqqqqqqqqqqqqqqqqqqqqqqqqqqqk
[2;50Hx[29Cx
[3;50Hx[29Cx
[4;50Hx[29Cx
[5;50Hx[29Cx
[6;50Hx[29Cx
[7;50Hx[29Cx
[8;50Hx[29Cx
[9;50Hx[29Cx
[10;50Hx[29Cx
[11;50Hx[29Cx
[12;50Hmqqqqqqqqqqqqqqqqqqqqqqqqqqqqqj
[0;0;3|[17HA second terminal port is connected to the remote computer and ALLOCATEd.
[7;15HTXB10:
[2;51H$ ALLOCATE TXB10:[3;51H$
[0;0;4|[19HKERMIT is started on the VAX...
[3;53HKERMIT
[4;51HVMS Kermit-32 v 3.1.067
[5;51HKermit-32>
[0;0;4|[19;29H, and the communications line specified.
[5;61HSET LINE TXB10:[6;51HKermit-32>
!
@[23HPress [7mRETURN[m to continue...
!
[15H[JThe CONNECT command starts communication to and from the remote computer.
[6;61HCONNECT[7;51H[Connecting to TXB10:][8;51H>
$	WRITE SYS$OUTPUT Def_maths,To_CT1,Blink,Up,No_Attr,To_CT3,Blink,Down,-
			 No_Attr,To_RC1,Blink,Down,No_Attr,To_RC3,Blink,Up,No_Attr,Def_Line
$	RUN SYS$INSTRUCTION:DISPLAY
[17HAnything that would normally appear on the remote computer's terminal appears on
the control terminal instead, and vice-versa.
[8;52HMessage ...[9;51H>
[0;0;2|[9;52HMessage ...[10;51H>
[0;0;4|[20HA  special  control sequence (ctrl ], followed by C,  on the VAX)  is defined to
terminate CONNECT mode and return to the Kermit-32> prompt,  where you can issue
KERMIT commands.
[10;52H^]C[11;51HKermit-32>
$	WRITE SYS$OUTPUT To_CT1,No_Attr,VB,To_CT3,No_Attr,VB,-
			 To_RC1,No_Attr,VB,To_RC3,No_Attr,VB,EraseL19
$	RUN SYS$INSTRUCTION:DISPLAY
@[23HPress [7mRETURN[m to continue...
!
[15H[J)0[2;51H[K[29Cx
[3;51H[K[29Cx
[4;51H[K[29Cx
[5;51H[K[29Cx
[6;51H[K[29Cx
[7;51H[K[29Cx
[8;51H[K[29Cx
[9;51H[K[29Cx
[10;51H[K[29Cx
[11;51H[K[29Cx
$	IF Ttype.EQS."HP" THEN WRITE SYS$OUTPUT -
		"&a1r50C









"
$	RUN SYS$INSTRUCTION:DISPLAY
[2;51HKermit-32>LOG SESSION FILE
[3;51HKermit-32>
[15HYou could  precede the CONNECT command  with a  LOG SESSION filespec  command to
record all this traffic  on a VAX disk file.  This is the  simplest way to get a
text file from the remote computer.

But  if the  remote  computer  also  has KERMIT,  they can  exchange files  more
reliably by sending special packets of data with checksums.
!
@[23HPress [7mRETURN[m to continue...
!
[15H[JTo do this,  you start  the remote  KERMIT in "SERVER"  mode,  issue  the escape
sequence to return to VAX KERMIT command mode, and then use SEND or GET commands
to transfer files.
[3;51HKermit-32>CONNECT
[4;51H[Connecting to TXB10:]
[0;0;1|[5;51H>
[0;0;1|[5;52HKERMIT
[0;0;2|[6;51HKermit-11>
[0;0;3|[6;61HSERVER
[0;0;3|[7;51H^]C[8;51HKermit-32>
[0;0;3|[8;61HSEND FILE.TYP
$	WRITE SYS$OUTPUT Def_Maths,To_VD,Blink,Right,No_Attr,To_RC2,Blink,Down,No_Attr,To_RD,Blink,Left,No_Attr
$	RUN SYS$INSTRUCTION:DISPLAY
[0;0;5|[9;51HKermit-32>GET ANOTHER.TYP
$	WRITE SYS$OUTPUT Def_Maths,To_VD,Blink,Left,No_Attr,To_RC2,Blink,Up,No_Attr,To_RD,Blink,Right,No_Attr
$	RUN SYS$INSTRUCTION:DISPLAY
[0;0;5|[10;51HKermit-32>FINISH
$	WRITE SYS$OUTPUT Def_Line,To_VD,No_Attr,HB,To_RC2,No_Attr,VB,To_RD,No_Attr,HB
$	RUN SYS$INSTRUCTION:DISPLAY
[11;51HKermit-32>
[0;0;1|[11;61H'EXIT_string'
!
@[23HPress [7mRETURN[m to continue...
$	EXIT
$!	
$Do_command: SUBROUTINE ! text command1 [[[[command2] command3] command4]
$	ON CONTROL_Y THEN EXIT 4
$	IF Ttype.EQS."VT52" THEN WAIT 00:00:03
$	WRITE SYS$OUTPUT EraseL05,P1
$	IF P3.EQS."" THEN WRITE SYS$OUTPUT EraseL10,EraseL09,EraseL08,Erasel07,-
		"Execute the command:  ",Inverse,P2,No_Attr
$	IF P3.NES."" THEN WRITE SYS$OUTPUT Erasel07,"Execute the commands:	",Inverse,P2,No_Attr,-
					   Erasel08,"			",Inverse,P3,No_Attr
$	IF P4.NES."" THEN WRITE SYS$OUTPUT Erasel09,"			",Inverse,P4,No_Attr
$	IF P5.NES."" THEN WRITE SYS$OUTPUT Erasel10,"			",Inverse,P5,No_Attr
$	WRITE SYS$OUTPUT EraseL11,"===================="
$	WRITE SYS$OUTPUT Scroll,EraseL12,Erase_rest,Smooth
$	N=2
$Next_command:
$	Command=P'N'
$	IF Command.EQS."" THEN GOTO All_Done
$	ON ERROR THEN CONTINUE
$	DEFINE/USER SYS$INPUT SYS$COMMAND
$	WRITE SYS$OUTPUT "$ ",Command
$	'Command'
$	N=N+1
$	IF N.LT.6 THEN GOTO Next_command
$All_Done:
$	WRITE SYS$OUTPUT No_Scroll,EraseL22,Erase_rest
$	INQUIRE/NOPUN TMP "Press ''Inverse'RETURN''No_Attr' to continue..."
$	WRITE SYS$OUTPUT EraseL23,Jump
$	EXIT 1
$ ENDSUBROUTINE
