$	SET PROCESS/PRIV=(READALL,SHARE)
$	DEFINE SYS$INPUT SYS$COMMAND:
$	DAY = F$CVTIME(P1,,"WEEKDAY")
$	IF P1 .EQS. "" THEN P1 = "TODAY"
$	ON SEVERE_ERROR THEN CONTINUE
$	DELETE 'DAY'.BJL;*
$	ON ERROR THEN CONTINUE
$	ON SEVERE_ERROR THEN GOTO FAILED
$	ERRORS = F$GETDVI("MTA0","ERRCNT")
$	MOUNT MT:/FOREIGN/DENSITY=1600 'DAY' TAPE
$	ON SEVERE_ERROR THEN CONTINUE
$	BACKUP/VERIFY/IGNORE=INTERLOCK/RECORD/SINCE='P1'/JOURNAL='DAY' -
		/EXCLUDE=( [SYSE...]*.*;*, -
			[SYS0.001054]JBCSYSQUE.DAT,	[SYS0.SYSEXE]JBCSYSQUE.DAT, -
			[SYS0.001001]FCSRES.EXE,	[SYS0.SYSLIB]FCSRES.EXE, -
			[SYS0.SYSMGR]MONITOR.DAT,	[SYS0.SYSMGR]SHOWMEM.LOG, -
			[SYS0.SYSMGR]ACCOUNTNG.DAT,	[SYS0.OPERATOR]DAILY.LOG, -
			[SYS0.SYSMGR]OPERATOR.LOG,	[SYS0.OPERATOR]'DAY'.BJL, -
			[SYS0.SYSERR]ERRLOG.SYS, 	[SYS0.OPERATOR]OPERATOR.LOG) -
		/COMMENT="''DAY' backup of DUA0: made at ''F$TIME()'" -
		DUA0:[*...] -
		TAPE:DUA0.BCK/SAVE_SET/REWIND/DENSITY=1600/LABEL='F$EXTRACT(0,F$LOCATE("day",DAY),DAY)'
$!
$	CALL DODISK 'P1' DLA0
$	CALL DODISK 'P1' DLA1
$	CALL DODISK 'P1' DLA2
$	CALL DODISK 'P1' DYA0
$	CALL DODISK 'P1' DYA1
$FAILED:
$	DISMOUNT TAPE
$	ERRORS = F$GETDVI("MTA0:","ERRCNT")-ERRORS
$	WRITE SYS$OUTPUT "''ERRORS' system-detected magtape errors."
$	DEASSIGN SYS$INPUT
$	EXIT
$!
$DODISK: SUBROUTINE ! SINCE_time device
$	IF F$GETDVI(P2,"FOR") .OR. .NOT.F$GETDVI(P2,"MNT") THEN EXIT
$	ON SEVERE_ERROR THEN CONTINUE
$	MOUNT 'P2':/OVERRIDE=ID
$	ON SEVERE_ERROR THEN EXIT
$	BACKUP/VERIFY/IGNORE=INTERLOCK/RECORD/SINCE='P1'/JOURNAL='DAY' -
		'P2':[*...] TAPE:'F$GETDVI(P2,"VOLNAM")'.BCK/SAVE_SET/NOREWIND -
		/DENSITY=1600 -
		/COMMENT="''DAY' backup of ''F$GETDVI(P2,"VOLNAM")' made at ''F$TIME()'"
$	ON SEVERE_ERROR THEN CONTINUE
$	DISMOUNT 'P2':
$	EXIT
$ ENDSUBROUTINE
