	SUBROUTINE SCR_KEYHELP(LOGMODE,LOGKEY,DIRECT)
C
C	The variables passed to KEYHELP define how the keypad
C	is to perform.  They can not be modified by this routine.
C	This routine's sole purpose is to display in bold print
C	how the keypad is defined.
C
C
C	WRITTEN BY  G. LAND  APRIL 2, 1985
C_________________________________________________________________
	INCLUDE '($SMGDEF)'
	LOGICAL*1 LOGMODE,REPEAT,OLDMODE,LOGKEY,OLDKEY
	INTEGER*4 SAVE_ID,OLDBOLD,DIRECT,OLDDIRECT
	INTEGER*2 IKEY
	CHARACTER*10 STEMP
	INCLUDE 'SCREEN.FOR'
C
	IF (TTYPE.EQ.SMG$K_UNKNOWN) RETURN	! Only know about DEC terminals
	REPEAT=.FALSE.
C
C	IF WE HAVEN'T ALREADY CREATED A HELP DISPLAY, DO SO NOW
	IF (HELP_ID.EQ.0) THEN
C	SAVE AND THEN CLEAR SCREEN
C
		CALL SMG$CREATE_VIRTUAL_DISPLAY(24,80,HELP_ID)
C
C	DRAW OUTLINE OF KEYPAD
C
		CALL SMG$DRAW_RECTANGLE(HELP_ID,1,1,21,57)
		CALL SMG$DRAW_LINE(HELP_ID,5,1,5,57)
		CALL SMG$DRAW_LINE(HELP_ID,9,1,9,57)
		CALL SMG$DRAW_LINE(HELP_ID,13,1,13,57)
		ITEMP=57
		IF (TTYPE.NE.SMG$K_VT52) ITEMP=43
		CALL SMG$DRAW_LINE(HELP_ID,17,1,17,ITEMP)
		CALL SMG$DRAW_LINE(HELP_ID,1,15,17,15)
		CALL SMG$DRAW_LINE(HELP_ID,1,29,21,29)
		CALL SMG$DRAW_LINE(HELP_ID,1,43,21,43)
C
		IF (TTYPE.NE.SMG$K_VT52) THEN
C	VT100 FUNCTION KEYS -- ALWAYS ENABLED, THEREFORE ALWAYS BOLD
			CALL SMG$PUT_CHARS(HELP_ID,'PF1',2,3,,
     &							SMG$M_BOLD)
			CALL SMG$PUT_CHARS(HELP_ID,'PF2',2,17,,
     &							SMG$M_BOLD)
			CALL SMG$PUT_CHARS(HELP_ID,'PF3',2,31,,
     &							SMG$M_BOLD)
			CALL SMG$PUT_CHARS(HELP_ID,'PF4',2,45,,
     &							SMG$M_BOLD)
			CALL SMG$PUT_CHARS(HELP_ID,'data fields',23,68)
	ELSE
C	PRINT VT52 ARROW KEYS, SINCE THEY ARE ON THE KEYPAD
			CALL SMG$PUT_CHARS(HELP_ID,'^',2,50)
			CALL SMG$PUT_CHARS(HELP_ID,'|',3,50)
			CALL SMG$PUT_CHARS(HELP_ID,'|',4,50)
			CALL SMG$PUT_CHARS(HELP_ID,'|',6,50)
			CALL SMG$PUT_CHARS(HELP_ID,'|',7,50)
			CALL SMG$PUT_CHARS(HELP_ID,'V',8,50)
			CALL SMG$PUT_CHARS(HELP_ID,'-->',10,49)
			CALL SMG$PUT_CHARS(HELP_ID,'-> 16 chars',12,45)
			CALL SMG$PUT_CHARS(HELP_ID,'<--',14,49)
			CALL SMG$PUT_CHARS(HELP_ID,'<- 16 chars',16,45)
		ENDIF
		CALL SMG$PUT_CHARS(HELP_ID,'Gold',3,6,,
     &					SMG$M_REVERSE.OR.SMG$M_BOLD)
		CALL SMG$PUT_CHARS(HELP_ID,'Help',3,20,,SMG$M_BOLD)
		CALL SMG$PUT_CHARS(HELP_ID,'Toggle',3,33,,SMG$M_BOLD)
		CALL SMG$PUT_CHARS(HELP_ID,'keypad',4,33,,SMG$M_BOLD)
		CALL SMG$PUT_CHARS(HELP_ID,'mode',23,10)
		CALL SMG$PUT_CHARS(HELP_ID,'keypad',23,30)
		CALL SMG$PUT_CHARS(HELP_ID,'Control Characters',2,60)
		CALL SMG$DRAW_LINE(HELP_ID,3,60,3,77)
		CALL SMG$PUT_CHARS(HELP_ID,'BS = Begin field',4,60)
		CALL SMG$PUT_CHARS(HELP_ID,'HT = Find mark',5,60)
		CALL SMG$PUT_CHARS(HELP_ID,'LF = Del prev word',6,60)
		CALL SMG$PUT_CHARS(HELP_ID,'^A = Toggle exch/ins',7,60)
		CALL SMG$PUT_CHARS(HELP_ID,'^B = Back word',8,60)
		CALL SMG$PUT_CHARS(HELP_ID,'^C = Abort',9,60)
		CALL SMG$PUT_CHARS(HELP_ID,'^D = Insert date/',10,60)
		CALL SMG$PUT_CHARS(HELP_ID,'time',,,,SMG$M_REVERSE)
		CALL SMG$PUT_CHARS(HELP_ID,'^E = End field',11,60)
		CALL SMG$PUT_CHARS(HELP_ID,'^L = Set/',12,60)
		CALL SMG$PUT_CHARS(HELP_ID,'clear',,,,SMG$M_REVERSE)
		CALL SMG$PUT_CHARS(HELP_ID,' mark')
		ITEMP=13
		IF (TTYPE.NE.SMG$K_VT52) THEN
			CALL SMG$PUT_CHARS(HELP_ID,'^N = Tog inv disp',
     &							ITEMP,60)
			ITEMP=ITEMP+1
		ENDIF
		CALL SMG$PUT_CHARS(HELP_ID,'^R = Restore values',
     &							ITEMP,60)
		CALL SMG$PUT_CHARS(HELP_ID,'^U = Del to beg fld',
     &							ITEMP+1,60)
		CALL SMG$PUT_CHARS(HELP_ID,'^V = Verify data',
     &							ITEMP+2,60)
		CALL SMG$PUT_CHARS(HELP_ID,'^W = Refresh screen',
     &							ITEMP+3,60)
		CALL SMG$PUT_CHARS(HELP_ID,'^Y = Abort',ITEMP+4,60)
		CALL SMG$PUT_CHARS(HELP_ID,'^Z = Accept data',
     &							ITEMP+5,60)
C	SET INVERSE VALUES TO FORCE STATUS DISPLAY THE FIRST TIME AROUND
		OLDBOLD=.NOT.IBOLD
		OLDDIRECT=-DIRECT
		OLDMODE=.NOT.LOGMODE
		GOTO 10
	ENDIF					! UNCHANGING FIRST-TIME CODE
C
C	IF ALTERNATE KEYPAD WAS SELECTED PRINT NUMERIC KEY DESIGNATIONS
C	NORMAL.  IF NUMERIC KEYPAD WAS SELECTED PRINT NUMERIC KEY
C	DESIGNATIONS BOLD STYLE.
C
	IF (LOGKEY.EQV.OLDKEY) GOTO 19
 10	OLDKEY=LOGKEY
	IFLAG=0
	IF(.NOT.LOGKEY) IFLAG=SMG$M_BOLD
	CALL SMG$PUT_CHARS(HELP_ID,'7',6,3,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'8',6,17,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'9',6,31,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'4',10,3,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'5',10,17,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'6',10,31,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'1',14,3,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'2',14,17,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'3',14,31,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'0',18,3,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'.',18,31,,IFLAG)
	IF (TTYPE.EQ.SMG$K_VT52) THEN
		ITEMP=18
	ELSE
		CALL SMG$PUT_CHARS(HELP_ID,'-',6,45,,IFLAG)
		CALL SMG$PUT_CHARS(HELP_ID,',',10,45,,IFLAG)
		ITEMP=14
	ENDIF
	CALL SMG$PUT_CHARS(HELP_ID,'ENTER',ITEMP,45,,IFLAG)
C
C	IF ALTERNATE KEYPAD WAS SELECTED PRINT ALTERNATE KEY
C	DESIGNATIONS BOLD STYLE.  IF NUMERIC KEYPAD WAS SELECTED
C	PRINT ALTERNATE KEY DESIGNATIONS NORMAL STYLE.
C
	IF(LOGKEY) THEN
		IFLAG=SMG$M_BOLD
		CALL SMG$PUT_CHARS(HELP_ID,'Function',23,21)
	ELSE
		IFLAG=0
		CALL SMG$PUT_CHARS(HELP_ID,' Numeric',23,21)
	ENDIF
	IVFLAG=IFLAG.OR.SMG$M_REVERSE
	ITEMP=46
	IF(TTYPE.EQ.SMG$K_VT52) ITEMP=32
	CALL SMG$PUT_CHARS(HELP_ID,'Swap chars',7,4,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Swap words',8,4,,IVFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Find next',7,18,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Find',8,20,,IVFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Del word',7,ITEMP,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Und word',8,ITEMP,,IVFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Advance',11,5,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Bottom',12,5,,IVFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Backup',11,19,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Top',12,21,,IVFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Del char',11,ITEMP,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Und char',12,ITEMP,,IVFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Next word',15,4,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Change case',16,3,,IVFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Eof',15,21,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Del eof',16,19,,IVFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Next field',19,10,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Next line',20,10,,IVFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Tog exc/ins',19,31,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Reset',20,34,,IVFLAG)
	ITEMP=3
	JTEMP=46
	IF(TTYPE.EQ.SMG$K_VT52) THEN
		ITEMP=15
		JTEMP=32
	ENDIF
	CALL SMG$PUT_CHARS(HELP_ID,'Del field',ITEMP,JTEMP,,IFLAG)
	CALL SMG$PUT_CHARS(HELP_ID,'Und field',ITEMP+1,JTEMP,,IVFLAG)
C
	ITEMP=19
	IF(TTYPE.NE.SMG$K_VT52) THEN
		CALL SMG$PUT_CHARS(HELP_ID,'Toggle',7,33,,IFLAG)
		CALL SMG$PUT_CHARS(HELP_ID,'inverse disp',8,31,,IFLAG)
		CALL SMG$PUT_CHARS(HELP_ID,'undefined',11,33,,IFLAG)
		CALL SMG$PUT_CHARS(HELP_ID,'undefined',15,33,,IFLAG)
		ITEMP=17
	ENDIF
	CALL SMG$PUT_CHARS(HELP_ID,'Done',ITEMP,48,,IFLAG)
C
C	PUT STATUS LINE AT BOTTOM
C
 19	IF(LOGMODE.EQV.OLDMODE) GOTO 29
 20	IF(LOGMODE) THEN 
		STEMP(:9)='  Insert'
	ELSE
		STEMP(:9)='Exchange'
	ENDIF
	CALL SMG$PUT_CHARS(HELP_ID,STEMP(:9),23,1)
	OLDMODE=LOGMODE
C
C	SHOW ADVANCE/BACKUP
C
 29	IF(DIRECT.EQ.OLDDIRECT) GOTO 39
 30	IF(DIRECT.GT.0) THEN
 31		STEMP(:7)='Advance'
	ELSE
 32		STEMP(:7)='Backup '
	ENDIF
	CALL SMG$PUT_CHARS(HELP_ID,STEMP(:7),23,43)
	OLDDIRECT=DIRECT
C
C	SHOW INVERSE/NORMAL (IF NOT VT52)
C
 39	IF(TTYPE.NE.SMG$K_VT100 .OR. IBOLD.EQ.OLDBOLD) GOTO 49
 40	OLDBOLD=IBOLD
	IF(IBOLD.EQ.SMG$M_REVERSE) THEN
		STEMP='   Inverse'
	ELSE IF (IBOLD.EQ.SMG$M_UNDERLINE) THEN
		STEMP='Underlined'
	ELSE
		STEMP='    Normal'
	ENDIF
	CALL SMG$PUT_CHARS(HELP_ID,STEMP,23,57)
C
C  ALL SET UP, NOW DISPLAY IT OVER NORMAL DISPLAY
C
 49	IF(.NOT.REPEAT) THEN
		REPEAT=.TRUE.
		CALL SMG$PASTE_VIRTUAL_DISPLAY(HELP_ID,
     &						PASTEBOARD_ID,1,1)
	ENDIF
C
C  EXIT, RESTORING SCREEN, WHEN READY
C
 50	CALL SMG$SET_CURSOR_ABS(HELP_ID,24,1)
	CALL SMG$READ_KEYSTROKE(KEYBOARD_ID,IKEY,
     &		'Use a toggle key, or press any other to exit help ',,
     &							HELP_ID)
	IF (IKEY.EQ.SMG$K_TRM_CTRLA.OR.IKEY.EQ.SMG$K_TRM_PERIOD) THEN
		LOGMODE=.NOT.LOGMODE
		GOTO 20
	ELSE IF (IKEY.EQ.SMG$K_TRM_PF3) THEN
		LOGKEY=.NOT.LOGKEY
		GOTO 10
	ELSE IF (IKEY.EQ.SMG$K_TRM_CTRLN .OR.
     &		(TTYPE.EQ.SMG$K_VT100.AND.IKEY.EQ.SMG$K_TRM_KP9)) THEN
		CALL SCR_TOGDIS
		IF (TTYPE.EQ.SMG$K_VT52) GOTO 50
		GOTO 40
	ELSE IF (IKEY.EQ.SMG$K_TRM_KP4) THEN
		DIRECT=+1
		GOTO 31
	ELSE IF (IKEY.EQ.SMG$K_TRM_KP5) THEN
		DIRECT=-1
		GOTO 32
	ENDIF
C	Done, restore normal display, saving help for next time
	CALL SMG$UNPASTE_VIRTUAL_DISPLAY(HELP_ID,PASTEBOARD_ID)	
	CALL SMG$SET_CURSOR_ABS(DISPLAY_ID,ILIN,ICOL)
	RETURN
	END
