	SUBROUTINE SCR_RDSECT(FLAG,ISEC,IUNIT,IMODE)
C	---- READ IN THE SCREEN IMAGE AND FIELD DESCRIPTIONS FROM AN 
C	----	ASCII FILE
	INCLUDE 'SCREEN.FOR'
	LOGICAL*1 FLAG,SCR_DEFF
	CHARACTER*80 ILINE,F_CHAR*1,M_CHAR*1,FM_CHAR*2
	EQUIVALENCE (F_CHAR,FM_CHAR(1:1)),(M_CHAR,FM_CHAR(2:2))
	INTEGER*4 STR$FIND_FIRST_IN_SET
C
	CALL SCR_RESETSCR
	FLAG=.TRUE.
	F_CHAR='_'
	M_CHAR=CHAR('FF'X)
	REWIND(UNIT=IUNIT,ERR=900,IOSTAT=ISTAT)
C
1	READ(IUNIT,10,END=910)ILINE
10	FORMAT(A)
	IF (SCR_DEFF(ILINE,F_CHAR,M_CHAR)) GOTO 1
	IF(ILINE(1:7).NE.'SECTION')GOTO 1
	READ(ILINE(8:),*) ISECTNO
	IF(ISECTNO.NE.ISEC)GOTO 1
C
	IF(IMODE.EQ.1) CALL SMG$HOME_CURSOR(DISPLAY_ID)
	DO 30 NL=1,24
 21		READ(IUNIT,10,END=920)ILINE
		IF(ILINE(1:11).EQ.'END SECTION')GOTO 40
		IF (SCR_DEFF(ILINE,F_CHAR,M_CHAR)) GOTO 21
		IF(F_CHAR.NE.CHAR('FF'X)) THEN
C	Search line for fields, and load data
			IPOS=1
 22			J=STR$FIND_FIRST_IN_SET(ILINE(IPOS:80),FM_CHAR)
			IF(J.EQ.0) GOTO 24
			J=J+IPOS-1
			IF (INUM_FIELDS.GT.MAXFIELD) GOTO 960
			INUM_FIELDS=INUM_FIELDS+1
			LINE(INUM_FIELDS)=NL		!SAVE SCREEN LINE NUMBER
			BCOL(INUM_FIELDS)=J		!SAVE THIS FIELD'S STARTING POSITION
			DO K=J,80
				IF(ILINE(K:K).EQ.M_CHAR)THEN
					IF(INUM_MARKS.GT.MAXMARK)
     &							GOTO 970
					INUM_MARKS=INUM_MARKS+1
					MFIELD(INUM_MARKS)=INUM_FIELDS
					MCOL(INUM_MARKS)=J
				ELSE IF(ILINE(K:K).NE.F_CHAR) THEN
					GOTO 23
				ENDIF
			ENDDO
 23			ECOL(INUM_FIELDS)=K-1
			IPOS=J+K-BCOL(INUM_FIELDS)
			GOTO 22
		ENDIF
 24		IF(IMODE.EQ.1) CALL SMG$PUT_LINE(DISPLAY_ID,ILINE)
 30	CONTINUE
	GOTO 920
C
 40	DO 60 ND=1,INUM_FIELDS+1
	  READ(IUNIT,10,END=930)ILINE
	  IF(ILINE(1:8).EQ.'END DATA')GOTO 100

C	**** FIELD DEFINITION LINE HAS FOLLOWING FORMAT:
C	0---0----1----1----2----2	<== COLUMN NUMBERS
C	1---5----0----5----0----5
C	aa bb c d
C	Where:	aa IS AN INTEGER REPRESENTING THE FIELD NUMBER BEING DEFINED
C		bb IS AN INTEGER TO MAP THIS FIELD INTO A SPECIFIC POSITION
C			IN THE IVAL, RVAL, AND CVAL ARRAYS.
C		c IS A CHARACTER "A", "I", OR "F" TO DEFINE DATA TYPE
C		d IS USED ONLY FOR "F" DATA TYPES AND DEFINES # OF DECIMAL 
C			PLACES

	READ(ILINE, 50,ERR=940)I,IPOSITION(I),IFRACT
50	FORMAT(I2,1X,I2,3X,I1)
	IF(ILINE(7:7).EQ.'I') THEN			! INTEGER
		TYPE(I)=0				!		TYPE=0
	ELSE IF(ILINE(7:7).EQ.'F') THEN			! REAL
		TYPE(I)=IFRACT+1			!		TYPE>0
	ELSE						! CHARACTER
		TYPE(I)=-1				!		TYPE<0
	ENDIF
	
60	CONTINUE
	GOTO 930
C
100	IF(ND.NE.INUM_FIELDS+1) GOTO 950
	FLAG=.FALSE.
	RETURN
C
900	TYPE *,'ERROR REWINDING UNIT',IUNIT	
	RETURN
910	TYPE *,'SECTION',ISEC,' NOT FOUND'
	RETURN
920	TYPE *,'NO END OF SECTION FOUND FOR SECTION',ISEC
	RETURN
930	TYPE *,'NO END OF DATA DESCRIPTION FOUND FOR SECTION',ISEC
	RETURN
940	TYPE *,'ERROR READING DATA DESCRIPTION FOR SECTION',ISEC
	RETURN
950	TYPE *,INUM_FIELDS+1-ND,
     &		' TOO FEW FIELDS IN DATA DESCRIPTION FOR SECTION',ISEC
	RETURN
960	TYPE *,'TOO MANY FIELDS IN SECTION',ISEC
	RETURN
970	TYPE *,'TOO MANY MARKERS IN SECTION',ISEC
	END
C
C	CHECK LINE FOR DEFINE FIELD OR 'DEFINE MARK'. RETURN .FALSE. IF NEITHER.
C	IF IT IS, GET F_CHAR, OR M_CHAR AND RETURN .TRUE..
	LOGICAL*1 FUNCTION SCR_DEFF(ILINE,F_CHAR,M_CHAR)
	CHARACTER*80 ILINE,F_CHAR*1,M_CHAR*1
	SCR_DEFF=.TRUE.
	IF(ILINE(:12).EQ.'DEFINE FIELD') THEN
		DO I=13,LEN(ILINE)
			IF(ILINE(I:I).NE.' ') THEN
				F_CHAR=ILINE(I:I)
				RETURN
			ENDIF
		ENDDO
		F_CHAR=CHAR('FF'X)
	ELSE IF(ILINE(:11).EQ.'DEFINE MARK') THEN
		DO I=12,LEN(ILINE)
			IF(ILINE(I:I).NE.' ') THEN
				M_CHAR=ILINE(I:I)
				RETURN
			ENDIF
		ENDDO
		M_CHAR=CHAR('FF'X)
	ELSE
		SCR_DEFF=.FALSE.
	ENDIF
	RETURN
	END
