$! OPERATORS'S CONSOLE
$! ===================
$! Note: speed setting isn't honoured, but make device look like it really is
$ SET TERM /PERM/SPEED=9600/VT52/LINE/INSERT OPA0
$!
$! MULTIPLEXOR 1
$! =============
$! TXA0: used as first printer
$ DEFINE/SYSTEM/EXEC LP TXA0:
$ DEFINE/SYSTEM/EXEC LP0 TXA0:
$ DEFINE/SYSTEM/EXEC LPA0 TXA0:
$ SET TERM /PERM/LA120/WIDTH=217/SPEED=9600/DMA/NOBRO/TAB TXA0
$ SET PROT=(S,O:RWLP,G,W)/DEVICE TXA0
$!
$! TXA1: -- HP7221S graph plotter -- PLO requires it to (also) be called GP0:
$ DEFINE/SYSTEM/EXEC GP TXA1:
$ DEFINE/SYSTEM/EXEC GP0 TXA1:
$ DEFINE/SYSTEM/EXEC GPA0 TXA1:
$ SET TERM /PERM/FT2/WIDTH=255/SPEED=2400/NOBRO/DMA/NOWRAP/TAB/FORM TXA1
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXA1
$!
$! TXA2: is the HP2648A graphics terminal
$ DEFINE/SYSTEM/EXEC GD TXA2:
$ DEFINE/SYSTEM/EXEC GD0 TXA2:
$ DEFINE/SYSTEM/EXEC GDA0 TXA2:
$ SET TERM /PERM/SPEED=4800/FT1/SCOPE/WIDTH=80/PAGE=24/DMA/EIGHT_BIT-
		/LINE/INSERT TXA2
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXA2
$!
$! TXA3: used as second printer
$ DEFINE/SYSTEM/EXEC LP1 TXA3:
$ DEFINE/SYSTEM/EXEC LPA1 TXA3:
$ SET TERM /PERM/LA120/WIDTH=217/SPEED=9600/DMA/NOBRO/TAB TXA3
$ SET PROT=(S,O:RWLP,G,W)/DEVICE TXA3
$!
$! TXA4: is PROM programmer
$ DEFINE/SYSTEM/EXEC PM TXA4:
$ DEFINE/SYSTEM/EXEC PM0 TXA4:
$ DEFINE/SYSTEM/EXEC PMA0 TXA4:
$ SET TERM /PERM/FT5/SPEED=9600/NOWRAP/TAB/FORM/WIDTH=80/NOBRO/DMA TXA4 
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXA4
$!
$! TXA5: is Laserjet Printer
$ DEFINE/SYSTEM/EXEC LJ TXA5:
$ DEFINE/SYSTEM/EXEC LJ0 TXA5:
$ DEFINE/SYSTEM/EXEC LJA0 TXA5:
$ SET TERM /PERM/FT6/WIDTH=255/SPEED=9600/PAGE=66/FORM/NOECHO/NOTAB/NOWRAP/NOBRO/DMA TXA5
$ SET PROT=(S,O:RWLP,G,W)/DEVICE TXA5
$!
$! TXA6: is attached to a Racal-Milgo MPS1222 modem
$ DEFINE/SYSTEM/EXEC MO TXA6:
$ DEFINE/SYSTEM/EXEC MO0 TXA6:
$ DEFINE/SYSTEM/EXEC MOA0 TXA6:
$ SET TERM /PERM/SPEED=1200/MODEM/HANGUP/DIALUP/ALTYPEAHD/UNKNOWN TXA6
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXA6
$!
$! All remainder are set /ALTYPEAHD/UNKNOWN, determined at login time.
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXA7
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXA7
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXA8
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXA8
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXA9
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXA9
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXA10
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXA10
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXA11
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXA11
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXA12
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXA12
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXA13
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXA13
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXA14
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXA14
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXA15
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXA15
$!
$! MULTIPLEXOR 2
$! =============
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXB0
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXB0
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXB1
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXB1
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXB2
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXB2
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXB3
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXB3
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXB4
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXB4
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXB5
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXB5
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXB6
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXB6
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXB7
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXB7
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXB8
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXB8
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXB9
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXB9
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXB10
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXB10
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXB11
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXB11
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXB12
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXB12
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXB13
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXB13
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXB14
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXB14
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXB15
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXB15
$!
$! MULTIPLEXOR 3
$! =============
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXC0
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXC0
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXC1
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXC1
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXC2
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXC2
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXC3
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXC3
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXC4
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXC4
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXC5
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXC5
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXC6
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXC6
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXC7
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXC7
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXC8
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXC8
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXC9
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXC9
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXC10
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXC10
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXC11
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXC11
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXC12
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXC12
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXC13
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXC13
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXC14
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXC14
$!
$ SET TERM /PERM/AUTO/ALTYPEAHD/UNKNOWN TXC15
$ SET PROT=(S:RWLP,O:RWLP,G,W:R)/DEVICE TXC15
$!
